<?  

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  

require('FPDF18/fpdf.php');
require_once('utilities.php');

$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       }
   


$pdf = new FPDF('p','in','letter'); // do labels in inches, since 2x4 inch labels....

$pdf->SetAutoPageBreak('false',0.25);


$top_margin=0.625;
$wide=4.4375;
$narrow=0.25;
$pdf->SetFont('Times','',16);

$tmargin=11; //force new page to start
$lmargin=$wide; // force back to left (not necessary?)
$rmargin=$narrow; // not necessary, only for completeness

$Qquery="Select category, texan, design, qname, gallery from quilts where withdrawn='no' order by gallery";
$Qresult=mysqli_query($db,$Qquery);
   while($qdata=mysqli_fetch_assoc($Qresult)) {
      if($tmargin>8.6 and $rmargin==$narrow) { // start new page
            $pdf->AddPage(); $new=1;
            $lmargin=$narrow;
            $rmargin=$wide;
            $tmargin=$top_margin; }
         else { $new=0;
            if ($lmargin==$narrow)  //move to right hand label
              { $lmargin=$wide; $rmargin=$narrow;  } 
            else {$rmargin=$wide; $lmargin=$narrow; $tmargin+=2;}
         }
//     $pdf->SetMargins($lmargin,$tmargin,$rmargin);
     $pdf->SetDrawColor(225);
     $pdf->Rect($lmargin-0.125,$tmargin-0.125,4,2);
     $pdf->SetXY($lmargin,$tmargin);
     $pdf->Cell(1.875,0.25,$qdata['gallery'],0,0,'L');   
     $pdf->Cell(1.875,0.25,$qdata['category'],0,0,'R');
     
     $pdf->SetXY($lmargin,$tmargin+0.75);
     $pdf->SetFont('Times','IB',20);
     $pdf->Cell(3.875,0.25,$qdata['qname'],0,0,'C');
     $pdf->SetFont('Times','',16);
     
     $pdf->SetXY($lmargin,$tmargin+1.5);
     $pdf->Cell(1.875,0.25,($qdata['design']=='Original' ? "Original Design" : " "),0,0,'L');   
     $pdf->Cell(1.875,0.25,($qdata['texan']=='yes' ? "Go Texan" : " "),0,0,'R');
     
   }      


$pdf->Output('D','2x4_Labels.pdf');

 ?> 
