<?  

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  

require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       }
 if ($_POST['statement']) {$pickup=$_POST['statement'];} else {
 $pickup="This quilt may be picked as specified in the show rules and explained at checkin.  This card will be required to claim your quilt.  If it is lost, you will need to contact the show chair or the intake and release chair.";  }
/* Fetch data w/select, setup page, print cards one at a time - adjust margins so that $pdf->Cell(0.... cannot exceed the width of the card.  Use
*   SetX and SetY to initialize position for each card.  Print top left bottom left first, does not require margin change, only SetY.
*   Change margins and then print top right, bottom right - SetXY for top right, then setY for bottom...}
*/

$pdf = new FPDF('l','in','letter'); // use inches ....

$pdf->SetAutoPageBreak('false',0.25);


$top_margin=0.25;
$wide=5.75;
$narrow=0.25;
$pdf->SetFont('Times','',12);

$tmargin=9; //force new page to start
$lmargin=$narrow; // force back to left (not necessary?)
$rmargin=$wide; // not necessary, only for completeness

$Qquery="Select * from Combined_Tables where withdrawn='no' order by lname, fname, gallery";
$Qresult=mysqli_query($db,$Qquery);
   while($qdata=mysqli_fetch_assoc($Qresult)) {
      $pdf->AddPage(); 
      $lmargin=$narrow;
      $rmargin=$wide;
      $tmargin=$top_margin; 
     $pdf->SetMargins($lmargin,$tmargin,$rmargin);
     $pdf->SetDrawColor(225);

     /* First - upper left, Quilt Back Copy */
     $pdf->Rect($lmargin,$tmargin,5,4);
     $pdf->SetXY($lmargin,$tmargin);
     $pdf->SetFont('Times','I',12);     
     $pdf->Cell(0,0.16,"Quilt Back Copy",0,1,'C');
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Quilt Number: ".$qdata['gallery'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Go Texan Eligible: ".$qdata['texan'],0,1,'R');   
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Category: ".$qdata['category'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Original Design: ".($qdata['design']=='Original'?'Yes':'No'),0,1,'R');  
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Submitted by: ".$qdata['fname']." ".$qdata['lname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Phone: ".$qdata['hphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr1'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Work: ".$qdata['wphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr2'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Cell: ".$qdata['cphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['city'].", ".$qdata['state']."  ".$qdata['zip'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"E-Mail: ".$qdata['email'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilted By: ".$qdata['quilter'],0,1,'L');
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilt Title: ".$qdata['qname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Size: ".$qdata['width']." x ".$qdata['width'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Color: ". $qdata['color'],0,1,'L'); 
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Source: ".$qdata['source'],0,1,'L');
$pdf->SetFont('Times','B',36); 
     $pdf->Cell(0,0.6,$qdata['lname'].", ".$qdata['fname'],0,1,'L');
     $pdf->Cell(0,0.6,$qdata['gallery'],0,1,'R');


     /* Second - lower left, Claim Receipt */
     $tmargin=4.25;
     $pdf->Rect($lmargin,$tmargin,5,4);
     $pdf->SetXY($lmargin,$tmargin+.25);
     $pdf->SetFont('Times','B',12);          
     $pdf->Cell(0,0.16,$ShowYear. " Claim Receipt",0,1,'C'); 
     $pdf->SetDrawColor(0);
       
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Quilt Number: ".$qdata['gallery'],0,0,'L'); 
     $pdf->Cell(2.5,0.22,"Category: ".$qdata['category'],0,1,'R');
  $pdf->Cell(2.5,0.22,"Submitted by: ".$qdata['fname']." ".$qdata['lname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Phone: ".$qdata['hphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilt Title: ".$qdata['qname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Size: ".$qdata['width']." x ".$qdata['width'],0,1,'R');  
  $pdf->Cell(2.5,0.40,"Color: ". $qdata['color'],0,1,'L'); 
  $pdf->Cell(1,.20,"Received By: ",0,0,'L');
     $pdf->Cell(3,.20,"",'B',0,'C');
     $pdf->Cell(1,.20,"(for the Guild)",0,1,'R'); $pdf->Ln(.2);
  $pdf->Cell(1.2,.2,"Date Received: ",0,0,'L');
     $pdf->Cell(0,.2,"",'B',1,'C');$pdf->Ln(.1);
  $pdf->SetFont('Times','',10);
     $pdf->MultiCell(0,.14,$pickup,0,'J');
     $pdf->SetFont('Times','B',10);
     $pdf->Cell(0,.16,"No quilts will be released Saturday evening without this receipt!",0,1,'C');
     $pdf->Ln(.2);
  $pdf->SetFont('Times','',12);   
     $pdf->Cell(1.4,.20,"Reclaimed back By: ",0,0,'L');
     $pdf->Cell(0,.20,"",'B',0,'C');
     $pdf->Ln(.4);
  $pdf->Cell(1.2,.2,"Date Reclaimed: ",0,0,'L');
     $pdf->Cell(0,.2,"",'B',1,'C');

    /* Third - upper right, File Copy */
     $rmargin=$narrow;
     $lmargin=$wide;
     $tmargin=$top_margin; 
     $pdf->SetMargins($lmargin,$tmargin,$rmargin);
     $pdf->SetDrawColor(225);
     $pdf->Rect($lmargin,$tmargin,5,4);
     $pdf->SetXY($lmargin,$tmargin);
     $pdf->SetFont('Times','B',12);     
     $pdf->SetDrawColor(0);
     $pdf->Cell(0,0.16,"File Copy",0,1,'C'); 
     
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Quilt Number: ".$qdata['gallery'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Go Texan Eligible: ".$qdata['texan'],0,1,'R');   
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Category: ".$qdata['category'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Original Design: ".($qdata['design']=='Original'?'Yes':'No'),0,1,'R');  
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Submitted by: ".$qdata['fname']." ".$qdata['lname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Phone: ".$qdata['hphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr1'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Work: ".$qdata['wphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr2'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Cell: ".$qdata['cphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['city'].", ".$qdata['state']."  ".$qdata['zip'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"E-Mail: ".$qdata['email'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilted By: ".$qdata['quilter'],0,1,'L');
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilt Title: ".$qdata['qname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Size: ".$qdata['width']." x ".$qdata['width'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Color: ". $qdata['color'],0,0,'L'); 
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Source: ".$qdata['source'],0,1,'R');
  $pdf->SetFont('Times','',10);
     $pdf->MultiCell(0,.14,"ARTIST STATEMENT: ".$qdata['stmt'],0,'J');$pdf->Ln(.14);
  $pdf->SetFont('Times','',12);     
      $pdf->Cell(0,.20,"Awards:        1        2        3        Honorable Mention      Best of Show ",0,1);
      $pdf->Cell(1.2,.20,"Special Awards:",0,0);$pdf->Cell(0,.20,"",'B',1);$pdf->Ln(.07);
      $pdf->Cell(0,.20,"Other:      Judge's Choice          Go Texan:    1st     2nd  ",0,1);
      $pdf->Cell(0,.20,"Comments: ",0,1);



    /* Last - lower right, Quilt Bag Copy */
     $rmargin=$narrow;
     $lmargin=$wide;
     $tmargin=4.25; 
     $pdf->SetMargins($lmargin,$tmargin,$rmargin);
     $pdf->SetDrawColor(225);
     $pdf->Rect($lmargin,$tmargin,5,4);
     $pdf->SetXY($lmargin,$tmargin+.25);
     $pdf->SetFont('Times','i',12);     
     $pdf->SetDrawColor(0);
     $pdf->Cell(0,0.16,"Quilt Bag Copy",0,1,'C'); 
  $pdf->SetFont('Times','B',15);     
     $pdf->Cell(2.5,0.22,"Quilt Number: ".$qdata['gallery'],0,0,'L'); 
     $pdf->Cell(2.5,0.22,"Category: ".$qdata['category'],0,1,'R');
  $pdf->Cell(2.5,0.22,"Submitted by: ".$qdata['fname']." ".$qdata['lname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.22,"Phone: ".$qdata['hphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr1'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Work: ".$qdata['wphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['addr2'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Cell: ".$qdata['cphone'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,$qdata['city'].", ".$qdata['state']."  ".$qdata['zip'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"E-Mail: ".$qdata['email'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilted By: ".$qdata['quilter'],0,1,'L');
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Quilt Title: ".$qdata['qname'],0,0,'L');
     $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Size: ".$qdata['width']." x ".$qdata['width'],0,1,'R');  
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Color: ". $qdata['color'],0,1,'L'); 
  $pdf->SetFont('Times','',12);     
     $pdf->Cell(2.5,0.20,"Source: ".$qdata['source'],0,1,'L');
$pdf->SetFont('Times','B',36); 
     $pdf->Cell(0,0.6,$qdata['lname'].", ".$qdata['fname'],0,1,'L');
     $pdf->Cell(0,0.6,$qdata['gallery'],0,1,'R');


   }      


$pdf->Output('D','4-Part_Cards.pdf');

 ?> 
