<?                      
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
 require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       }

$rowsize=4.6;
$pdf = new FPDF('l','mm','letter');
$pdf->SetFont('Times','',14);
$pdf->SetAutoPageBreak(false);
$pdf->SetMargins(10,10,10);
$Qquery="Select category, lname, fname, gallery from Combined_Tables where withdrawn='no' order by lname, fname, gallery";
$Qresult=mysqli_query($db,$Qquery);
  while($qdata=mysqli_fetch_assoc($Qresult)) {
     $pdf->AddPage();
// Header here, full width
     $pdf->SetMargins(10,10,10);
     $pdf->SetFont('Times','B',16);
     $pdf->SetXY(10,1);  
     $pdf->Cell(0,7,$ShowYear." BBQG Show: '".$ShowName."'",0,1,'C');
     $pdf->Cell(0,7,"Quilt Check In and Verification Form",0,1,'C');
      $pdf->Ln(2);
     $pdf->SetFont('Times','B',14);
     $pdf->Cell(50,8,"Quilt Number:   ".$qdata['gallery'],0,0,'L');
     $pdf->Cell(110,8,"    Category:   ".$qdata['category'],0,0,'L');
     $pdf->Cell(100,8,"Entrant Name:   ".$qdata['lname'].", ".$qdata['fname'],0,1,'L');
        $pdf->Ln(2);

    $pdf->SetFont('Times','',14);
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Verify Entrant's name, address, phone number, and quilt category",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt is in Fabric Bag with name visible on bag",1,1,'L');
    
    $pdf->Cell(10,8," ",1,0,'C');
    $pdf->Cell(10,8," ",1,0,'C');
    $pdf->Cell(240,8,"Remove Quilt from bag",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt matches entry photo",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt is Finished and Quilted",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt has 4\" hanging sleeve",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilts longer than 48\" have sleeve sewn at 84\" from bottom of quilt",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt has cloth label sewn on back with name, address, and phone number",1,1,'L');
    
    $pdf->Cell(10,8,"Y",1,0,'C');
    $pdf->Cell(10,8,"N",1,0,'C');
    $pdf->Cell(240,8,"Quilt is clean and in excellent condition, inspect for quilt damage and note below",1,1,'L');
    
    $Xval=$pdf->GetX();
    $Yval=$pdf->GetY();
    $pdf->Cell(100,8,"Additional Comments:",0,0,'L');
    $pdf->SetXY($Xval,$Yval);
    $pdf->Cell(260,24,"",1,1);
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Detach Quilt Back, Quilt Bag, and Claim Receipt card",0,1,'L');   
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Attach Quilt Back Card to lower right hand corner of quilt (USE SAFETY PINS TO ATTACH ANYTHING TO QUILT)",0,1,'L');   
 
    $pdf->Cell(10,8,"",0,0,'L');
    $pdf->Cell(250,8,"(cover owner's name if it is still visible on quilt label - No names should be seen - use muslin or blank label)",0,1,'L');   
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Place quilt back in original bag",0,1,'L');   
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Attach Quilt Bag Card on original bag (use safety pins)",0,1,'L');   
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Have entrant sign Drop off Card",0,1,'L');   
 
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Sign and Date the claim receipt card and give to entrant.",0,1,'L');   
$pdf->Cell(20,5,"",0,0,'L');
     $pdf->SetFont('Times','B',14);
    $pdf->Cell(240,8,"Stress: Only the person who's name is on this card will be allowed to pick up the quilt!",0,1,'L'); 
     $pdf->SetFont('Times','',12);
    $pdf->Cell(10,8,"->",0,0,'L');
    $pdf->Cell(250,8,"Runner takes quilt and paperwork to back room",0,1,'L');   

 $pdf->Cell(80,15,"",0,0,'L');
    $pdf->Cell(70,15,"Guild member who checked in the Quilt",0,0,'L'); 
$pdf->Cell(110,15,"",'B',1);
}
$pdf->Output('D','Checkin_Forms.pdf');
 ?> 
