<?                      
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
// PDF list of fees paid... by existing sort order, passed as fsort



switch ($_POST['fsort']) {
case 'name'  : $sort="e.lname, e.fname, r.date"; break;
case 'rname' : $sort="e.lname DESC, e.fname DESC, r.date DESC"; break;
case 'date'  : $sort="r.date, e.lname, e.fname"; break;
case 'rdate' :
   default   : $sort="r.date DESC, e.lname DESC, e.fname DESC"; 
}

$query="SELECT e.fname, e.lname, e.eid, r.indx, r.date, r.check, r.amount, r.eid from entrants as e, receipts as r where e.eid=r.eid order by  " . $sort;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Problem fetching fee payment information: ". mysqli_error($db); } 
$total_fees=0;

$w=array(70,25,35,45,35);
$bottom_margin=25;
$rowsize=7.5;

class PDF extends FPDF
{
   
function Header()
{ global $w;

    // Arial bold 15
    $this->SetFont('Times','B',14);
    // Move to the right
    $this->Cell($w[0],10,'Name','B',0,'C');
    $this->Cell($w[1],10,'EID/Index','B',0,'C');
    $this->Cell($w[2],10,'Date','B',0,'C');
    $this->Cell($w[3],10,'Check Number','B',0,'C');
    $this->Cell($w[4],10,'Amount','B',0,'C');
   $this->Ln(10);
}

// Page footer
function Footer()
{ global $w, $bottom_margin, $ShowYear;
    // Position at 1.5 cm from bottom
    $this->SetY(-$bottom_margin);
    // Arial italic 8
    $this->SetFont('Times','B',14);
     $this->Cell($w[0],10,'Name','TB',0,'C');
    $this->Cell($w[1],10,'EID/Index','TB',0,'C');
    $this->Cell($w[2],10,'Date','TB',0,'C');
    $this->Cell($w[3],10,'Check Number','TB',0,'C');
    $this->Cell($w[4],10,'Amount','TB',0,'C');
  $this->Ln(10);
   
    // Page number
    $this->SetFont('Times','I',12);
    $this->Cell($w[0],8,'Fees Paid List',0,0,'L');
    $this->Cell($w[1]+$w[2],8,'Page '.$this->PageNo().'/{nb}',0,0,'C');    
    $this->Cell($w[3],8,$ShowYear.' Quilt Show',0,1,'R');
}

}

$pdf = new PDF('l','mm','letter');
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak('true',30);
$pdf->SetMargins(10,10,10);
$pdf->AddPage();
$pdf->SetFont('Times','',12);

while ($data=mysqli_fetch_assoc($result)) {
      $fname=$data['lname'] . ", " . $data['fname'];
      $pdate=mysql2php($data['date']); 
      $total_fees+=$data['amount']; 
     $pdf->Cell($w[0],$rowsize,$fname,0,0,'L');      
     $pdf->Cell($w[1],$rowsize,$data['eid']."/".$data['indx'],0,0,'C');      
     $pdf->Cell($w[2],$rowsize,date('M j, Y',$pdate),0,0,'C');      
     $pdf->Cell($w[3],$rowsize,$data['check'],0,0,'C');      
     $pdf->Cell($w[4],$rowsize,"$".number_format($data['amount'],2),0,0,'R');   $pdf->Ln();   
}
$pdf->SetFont('Times','B',12);
  $pdf->Cell($w[0]+$w[1],$rowsize,'',0,0,'L');
  $pdf->Cell($w[2]+$w[3],$rowsize,'Total Fees Paid:',0,0,'R');
  $pdf->Cell($w[4],$rowsize,"$".number_format($total_fees,2),'T',0,'R');

$pdf->Output('D','Fees_Paid.pdf');
