<?                       
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       }
   
//Fetch data w/select, setup page, print by sections, either category or username
// Force page breaks to keep each section on one page.
//
$w=array(18,62,69,46);
$bottom_margin=25;
$rowsize=10;



$pdf = new FPDF('p','mm','letter');

$pdf->SetAutoPageBreak('false',5);
$pdf->SetMargins(25,25,25);


$pgHeight=$pdf->GetPageHeight();

   $Qquery="Select fname, lname, qname, gallery, length, width from Combined_Tables where withdrawn='no' order by gallery";
   $Qresult=mysqli_query($db,$Qquery);
   if (!@$Qresult) {echo "Problem fetching Quilt Information: ".mysqli_error($db);}
   $count=mysqli_num_rows($Qresult);
$pdf->AddPage(); 
   while($qdata=mysqli_fetch_assoc($Qresult)) {
      $CurY=$pdf->GetY();
      if ($CurY>70 and $CurY<140) 
            {$pdf->Line(25,140,190,140);  $pdf->SetY(165);  }
      if ($CurY>165) {$pdf->AddPage(); $pdf->SetY(25);}
      $pdf->SetFont('Times','',16);      
      $pdf->Cell(0,10,"FLOOR CARD -- HANGING GUIDE",0,0,'C'); $pdf->Ln(25);
      $pdf->SetFont('Times','',26);      
      
      $name="${qdata['fname']}  ${qdata['lname']}"; 
      $size="${qdata['length']}\" x ${qdata['width']}\" "  ;  
      $pdf->Cell(0,$rowsize,"Quilt ID Number: " . $qdata['gallery'],0,0,'C'); $pdf->Ln(20);
      $pdf->Cell(0,$rowsize,"Quilt Name: " . $qdata['qname'],0,0,'C');$pdf->Ln(20);
      $pdf->Cell(0,$rowsize," Submitted By: " .$name,0,0,'C') ;$pdf->Ln(20);
      $pdf->Cell(0,$rowsize," Quilt Size: " .$size,0,0,'C') ;$pdf->Ln(20);
 }
   $pdf->Ln($rowsize/2);





$pdf->Output('D','Floor_Cards.pdf');

 ?> 
