<?                      
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];

       }
   
$w=array(18,62,69,46);
$bottom_margin=25;
$rowsize=10;

$pdf = new FPDF('p','mm','letter');

$pdf->SetAutoPageBreak('false',5);
$lmargin=14;
$rmargin=14;
$tmargin=14;
$boxwidth=188;
$boxheight=112;
$pdf->SetMargins($lmargin,$tmargin,$rmargin);

$pgHeight=$pdf->GetPageHeight();

   $Qquery="Select fname, lname, makerfirst, makerlast, city, state, qname, gallery, quilterfirst, quilterlast, stmt from Combined_Tables where withdrawn='no' order by gallery";
   $Qresult=mysqli_query($db,$Qquery);
   if (!@$Qresult) {echo "Problem fetching Quilt Information: ".mysqli_error($db);}
   $count=mysqli_num_rows($Qresult);

$top_margin=$tmargin+$pgHeight/2;    // force new page to start  - use topmargin to test whether last print was top of card or bottom... 
   while($qdata=mysqli_fetch_assoc($Qresult)) {
   if ($top_margin!=$tmargin) { $top_margin=$tmargin;  //new page if last entry was bottom of page
      $pdf->AddPage();
      } else { $top_margin=$tmargin+$pgHeight/2;}  // if not new, jump to bottom half of card - everything else is the same
      
      $pdf->SetDrawColor(0);
      $pdf->SetLineWidth(0.3);
      $pdf->Rect($lmargin,$top_margin,$boxwidth,$boxheight);  //First draw the box
      $pdf->SetDrawColor(150);
      $pdf->SetLineWidth(2);  //Then add drop shadows, bottom and right edges, 2mm wide, ~50% gray color (150/255)
      $pdf->Line($boxwidth+$lmargin+1,$top_margin+3,$boxwidth+$lmargin+1,$boxheight+$top_margin+1);  // box - right shadow
      $pdf->Line($lmargin+3,$top_margin+$boxheight+1,$lmargin+1+$boxwidth,$top_margin+$boxheight+1);  // box - bottom shadow
      $pdf->SetDrawColor(0);
      $pdf->SetLineWidth(0.3);
      $pdf->SetY($top_margin);
        
      $pdf->SetFont('Arial','',24); $pdf->Cell(40,10,$qdata['gallery'],0,0,'L');
      $pdf->SetFont('Times','',12); $pdf->Cell(0,10,$Gld . " " . $ShowYear,0,0,'R');$pdf->Ln(10);

      if (strlen($qdata['qname']) >34) {
         $pdf->SetFont('Times','I',28); 
         $pdf->MultiCell(0,10,$qdata['qname'],0,'C');
       } else  {
         $pdf->SetFont('Times','I',36);
         $pdf->MultiCell(0,12,$qdata['qname'],0,'C');}
      $pdf->SetFont('Times','',20);
      $pdf->Cell(0,12,"Shown By: ".$qdata['fname']." ".$qdata['lname'],0,0,'L');
      $pdf->Cell(0,12,"Made By: ".$qdata['makerfirst']." ".$qdata['makerlast'],0,1,'R');
      $pdf->Cell($boxwidth/2,15,$qdata['city'].", ".$qdata['state'],'B',0,'L');
      $pdf->Cell(0,15,"Quilted By: ".$qdata['quilterfirst']." ".$qdata['quilterlast'],'B',1,'R');
      $pdf->SetFont('Arial','',20);
      $pdf->MultiCell(0,8,$qdata['stmt'],0,'J');
      
 }
   
$pdf->Ln($rowsize/2);


$pdf->Output('D','Gallery_Cards.pdf');


 ?> 
