<?                       
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];

       }
   

$w=array(18,62,69,46);
$bottom_margin=25;
$rowsize=5;

class PDF extends FPDF
{
   
function Header()
{ global $w;

    // Arial bold 15
    $this->SetFont('Times','B',18);
    // Move to the right
    $this->Cell($w[0],10,'Gallery','B',0,'C');
    $this->Cell($w[1],10,'Category','B',0,'C');
    $this->Cell($w[2],10,'Quilt Name','B',0,'C');
    $this->Cell($w[3],10,'Submitted By','B',0,'C');
   $this->Ln(10);
}

// Page footer
function Footer()
{ global $w, $bottom_margin, $ShowYear;
    // Position at 1.5 cm from bottom
    $this->SetY(-$bottom_margin);
    // Arial italic 8
    $this->SetFont('Times','B',18);
    $this->Cell($w[0],10,'Gallery','TB',0,'C');
    $this->Cell($w[1],10,'Category','TB',0,'C');
    $this->Cell($w[2],10,'Quilt Name','TB',0,'C');
    $this->Cell($w[3],10,'Submitted By','TB',0,'C');
   $this->Ln(10);
   
    // Page number
    $this->SetFont('Times','I',12);
    $this->Cell($w[0],8,'Hanging Quilt List',0,0,'L');
    $this->Cell($w[1]+$w[2],8,'Page '.$this->PageNo().'/{nb}',0,0,'C');    
    $this->Cell($w[3],8,$ShowYear.' Quilt Show',0,1,'R');
}

}

$pdf = new PDF('p','mm','letter');
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak('true',30);
$pdf->SetMargins(10,10,10);
$pdf->AddPage();
$pdf->SetFont('Times','',12);

$pgHeight=$pdf->GetPageHeight();
$Cquery="SELECT DISTINCT category from quilts order by gallery";
$Cresult=mysqli_query($db,$Cquery);
while ($cdata=mysqli_fetch_assoc($Cresult)) { $category=$cdata['category'];
   $Qquery="Select fname, lname, qname, gallery from Combined_Tables where withdrawn='no' and category='$category' order by gallery";
   $Qresult=mysqli_query($db,$Qquery);
   $count=mysqli_num_rows($Qresult);
   $CurY=$pdf->GetY();
   $spaceleft=$pgHeight-$bottom_margin-$CurY;
   $spaceneeded=($qcount+1)*$rowsize;
   if ($spaceneeded>$spaceleft) { $pdf->AddPage();}
   while($qdata=mysqli_fetch_assoc($Qresult)) {
      $name="${qdata['fname']}  ${qdata['lname']}";      
      $pdf->Cell($w[0],$rowsize,$qdata['gallery'],0,0,'L');
      $pdf->Cell($w[1],$rowsize,$category,0,0,'L');
      $pdf->Cell($w[2],$rowsize,$qdata['qname'],0,0,'L');
      $pdf->Cell($w[3],$rowsize,$name,0,0,'R');
      $pdf->Ln($rowsize); }
   $pdf->Ln($rowsize/2);
}




$pdf->Output('D','Hang_List.pdf');

 ?> 
