<?php 

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license.  */

require('FPDF18/fpdf.php');
require_once('utilities.php');

$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];  } 
       

if ($_GET['format']=='csv') {

$file="JudgingFormInfo.csv";
$fp=fopen('php://output','w');
$header=array('gallery','category','Quilt Name');
 
 $query=" SELECT gallery, category, qname FROM quilts where withdrawn='no' ORDER BY category, gallery";
    $result=mysqli_query($db,$query);
      if (!@$result) "echo Error reading CSV info...." . mysqli_error($db);

header('Content-type: text/csv');
header('Content-Disposition: attachement; filename='.$file);
//$delimiter=",";
//$enclosure='"';
//$eol="\r\n";
//$esc="\\";

fputcsv($fp, $header);
$numcolumn=count($header);

//echo $header.PHP_EOL;
//echo $query.PHP_EOL;
//echo count($header).PHP_EOL;
//echo mysql_num_rows($result).PHP_EOL;

while ($row=mysqli_fetch_row($result)) {
     fputcsv($fp,$row); }
exit;
} 


if ($_GET['format']=='pdf') {
$w=array(28,70,90);
$bottom_margin=25;
$rowsize=5;

class PDF extends FPDF
{
   
function Header()
{ global $w;

    // Arial bold 15
    $this->SetFont('Times','B',18);
    // Move to the right
    $this->Cell($w[0],10,'Gallery','B',0,'C');
    $this->Cell($w[1],10,'Category','B',0,'C');
    $this->Cell($w[2],10,'Quilt Name','B',0,'C');
   $this->Ln(10);
}

// Page footer
function Footer()
{ global $w, $bottom_margin, $ShowYear;
    // Position at 1.5 cm from bottom
    $this->SetY(-$bottom_margin);
    // Arial italic 8
    $this->SetFont('Times','B',18);
    $this->Cell($w[0],10,'Gallery','TB',0,'C');
    $this->Cell($w[1],10,'Category','TB',0,'C');
    $this->Cell($w[2],10,'Quilt Name','TB',0,'C');
   $this->Ln(10);
   
    // Page number
    $this->SetFont('Times','I',12);
    $this->Cell($w[0],8,'Judging Forms Data List',0,0,'L');
    $this->Cell($w[1]+$w[2],8,'Page '.$this->PageNo().'/{nb}',0,0,'C');    
    $this->Cell($w[3],8,$ShowYear.' Quilt Show',0,1,'R');
}

}

$pdf = new PDF('p','mm','letter');
$pdf->AliasNbPages();
$pdf->SetAutoPageBreak('true',30);
$pdf->SetMargins(10,10,10);
$pdf->AddPage();
$pdf->SetFont('Times','',12);

$pgHeight=$pdf->GetPageHeight();
 $query=" SELECT gallery, category, qname FROM quilts where withdrawn='no' ORDER BY category, gallery";
    $Qresult=mysqli_query($db,$query);
      if (!@$Qresult) "echo Error reading PDF info...." . mysqli_error($db);

   while($qdata=mysqli_fetch_assoc($Qresult)) {
          
      $pdf->Cell($w[0],$rowsize,$qdata['gallery'],0,0,'L');
      $pdf->Cell($w[1],$rowsize,$qdata['category'],0,0,'L');
      $pdf->Cell($w[2],$rowsize,$qdata['qname'],0,0,'L');
    
      $pdf->Ln($rowsize); }
  

$pdf->Output('D','JudgingFormInfo.pdf');
} 
?>
