<?  
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license.  */

require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];

       }
   

$rowsize=4.6;
$pdf = new FPDF('p','mm','letter');
$pdf->SetFont('Times','',12);
$pdf->SetAutoPageBreak(false);

$Qquery="Select category, qname, gallery from quilts where withdrawn='no' order by gallery";
$Qresult=mysqli_query($db,$Qquery);
  while($qdata=mysqli_fetch_assoc($Qresult)) {
         $cat=$qdata['category'];
         $Cquery="select judged from categories where name='$cat'"; //echo $Cquery;
         $Cresult=mysqli_query($db,$Cquery);
           if (!$Cresult) {echo "Failed to fetch category info: " . mysqli_error($db);}
         $Cdata=mysqli_fetch_assoc($Cresult);
         if (($Cdata['judged']=='Yes') or (substr($cat,0,6) == "Pieced" )) {
            if ($qdata['category']=="Wearable") do_Gform(); else  do_Qform();}
 }
 $qdata['gallery']='';
 $qdata['qname']='';
 $qdata['category']=''; do_Qform();
 $qdata['category']="Wearable"; do_Gform();

$pdf->Output('D','Judging_Forms.pdf');
        
function do_Qform()
{
   global $pdf, $qdata, $ShowName, $ShowYear, $rowsize;
   
     $pdf->AddPage();
// Header here, full width
     $pdf->SetMargins(10,1,10);
     $pdf->SetFont('Times','B',16);
     $pdf->SetXY(10,5);  
     $pdf->Cell(0,7,$ShowYear." BBQG Show: '".$ShowName."'",0,1,'C');
     $pdf->SetFont('Times','B',12);
     $pdf->Cell(90,5,"Entry Number: ".$qdata['gallery']."    Category: ".$qdata['category'],0,0,'L');
        $pdf->Cell(100,5,'Award:  1    2    3     HM', 0,1,'R');
if (strlen($qdata['qname'])>48) { $pdf->SetFont('Times','B',10);}
     $pdf->Cell(90,7,"Quilt Name: ".$qdata['qname'],0,0,'L');
$pdf->SetFont('Times','B',12);     
        $pdf->Cell(70,7,'Special Award: ',0,0,'R'); 
        $pdf->Cell(35,7,'  ','B',1); 
        $pdf->Ln(2);
    $line=$pdf->Gety(); $pdf->Line(10,$line,205,$line); $pdf->Ln(2);
    $pdf->SetFont('Times','BU',12);        
    $pdf->Cell(104,5,"Best features of this quilt are:",0,0,'L');
    $pdf->Cell(10,5,"Areas which need improvement:",0,1,'L');
    $pdf->SetFont('Times','',11); 
    $xtop=$pdf->GetX(); $ytop=$pdf->GetY();
    $count=1;
 
 // Column 1 starts here - best features   
    $pdf->SetRightMargin(100+10+4);

  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11);
    $pdf->Cell(0,$rowsize,'Design',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good visual impact",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Well balanced design",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilt Design is satisfactory",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Fabrics well chosen for design",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Appropriate use of embellishment",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilt reads well at distance",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Color',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Colors well chosen for this design",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent / Good use of color / value",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Color is satisfactory",0,1);
 $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Workmanship',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Workmanship excellent / good / satisfactory throughout",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Excellent / Good piecing / appliqué"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Tight and consistent appliqué stitches"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Piecing / appliqué threads do not show"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Long lines through quilt are straight",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Borders accurately pieced",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Borders are straight and lie flat",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Sashing is straight and even",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Back is flat and free from distortion",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Back art adds interest",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent / Good / Satisfactory Embroidery",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Quilting',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Good choice of design and style of quilting",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting is evenly distributed ",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting is generally done well",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting stitch is even and consistent",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Stitch in the ditch well done",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Thread choice is effective",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Consistent tension throughout",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Quilting creates texture, movement, and visual depth",0,'L');
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Finishing',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Binding is full and even and straight",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Corners are well mitered / square / consistent",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Edges appropriately finished",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent / Good execution of difficult binding",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Non-90° corners are accurate and mitered"),0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Overall',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilt is flat and even without distortions",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilt stood up well against strong competition",0,1);
    $pdf->SetFont('Times','BU',11); 
    $pdf->Cell(0,$rowsize,'Additional Comments:',0,1,'L');

     
 // Column 2 starts here  - needs improvement  
    $pdf->SetLeftMargin(100+10); $pdf->SetRightMargin(10);
    $pdf->SetXY($xtop+104,$ytop);
    $pdf->SetFont('Times','B',11);
    $pdf->Cell(0,$rowsize,'Design',0,1,'L');
    $pdf->SetFont('Times','',11);
    
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Embellishments detract",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Design is visually unbalanced",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Embellishments are not secure/or stable on surface",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Fabrics choices/colors do not enhance quilt or are inappropriate for quilt style",0,'L');
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Color',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Color / value impact could be improved",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Colors inappropriate for quilt style",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Workmanship',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Piecing should be more accurate",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Appliqué points should be sharp and curves smooth"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Appliqué stitches should be smaller / closer together / less visible / more consistent"),0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Embroidery stitches should be consistent / secure",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Piecing / appliqué thread should not be visible"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Linear / striped or directional fabrics should be cut with the pattern rather than with the grain",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Borders should be straight, even and lie flat",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Sashing should be more accurately aligned and straight and even",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Dark shadows show through light fabric",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Long straight lines throughout quilt should be straight without distortion",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Top / back is puckered / rippled / distorted",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Quilting',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Remove tacking threads and / or markings",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Quilt would benefit from additional or custom quilting",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting designs too large / small for spaces",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting stitches should be uniform / smaller",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Tension problems / starts & stops noted ",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Designs inappropriate for quilt style / do not enhance",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Stitch in the ditch should be in the ditch",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Quilting through appliqué motifs detracts"),0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Finishing',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Binding should be full, even, and straight",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Corner mitering needs improvement",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Square corners should be 90°"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Binding stitches too large and / or visible",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Outside edge of quilt should be straight and flat",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Overall',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Quilt should be clean and free of hairs, debris, threads and odor.",0,'L');
   

//copyright--
$pdf->SetXY(10,-10); $pdf->SetTextColor(127);
$pdf->Cell(0,6,iconv('UTF-8', 'windows-1252', "©Copyright 2016, 2017, 2018, 2019 by Connie S. Silber.  All Rights Reserved.  Used by Permission."),0,0,'R');
$pdf->SetTextColor(0);
}

function do_Gform()
{
   global $pdf, $qdata, $ShowName, $ShowYear, $rowsize;
   
     $pdf->AddPage();
// Header here, full width
     $pdf->SetMargins(10,1,10);
     $pdf->SetFont('Times','B',16);
     $pdf->SetXY(10,5);  
     $pdf->Cell(0,7,$ShowYear." BBQG Show: '".$ShowName."' - Garment",0,1,'C');
     $pdf->SetFont('Times','B',12);
     $pdf->Cell(90,5,"Entry Number: ".$qdata['gallery']."    Category: ".$qdata['category'],0,0,'L');
        $pdf->Cell(100,5,'Award:  1    2    3     HM', 0,1,'R');
if (strlen($qdata['qname'])>48) { $pdf->SetFont('Times','B',10);}
     $pdf->Cell(90,7,"Quilt Name: ".$qdata['qname'],0,0,'L');
$pdf->SetFont('Times','B',12);     
        $pdf->Cell(70,7,'Special Award: ',0,0,'R'); 
        $pdf->Cell(35,7,'  ','B',1); 
        $pdf->Ln(2);
    $line=$pdf->Gety(); $pdf->Line(10,$line,205,$line); $pdf->Ln(2);
    $pdf->SetFont('Times','BU',12);        
    $pdf->Cell(104,5,"Best features of this garment are:",0,0,'L');
    $pdf->Cell(10,5,"Areas of this garment which need improvement:",0,1,'L');
    $pdf->SetFont('Times','',11); 
    $xtop=$pdf->GetX(); $ytop=$pdf->GetY();
    $count=1;
 
 // Column 1 starts here - best features   
    $pdf->SetRightMargin(100+10+4);

  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11);
    $pdf->Cell(0,$rowsize,'Design',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good visual impact",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Ensemble well balanced design",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Fabrics appropriate for garment",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good use of ebroidery/embellishments",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Color',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Colors well chosen",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Exceptional/Unusual use of color",0,1);
 $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Workmanship',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Excellent/Good Workmanship throughout",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ". Accurate piecing and/or good appliqué"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Seams well finished",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Darts lie flat and even",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Clusures appropriate and applied well",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Linings well done",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Couture techniques used well",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment hangs straight and even",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good Embroidery",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Quilting',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good choice of style and design of quilting",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good Quilting stitch",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Effective thread choice",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Excellent/Good stops and starts",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Finishing',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Edges clean finished and even ",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Straight edges are straight and curves are smooth",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment is not puckered or distorted",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Facings are finished and understitched",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Binding is full, even, and consistent width",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment is well hemmed",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment is clean and free of odors/threads/markings",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','BU',11); 
    $pdf->Cell(0,$rowsize,'Additional Comments:',0,1,'L');

     
 // Column 2 starts here  - needs improvement  
    $pdf->SetLeftMargin(100+10); $pdf->SetRightMargin(10);
    $pdf->SetXY($xtop+104,$ytop);
    $pdf->SetFont('Times','B',11);
    $pdf->Cell(0,$rowsize,'Design',0,1,'L');
    $pdf->SetFont('Times','',11);
    
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Ensemble unbalanced visually or by style of garment",0,1);   
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Embroidery/Embellishments detract",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Incompatible fabric choices",0,'L');
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Color',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Color impact / value could be improved",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Workmanship',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment construction techniques need improvement",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++. iconv('UTF-8', 'windows-1252', ".Piecing and/or appliqué needs improvement"),0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Seam finishing needs improvement",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Darts are poorly executed",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Closures are not well chosen and/or applied well",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Loose threads detract",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment is uneven and/or skewed",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Embellishments not securely attached",0,'L');
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Quilting',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting designs does not fit spaces",0,1);
   $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Piece would benefit from additional quilting",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Quilting stitch needs improvement",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". starts and stops should not show ",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->MultiCell(0,$rowsize,$count++.". Threads chosen do not enhance garment",0,'L');
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Loose threads and/or markings noted",0,1);
  $pdf->Ln(0.5*$rowsize);
    $pdf->SetFont('Times','B',11); 
    $pdf->Cell(0,$rowsize,'Finishing',0,1,'L');
    $pdf->SetFont('Times','',11);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Edges are not even or suitably finished",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Straight edges should be straight and curves smooth",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Garment is puckered and distorted",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Facings are not clean finished",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Binding technique need improvement",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Hemming stitches show and/or are too large",0,1);
    $pdf->Cell(7,$rowsize,'','B',0); $pdf->Cell(0,$rowsize,$count++.". Hemming technique chosen is not appropriate for garment",0,1);
   

//copyright--
$pdf->SetXY(10,-10); $pdf->SetTextColor(127);
$pdf->Cell(0,6,iconv('UTF-8', 'windows-1252', "©Copyright 2016, 2017, 2018, 2019 by Connie S. Silber.  All Rights Reserved.  Used by Permission."),0,0,'R');
$pdf->SetTextColor(0);
}


 ?> 
