<?  
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license.  */

require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       }
   
//Fetch data w/select, setup page, print by sections, either category or username
// Force page breaks to keep each section on one page.
//
$w=array(50,25,105,75);
$bottom_margin=25;
$rowsize=13;



$pdf = new FPDF('p','mm','letter');

$pdf->SetAutoPageBreak('false',30);

$pdf->SetMargins(10,10,10);
$page_width=$pdf->GetPageWidth();
$page_height=$pdf->GetPageHeight();
$pdf->SetFont('Times','',18);

$pgHeight=$pdf->GetPageHeight();
$equery="SELECT eid, lname, fname, member from entrants order by lname, fname";
$eresult=mysqli_query($db,$equery);
if (!@$eresult) {echo "Failed to fetch list of entrants: " .mysqli_error($db);}
while ($edata=mysqli_fetch_assoc($eresult)) {
$eid=$edata['eid'];
$name=" ${edata['lname']}, ${edata['fname']}";
$qquery="SELECT qname, category, gallery from quilts where withdrawn='no' and eid=$eid order by gallery";
$qresult=mysqli_query($db,$qquery);
if (!@$qresult) {echo "Failed to fetch list of quilts for eid=$eid: " .mysqli_error($eresult);}
$qcount=mysqli_num_rows($eresult);
if ($qcount>0) {
$pdf->AddPage();
$pdf->SetFont('Times','B',18);
$pdf->Cell(0,13,$name,0,0,'C'); 
       $pdf->Ln(2*$rowsize);
$pdf->Cell($w[1],13,'Gallery','B',0,'L');
$pdf->Cell($w[2],13,'Category','B',0,'L');
$pdf->Cell($w[3],13,'Quilt Name','B',0,'L');
       $pdf->Ln(2*$rowsize);
//$pdf->SetFont('Times','',12);

while ($qdata=mysqli_fetch_assoc($qresult)){

$pdf->Cell($w[1],$rowsize,$qdata['gallery'],0,0,'C');
$pdf->Cell($w[2],$rowsize,$qdata['category'],0,0,'L');
$pdf->Cell($w[3],$rowsize,$qdata['qname'],0,0,'L');
$pdf->Ln($rowsize);
       } //quilt data loop
$pdf->SetXY(0,$page_height-40-25);
$pdf->SetFont('Times','B',96);
$pdf->Cell(0,15,$edata['lname'].", ".$edata['fname'][0],0,1,'C');

  } ///for each entrant with entries loop
} // Show data loop

$pdf->Output('D','ReleaseStackSheets.pdf');


 ?> 

 