<?  

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license.  */

require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];

       }
   
$w=array(20,75,60,20,20);
$bottom_margin=25;
$rowsize=10;


$pdf = new FPDF('p','mm','letter');

$pdf->SetAutoPageBreak('true',30);
$pdf->SetMargins(10,10,10);
$pdf->SetFont('Times','',14);

$Cquery="SELECT DISTINCT category from quilts order by gallery";
$Cresult=mysqli_query($db,$Cquery);
while ($cdata=mysqli_fetch_assoc($Cresult)) { $category=$cdata['category'];
   $Qquery="Select fname, lname, qname, gallery from Combined_Tables where withdrawn='no' and category='$category' order by gallery";
   $Qresult=mysqli_query($db,$Qquery);
   $qdata=mysqli_fetch_assoc($Qresult);
   $Gall=$qdata['gallery']-($qdata['gallery']%100);

$pdf->AddPage();
$pdf->SetFont('Times','B',16); 

$pdf->Cell(0,10,"Brazos Bluebonnet Quilt Guild",0,1,'C'); 
 $pdf->Cell(0,10,"Quilt Show ".$ShowYear,0,1,'C');
$pdf->Cell(40,10,"Category Stack Sheet",0,0,'L');
$pdf->Cell(0,10,$Gall."  :  ".$category,0,1,'R'); $pdf->Ln($rowsize);
$pdf->Cell($w[0],10,'Quilt #',1,0,'C');
$pdf->Cell($w[1],10,'Quilt Name',1,0,'C');
$pdf->Cell($w[2],10,'Quilt Owner',1,0,'C');
$pdf->Cell($w[3],10,'Thur.',1,0,'C');
$pdf->Cell($w[4],10,'Sat.',1,1,'C');

      $pdf->SetFont('Times','',16); 
      $name="${qdata['fname']}  ${qdata['lname']}";      
      $pdf->Cell($w[0],$rowsize,$qdata['gallery'],1,0,'C');
      $pdf->Cell($w[1],$rowsize,$qdata['qname'],1,0,'L');
      $pdf->Cell($w[2],$rowsize,$name,1,0,'L');
      $pdf->Cell($w[3],10,'',1,0,'C');
      $pdf->Cell($w[4],10,'',1,1,'C');
      
 
   while($qdata=mysqli_fetch_assoc($Qresult)) {
      $name="${qdata['fname']}  ${qdata['lname']}";      
      $pdf->Cell($w[0],$rowsize,$qdata['gallery'],1,0,'C');
      $pdf->Cell($w[1],$rowsize,$qdata['qname'],1,0,'L');
      $pdf->Cell($w[2],$rowsize,$name,1,0,'L');
      $pdf->Cell($w[3],10,'',1,0,'C');
      $pdf->Cell($w[4],10,'',1,1,'C');
      }

}




$pdf->Output('D','Stack_Sheets.pdf');

?> 
