<?php session_start();

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  

/* updates
       7/12/21 
             Remove "$" .  from Form to enter/update fees, so that numeric value gets passed to SQL;
             Updated array references from array[key] to array['key'] to eliminate deprecated messages;
*/
?>

<!DOCTYPE html>
<html>
<head>
  <TITLE> Quilt Show</TITLE>
   <link type="image/x-icon" href="/images/favicon.ico" rel="icon">
   <link type="image/x-icon" href="/images/favicon.ico" rel="shortcut icon">
<link rel="stylesheet" type="text/css" href="./QuiltShow.css">
<meta http-equiv="cache-control" content="no-cache, must-revalidate, post-check=0, pre-check=0">
  <meta http-equiv="expires" content="Sat, 31 Oct 2014 00:00:00 GMT">
  <meta http-equiv="pragma" content="no-cache">

<?php 

require_once('utilities.php');
?>

<SCRIPT LANGUAGE="JavaScript">

function popUp(URL) {
<!-- Idea by:  Nic Wolfe -->
<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, 'help', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=500');");
}

function goBack() {
    window.history.back()
}

function enable_chg(ID) {
 document.getElementById(ID).disabled=false; 
}  

function limitStmt(stmt,limitCount,limitNum) {
// Limit artist's statement to about 400 characters (specified in call)
if (stmt.value.length > limitNum) {
     stmt.value = stmt.value.substring(0,limitNum); }
 else {limitCount.value = limitNum - stmt.value.length}
 }

 
</script>


</head>

<body onload=limitStmt(document.editForm.stmt,document.editForm.countdown,400);>

<DIV id="page">

<?  /************************************************************************************************
*
*          Some initialization here.  Open the database, and get any Session variable necessary.  If a
*             user is not logged in, but we have username password, verify and set Session variables.
*
******************************************************************************************************/
$db=opendb();


$query1=sprintf("SELECT eid, fname, lname, access FROM entrants WHERE username='%s'",$_SESSION['user_id']);
  $result1=mysqli_query($db,$query1);
  $data=mysqli_fetch_row($result1); 
  $_SESSION['eid']=$data[0]; 
  $_SESSION['submitter']= $data[1] ."  " . $data[2];
  $_SESSION['access']=$data[3];

  
$logged="Logged in as " . $_SESSION['user_id'];
$squery="SELECT * FROM showdata where active=1";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       $ShowRegOpen=mysql2php($sdata['RegOpen']);
       $ShowRegClose=mysql2php($sdata['RegClose']);
       $ShowRegPenalty=mysql2php($sdata['RegPenalty']);         
       $ShowQuiltLimit=$sdata['QuiltLimit'];
       $ShowMemberLimit=$sdata['MemberLimit'];
       $ShowMemberYear=$sdata['MemberYear'];
       $ShowAdmin=$sdata['quiltadmin']; 
       $TechAdmin=$sdata['techadmin'];  
    /* from $ShowAdmin, get email, address, & name from Entrants table  */   

 $ShowQuiltCount=get_num_rows($db,"quilts","withdrawn='no'");

       $query2="Select fname, lname, addr1, city, state, zip, email, hphone from entrants where username='$ShowAdmin'";
       $result2=mysqli_query($db,$query2);
       if (!@$result2) {"Error fetching Quilt Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result2);
       if ($count==1) {
            $admin=mysqli_fetch_assoc($result2);
            $ShowAdminName=$admin['fname'] ." " . $admin['lname'];
            $ShowAdminEmail=$admin['email'];
            $ShowAdminPhone=$admin['hphone'];
            $ShowAdminAddr=$admin['addr1'];
            $ShowAdminCity=$admin['city'].", ". $admin['state']." ".  $admin['zip'];}
        else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
    
        $query3="Select fname, lname, email, hphone from entrants where username='$TechAdmin'";
       $result3=mysqli_query($db,$query3);
       if (!@$result3) {"Error fetching Tech Administrator info from Database: ". mysqli_error($result3);}
       $count=mysqli_num_rows($result3);
       if ($count==1) {
            $tadmin=mysqli_fetch_assoc($result3);
            $TechAdminName=$tadmin['fname'] ." " . $tadmin['lname'];
            $TechAdminEmail=$tadmin['email'];
            $TechAdminPhone=$tadmin['hphone'];}
         else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }

       }
   
/* Admin level constants to control access levels. */
define('_Registration' , 1);
define('_Intake' , 2);
define('_Hanging' , 4);
define('_Judging' , 8);
define('_Release' , 16);
define('_Admin' , 32);
define('_Program', 64);
 
/* get categories into array */
$cquery="SELECT * FROM categories where 1 order by name";
$cresult=mysqli_query($db,$cquery);
  if (!$cresult) {echo "Error fetching Show Information category table: " . mysqli_error($db);} 
else { while ($cdata=mysqli_fetch_assoc($cresult)) {//echo $cdata['name'], $data['free'], $cdata['indx'];
     $categories[$cdata['name']]=$cdata['free']; 
     $maxcount[$cdata['name']]=$cdata['maxentries'];
//     if ($cdata['indx']==1) {$NonJudged=$cdata['name'];}
//     if ($cdata['indx']==2) {$Kits=$cdata['name'];}
 }}
 
if ($_REQUEST['func']!='print') { ?> 
   <div id="header"> <? if (isset($Banner) && (file_exists($Banner))) { ?> <img src="<?=$Banner?>">
               <? } else {?> <H1 align='center'> <font size=+5> <?=$Guild?> </font> </H1> <? } ?>   
   </DIV>
   
   <DIV id="navigate" width="100%">
   <? $acode=$_SESSION['access']; 
?>

          <table width=800px align=center><tr>
            <td><?=$logged?> </td>
            <td><a href="index.php" title='main page'>Home</a></td>
            <td><a href="admin.php" title='admin page'>All Admin</a></td>
                <? if (isset($AdminVideo) && (file_exists($AdminVideo))) { ?>
            <TD>   <A HREF="<?=$AdminVideo?>" title="Help Video" target='new'>Help Video</a></td> <? } ?>
            <td><a href="index.php?state=logout" title='Logout'>Logout</a></td>
            </tr>
            <tr> <td>Your Group(s):</td>
 <?
 /* Only display menu options authorized by access code.... */
 if ($acode & _Registration) { ?>  <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Register" title='Registration'>Registration</a></td>  <? }
 if ($acode & _Intake)  { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Intake" title='Intake'>Intake</a></td>    <? }
 if ($acode & _Hanging) { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Hang" title='Hanging'>Hanging</a></td>    <? }
 if ($acode & _Judging) { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Judge" title='Judging'>Judging</a></td>    <? }
 if ($acode & _Release) { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Release" title='Release'>Release</a></td>    <? }
 if ($acode & _Program) { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Program" title='Release'>Program</a></td>    <? }
 if ($acode & _Admin)   { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Admin" title='Admin'>Show Admin</a></td>    <? } ?>
            
             
          </tr></table>
   </DIV>
<? } //End of skip header if print 


/*   echo "Some form parameters: section=".$_POST['state'].", Function=".$_POST['func'].", Index=".$_POST['idx'].PHP_EOL;
*   Two hidden form parameters are used to control navigation with the various parts of this page.  The $_POST['state'] parameter
*   is used, as in the menu above, to navigate back to a particular administrative section of the page.  This is necessary since 
*   caching is disabled and the browser back button will not function properly.  Caching is disabled to force database changes to be
*   refreshed when the page reload - it cannot do that from the cache.  $_POST['func'] is used to reselect as specific function within
*   a given adminstrative area, again since the back button will not work properly.   These are both used in Switch statements, using
*   $_REQUEST rather than $_POST and $_GET since both methods are used in different places.  */

?>

   <DIV id="content"> <?
switch (@$_REQUEST['state']) {
case     'Register' :
               registration($db);
                 break;
case     'Intake' :
                 intake($db);
                 break;
case     'Hang' :
                 hang($db);
                 break;
case     'Judge' :
                 judge($db);
                 break;
case     'Release' :
                 release($db);
                 break;
case     'Admin' :
                 admin($db);
                 break;
case     'Program'  :
                 program($db);
                 break;
case     'Home' : 
default         :  if (@$_SESSION['user_id'])  {  welcome($db);   }  else { ?> 
<h2 align='center'>You must be logged, on an administrative account, to access this page.</H2>
   <script type="text/javascript"> 
      setTimeout(function() { document.location.href="index.php"; }, 2000);    
   </script>
<? }        
                    
}    /* page 'ends' here, with the end of the case statement.  Everything is in PHP functions that are called
         either by the case statement or other functions called indirectly by other functions. */

function welcome($db){ 
 global $ShowYear,$ShowQuiltCount, $acode;  
// $query1="Select idx from quilts where withdrawn='no'";
// $query2="Select eid from entrants where 1";
// $result1=mysqli_query($db,$query1);
// if ($result1) {$qcount=mysqli_num_rows($result1);}
// $result2=mysqli_query($db,$query2);
// if ($result2) {$ecount=mysqli_num_rows($result2);} 
 $ecount=get_num_rows($db,'entrants',1);
 //$qcount=get_num_rows($db,quilts,"withdrawn='no'");
 $wcount=get_num_rows($db,'quilts',"withdrawn='yes'");
 ?>
 <h1 align='center'> <?=$ShowYear?>  Quilt Show</H1>
 <h2 align='center'> Assorted Show and System Administration Operations</H2>
 <h3 align='center'>There are currently <?=$ShowQuiltCount?> quilts entered from <?=$ecount?> entrants</h3>
<h3 align='center'>There are currently <?=$wcount?> quilts flagged as 'Withdrawn'</h3>
 <P>This section of the registration package has tools for the guild members and/or committee chairs who are doing specific jobs
 associated with the show and need access to data in the database.  The overall system administrator also has access here to more
 global configuration options.  Most of these options will need to be defined before the registration package becomes active and
 is used by the membership.  There are a variety of different sections here:
 
 <ul><li> <? if ($acode & _Registration) { ?> <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Register" title='Registration'><button>Registration</button></a><? } else { ?> Registration<?} ?></li> These are the tasks associate with verifying accuracy of entries, correcting categories, printing entries, etc.
 
 <li><? if ($acode & _Intake)  { ?>  <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Intake" title='Intake'><button> Intake</button></a><? } else { echo "Intake"; } ?></li>This has the forms to receive quilts the day before the show - category cards, 4 part cards, etc.
 
 <li> <? if ($acode & _Hanging) { ?> <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Hang" title='Hanging'><button>Hanging</button></a><? } else { echo "Hanging";} ?></li>This has the Hanging guides and documents associated with getting the quilts hung properly, as well as provision to get the initial category and size information and upload the gallery card numbers once a hanging order has been defined.
 
<li><?  if ($acode & _Judging) { ?>       <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Judge" title='Judging'><button>Judging</button></a><? } else { echo "Judging";} ?> </li>This has the Judging forms and other documents needed for the judging day.

<li> <? if ($acode & _Release) { ?> <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Release" title='Release'><button>Release</button></a> <? } else { echo "Release";}?> </li> This has the documents needed to release quilts after the show.

<li> <? if ($acode & _Program) { ?> <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Program"
title='Program'><button>Program</button></a> <? } else { echo "Program";}?> </li> This has form that will generate the CSV file necessary to generate the Show Program.

<li><?  if ($acode & _Admin)   { ?> <a href="<?=$_SERVER['SCRIPT_NAME']?>?state=Admin" title='Admin'><button>Show Admin</button></a> <? } else {echo "Show Admin";} ?></li>Overall administration of the site - permission modes, Show dates, etc.
<? }

function registration($db)  { 
switch ($_REQUEST['func']) {
     case 'cat_info'  : show_categories($db,'Register'); break;
     case 'Update Categories' : update_categories('Register'); break;   
     case 'entrants' : show_entrants($db,'Register'); break;
   case 'edit_entrant' : edit_entrant($db,'Register',$_REQUEST['eid']); break;
   case 'list_quilts' : list_quilts($db,'Register',$_REQUEST['sort']); break;
   case 'print' : print_form($db,'Register',$_REQUEST['idx']); break;
   case 'show_fees' : show_fees($db,'Register',$_REQUEST['eid']); break;
   case 'add_payment' : add_payment($db,'Register'); break;
   case 'show_equilts' : show_equilts($db,'Register',$_REQUEST['eid']); break;
   case 'edit_payment' : edit_payment($db,'Register'); break;
   case 'chg_payment'  : chg_payment($db,'Register'); break;
   case 'list_fees' :   list_fees($db,'Register',$_REQUEST['fsort']); break;
   case 'mini_edit' :   mini_edit($db,'Register',$_REQUEST['idx']); break;
   case 'chg_mini_edit' : chg_mini_edit($db,'Register'); break;
   case 'split_TP' : split_traditional_pieced($db,'Register'); break;
   case 'do_split' :do_split($db,'Register'); break;
     default:  ?>  
    <H2 align='center'>Registration</h2>  
   <UL> 
   <LI><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Register'>  
                         <input type=hidden name='func' value='cat_info'><Button>Categories</button></form></li> Edit and modify the list of categories.  This should be done before quilt registration opens, and should not change after it opens.
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Register'>  
                         <input type=hidden name='func' value='entrants'><Button>Entrant List</button></form></li>Display a list of Show entrants with information regarding their entered quilts.  Provision for crediting a registration fee payment.
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Register'>  
                          <input type=hidden name='func' value='list_quilts'><Button>Quilt Lists</button></form></li>See a list of quilts with several sorting options. 
   <LI><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Register'>  
                          <input type=hidden name='func' value='list_fees'><Button>List Fees Paid Table</button></form></li>List all of the fees paid with several sorting options.  Add new entries through the list of entrants above.
   <LI><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Register'>  
                          <input type=hidden name='func' value='split_TP'><Button>Split Pieced</button></form></LI>After registration has closed, option for splitting Pieced category into Large and Small.
                          
   </ul>
<? }
 }

function intake($db){ 
switch ($_REQUEST['func']) {
     case '4part'  : fourpartcards(); break;
     default:
?>
   <H2 align='center'>Intake Group</h2>
    <ul>
   <li><A href="Reg_Forms_pdf.php"><button type=button>Registration Forms</button></a></li> This will generate a PDF file with all of the submitted registration form in Entrant/Gallery number order, with one form per page.  Pictures are in color, so these should be printed on a color printer.
   <li><A href="Check-in_forms_pdf.php"><button type=button>Check-in Forms</button></a></li>  This will generate a PDF file with a check-in validation form for each quilt submitted.  This will be generated in an alphabetic Entrant/Gallery number order to facilitate collation with the Registration forms and the 4-part cards.
   <li><A href="Stack_sheets_pdf.php"><button type=button>Category Stack Sheets</button></a></li> This will generate a PDF file with a list of quilts sorted by category.  Each category is listed on a separate page, sorted by gallery number.
   <li><A href="Hang_list_pdf.php"><button type=button>Hanging Order Quilt List</button></a></li>  This is a list of all of the quilts, in hanging order.
   <li><a href="Alpha_list_pdf.php"><button type=button>Alphabetic Quilt List</button></a></li>  This list of entries is sorted by submitter name and then by category.
   <li><A href="Go_Texan_pdf.php"><button type=button>Go Texan List</button></a></li>A list of those quilt that are eligible for Go Texan consideration.
   <li><b>4 Part Cards</b></li> The button below will generate a PDF file formatted to print on a 4 part card (<B>Avery numbers 5689, 8387, 8577 or equivalent</B>), to be stapled to the back of the Registration forms.  This will generate one card per entry, sorted in entrant/gallery number order.  The four parts are the cards to go on the back of the quilt, on the quilt bag, and a claim receipt.  The fourth card stays on the registration form.  The 4-part cards include a claim check card, and the text on that card needs to be customized for each show, with the pickup date and hours, along with contact information for claiming quilts later.  Complete that information in the text below and then download the 4-Part cards.
   
      </ul>  
   
<HR>   <form method=post action="admin.php"><B>This quilt may be picked up at the Brazos Center on Saturday evening, <input type=text name=date value='September 18' size=15>, after the take-down and inventory of quilts is complete.  This should be between <input type=text name=hours value=' 6:00 and 6:30' size=15> PM.  For the security of the quilts, this receipt MUST be presented Saturday evening in order to claim your quilt.  If this receipt is lost, your quilt may be claimed by contacting <input type=text name=contact value='Contact name' size=12>  (<input type=text name=phone value='contact phone' size=12>) Sunday.</B> <button type=submit>Get 4-part Cards</a></button><HR>
<input type=hidden name=func value='4part'>   <input type=hidden name=state value='Intake'>
   </form>
<? }
}

function hang($db){ 
switch ($_REQUEST['func']) {
     case 'update_gallery'  : update_gallery($db,'Hang'); break;
     case 'list_quilts' : list_quilts($db,'Hang',$_REQUEST['sort']); break;
     case 'print' : print_form($db,'Hang',$_REQUEST['idx']); break;
    default: ?>
      <H2 align='center'>Hanging Group</h2>
<H3> Download Hanging Information</h3> 
   <A href="hang_info_csv.php"><button type=button>Download CSV file with Hanging Information</button></a>  This will download a file, HangingInfo.csv, to your computer.  You should have the option to either save the file or open it, hopefully with Microsoft Excel spreadsheet.  The should generate a table of 6 Columns: Quilt Index number (idx), Gallery number (gallery, null), Category, Width, Length, and Quilt Name.  You can use this to establish hanging order and assign Gallery Numbers to the quilts.  The form below with let you upload a this table back, as a CSV file, to update the Gallery numbers in the database.</li>
<h3> Upload Gallery Number information</H3>
<p> <form action="<?=$_SERVER['SCRIPT_NAME']?>" method="post" enctype="multipart/form-data">
    Select csv file, with Gallery information, to upload:
     <input type=hidden name=state value=Hang>
     <input type=hidden name=func value=update_gallery>
    <input type="file" name="CSVfile" id="CSVfile">
    <button type="submit">Upload and Update Gallery numbers</button></p>
</form>  
<P><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Hang'>  
                                                            <input type=hidden name='sort' value='gallery'>
                                                            <input type=hidden name='func' value='list_quilts'>
            <Button>Quilt Lists</button></form>This will let you see a list of quilts, sorted by gallery number, to verify correct assignments.  If it is wrong, simply correct the input file and upload again until it is right.</P>

<H3> Get PDF Document Files</H3>
<ul>
   <li><A href="Floor_Cards_pdf.php"><button type=button>Floor Sheets</button></a></li>  This is all of the floor cards, two per sheet, to tape to the floor to assist finding the right location when hanging quilts.
   <li><A href="2x4Labels_pdf.php"><button type=button>2x4 Labels</button></a></li>  These are the 2 by 4" labels that go on the front of each quilt to assist with judging.  They are printed 10 per sheet and are formatted to work with Avery labels #55463 - Repositionable shipping labels.
   <li><A href="Gallery_Cards_pdf.php"><button type=button>Gallery Cards</button></a></li>The Gallery Cards that hang with the quilts after judging.  These are 2 per page and are normally printed on a heavier card stock, rather than plain paper.
   <li><A href="Alpha_list_pdf.php"><button type=button>Alphabetic Quilt List</button></a></li>This is simply a list of all the quilts, sorted alphabetically by entrant, and then by category.
   <li><A href="Hang_list_pdf.php"><button type=button>Hanging List</button></a></li>This is the PDF version of the Hanging list, sorted by Gallery number.
   </ul>
<? }
}

function judge($db){ ?>
      <H2 align='center'>Judging Group</h2>
   <ul>
   <li><!-- A href="Judging_forms_pdf.php"><button type=button>Judging Forms</button></a --><B>Judging Forms</B></li><!-- The critique forms for the judges.  Garment judging form is printed if category is 'Wearable'.  One blank quilt and garment judging form is printed at the end - copies of this can be used as spares. --> There are two options for getting information from the database for your judging forms:
   <ol><LI><A href="Judging_Data.php?format=pdf"><Button>generate a PDF list</button></a>  Use this option if you are using a preprinted judging form.  This list has the information you need for manual entry.</li>
         <li><A href="Judging_Data.php?format=csv"><Button>generate a CSV file</button></a> Use this option if you have your own custom judging form as a word processing document. You can import the CSV file into a spreadsheet and use that as input for a mail merge type printing of your judging form.</LI></oL>
   <li><A href="Envelopes_pdf.php"><button type=button>Envelopes</button></a></li>This PDF will print the envelopes for each entrants judging forms.  It has their name and a list of their quilts on it.
   <li><A href="Stack_sheets_pdf.php"><button type=button>Stack Sheets</button></a></li>This will generate a PDF file with a list of quilts sorted by category.  Each category is listed on a separate page, sorted by gallery number.
   <li><A href="Go_Texan_pdf.php"><button type=button>Go Texan List</button></a></li>This is a list of all quilts that were identified as being <i>Go Texan</i> eligible.
   <li><A href="Original_Design_pdf.php"><button type=button>Original Design List</button></a></li>This is a list of all quilts that were identified as being an Original Design.
   <li><A href="Alpha_list_pdf.php"><button type=button>Alphabetic Quilt List</button></a></li>This is simply a list of all the quilts, sorted alphabetically by entrant, and then by category.
  <li><A href="Hang_list_pdf.php"><button type=button>Hanging List</button></a></li>This is the PDF version of the Hanging list, sorted by Gallery number.   </ul>   
<? }

function release($db){ ?>
      <H2 align='center'>Release Group</h2>
    <ul>
   <li><A href="Release-Stack_pdf.php"><button type=button>Release Stack Sheets</button></a></li>This will generate a PDF file with a list of quilts sorted by entrant.  Each entrants Quilts is listed on a separate page, sorted by gallery number.
  <li><A href="Alpha_list_pdf.php"><button type=button>Alphabetic Quilt List</button></a></li>This is simply a list of all the quilts, sorted alphabetically by entrant, and then by category.
   </ul>   
  
<? }

function program($db) { ?>
      <H2 align='center'>Program Group</h2>
    <ul>
   <li><A href="program_info_csv.php"><button type=button>Download CSV file with Program Information</button></a> </LI>  This will download a file, ProgramInfo.csv, to your computer.  You should have the option to either save the file or open it, hopefully with Microsoft Excel spreadsheet.  The should generate a table of 12 Columns: Gallery number, Category, Entrant First Name, Entrant Last Name, Entrant City, member, Quilt Maker first & last name, Quilter first & last name, Quilt Name, and Artist Statement.  This can be used with mail merge, or something similar, to generate the quilt information for the Quilt Show Program.
   </UL>
<? }

function admin($db){ 
switch ($_REQUEST['func']) {
   case 'show_info' : show_info($db); break;
   case 'edit_show' : edit_show_info($db,$_POST['year']); break;
   case 'Save Changes' : update_show($db); break;
   case 'del_show'  : delete_show($db,$_POST['year']); break;
   case 'Change Year'  : chg_year($db,$_POST['year']); break;
   case 'cat_info'  : show_categories($db,'Admin'); break;
   case 'Update Categories' : update_categories($db,'Admin'); break;
   case 'entrants' : show_entrants($db,'Admin'); break;
   case 'edit_entrant' : edit_entrant($db,'Admin',$_REQUEST['eid']); break;
   case 'update_entrant' : update_entrant($db,'Admin'); break;
   case 'show_fees' : show_fees($db,'Admin',$_REQUEST['eid']); break;
   case 'add_payment' : add_payment($db,'Admin'); break;
   case 'show_equilts' : show_equilts($db,'Admin',$_REQUEST['eid']); break;
   case 'list_quilts' :  list_quilts($db,'Admin',$_REQUEST['sort']); break;
   case 'print' : print_form($db,'Admin',$_REQUEST['idx']); break;
   default :
   ?>
      <H2 align='center'>System Administration</h2>
   <ul>
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Admin'>  <input type=hidden name='func' value='show_info'> <Button>Show Information</button></form></li>  This defines the global information for the show - year, name, open/close dates, administrators, etc.
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Admin'>  <input type=hidden name='func' value='cat_info'><Button>Categories</button></form></li>Edit and modify the list of categories.  This should be done before quilt registration opens, and should not change after it opens.  This is also available to the Registration administrator.
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Admin'>  <input type=hidden name='func' value='list_quilts'><Button>Quilt Lists</button></form></li>This is the generic list of submitted quilts, with several options for sorting them.
   <li><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <input type=hidden name='state' value='Admin'>  <input type=hidden name='func' value='entrants'><Button>Entrant List</button></form></li>Display a list of Show entrants with information regarding their entered quilts.  Provision for crediting a registration fee payment.  This also has provision for defining administrative access levels for entrants.  The registration chair also has access to this, but cannot change access levels.  Both Admin and Registration can add fee payment information here.
   <li> <A href="all-mail_csv.php"><button type=button>Download CSV file for All Entrant Email Information</button></a> </li>This will download a CSV file with entrant names, email addresses, usernames, and passwords.  This can be used at the beginning of the show process to do an email merge in Word to announce registration is open and to remind previous entrants of their username and password.
   <li><A href="entered-email_csv.php"><button type=button>Download CSV file for Entered Entrants Information</button></a></li>This will download a CSV file with entrant names, email addresses, usernames and number of entered quilts.  Those with no quilts entered will not be included.  This can be used to send an email merge message toward the close of registration if necessary to only those with quilts registered.
   </ul>    
   
<? } }

/*****************************************************************
*
*    This ends the header and navigation control - this code does
*   virtually all of the navigation.
*
*   All of the code below are functions implementing the various
*     tasked linked above.  These tasks generally have a 'back' button
*     to return to the calling function since the browser back button
*     is ineffective due to the disabled caching of the page.  This
*     forces reloads and refreshing of info from the database.
*
*******************************************************************/

/*    THIS SECTION HAS THE FUNCTIONS FOR MANAGING THE SHOW INFORMATION  */

/***********************************************************
*
*  show_info - 
*        Display info from the showdata table, 
*        select active entry
*
***********************************************************/
function show_info($db)
{$query="select  * from showdata where 1 order by ShowYear";
$result=mysqli_query($db,$query);
if (!@$result) { echo "Error fetching show data from DB: ". mysqli_error($db); }
   else $count=mysqli_num_rows($result);
?> <div  align='center'><button type=button onclick="popUp('help_show.html')" title='Get help on this form'> Help</button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=Admin';"> Back</button></div><br><br>
<div style="text-align:center; float:center;">
<? 
/**************************************************************************************************************************
*   OK... Here is some REALLY crappy code to get something that looks reasonable.  I cannot nest one wholly contained 
*  form (i.e. to edit or delete) within another form to select the active year.  So I will do a two column table, fill the
*  first column completely, either with <br> or as sub-table with one column (!!!) to get the radio buttons for selecting the
* year, and put the year values into an array.  I will then fill the second column with the edit and delete forms, getting the
* year info from the previous array.  This too will be either <BR> or a sub-table and hopefully everything will line up fairly
* well.  YUUUCCCCKKKY!!!  Using Sub-tables - edit/delete action forms are new lines if not separate table cells......
* Surely there must be a better way to code this, but I don't know what it is.
******************************************************************************************************************************/
?>
<table  cellspacing="20" align="center"><tr><td> <!-- Major table, 1st column for Radio Button table -->

      <form action="<?=$_SERVER['SCRIPT_NAME']?>" method='post'>
            <input type=hidden name='state' value='Admin'>
            <input type=hidden name='func' value='setactive'>
      <table cellspacing="20" align="center"><tr><TH>Active Show Year</th></tr>  <!-- First Subtable.... -->
          <? $i=0;
             while ($data=mysqli_fetch_assoc($result)) { $year[$i++]=$data['ShowYear'];
          ?>
        <TR><TD><input type=radio name=year value=<?=$data['ShowYear']?> onclick="enable_chg('chgyear');" 
               <? if ($data['active']!=0) {echo " checked ";} ?> >  &nbsp;&nbsp;&nbsp;
               <?=$data['ShowYear']?></td></TR>
           <? } ?> 
        <tr><td><input id='chgyear' type=submit name='func' value='Change Year' disabled></form></TD></tr></table>
</TD> <!-- End of first major table column with year radio button form.....  -->
<TD> <!--  Start of second column with edit/delete forms--> 
       <table cellspacing="20" align="center"><tr><th>View/Edit</th><th>Delete Entry</th></tr> <!-- Second column subtable, edit and delete  -->
             <? for ($j=0; $j<$i; $j++) { ?>
                  <!-- Edit entry button here -->
               <tr><td><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                     <input type='hidden' name='state' value='Admin'>   
                     <input type=hidden name=year value=<?=$year[$j]?> >
                     <input type='hidden' name='func' value='edit_show'>
                     <button title='Edit Entry' class='options'> <img src='images/Edit.png' width=16></button> </form></td>
                  <!-- Delete button here -->
                   <td> <form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                      <input type='hidden' name='state' value='Admin'>   
                      <input type=hidden name=year value=<?=$year[$j]?> >
                      <input type='hidden' name='func' value='del_show'>
                      <button title='Delete Entry' class='options' onclick="return confirm('Are you sure you want to delete the entry for <?=$year[$j]?>?')" > <img src='images/Delete.png' width=16></button> </form></td></tr> 
             <? } ?>
             <tr><td>&nbsp;&nbsp;&nbsp;</td><td>&nbsp;&nbsp;&nbsp;</td></tr></table>  <!-- end second sub-table, force to line up -->
</td></tr></table> 
</div>
<?
}
/***********************************************************
*
* edit_show_info - 
*    display and edit show info, add new entry if desired.
*
************************************************************/
function edit_show_info($db,$year)  {

   
$query="select  * from showdata where ShowYear=$year";
$result=mysqli_query($db,$query);
if ($result) {($data=mysqli_fetch_assoc($result));} 
      else { echo "Error fetching show data from DB: ". mysqli_error($db); }
?> 
<div align='center'><button type=button onclick="popUp('help_show.html')" title='Get help on this form'> Help File</button></div><br><br>
<div style="text-align:center;">
<h2>Edit Show Information</H2>
 <form action="<?=$_SERVER['SCRIPT_NAME']?>" method='post'> <input type=hidden name='state' value='Admin'>
 <input type=hidden name='oldyear' value='<?=$data['ShowYear']?>'>
<table align='center'>  
<tr> <th align='right'>Show Year: </th> <td align='left'><input type=text name='ShowYear' onclick="confirm('Changing the Show Year will create a new DB entry')" value='<?=$data['ShowYear']?>' width=30></td></tr> 
   <tr><th align='right'>Show Name:</th> <td align='left'><input type=text name='ShowName' value='<?=$data['ShowName']?>' width=30></td></tr> 
   <tr><th align='right'>Show Dates: </th> <td align='left'><input type=text name='ShowDates' value='<?=$data['ShowDates']?>' width=30></td></tr>
  <tr></tr>                    
   <tr><th align='right'>Quilt Count Limit (0 for None): </th> <td align='left'><input type=text name='QuiltLimit' value='<?=$data['QuiltLimit']?>' width=30></td></tr>
   <tr><th align='right'>Limit Entries to Guild Members: </th> <td align='left'><input type=radio name='MemberLimit' value='1' <? if ($data['MemberLimit']==1) {echo "Checked";}?>> Yes &nbsp;&nbsp;
                                                  <input type=radio name='MemberLimit' value='0' <? if ($data['MemberLimit']==0) {echo "Checked";}?>> No</td></tr>
    <tr><th align='right'>Membership Year Required <br>(Default to Show Year): </th> <td align='left'><input type=text name='MemberYear' value='<?=$data['MemberYear']?>' width=30></td></tr>
</table>
 <br><br> 
<table align='center'><TR><TH colspan=2 align='center'>Registration Dates</TH> <TH colspan=2 align='center'>Registration Fees</TH></tr>
<TR><TD align='right'>Registration Starts:</TD><TD><input name='RegOpen' value="<?=$data['RegOpen']?>" width=20></td>
              <TD align='right'>Fee for Members:</TD><TD><input type=text name='feemember' value=<?=number_format($data['feemember'],2)?> width=6</td></tr>
                         
<TR><TD align='right'>Registration Ends:</TD><TD><input name='RegClose' value="<?=$data['RegClose']?>" width=20></td>
             <TD align='right'>Fee for Non-Members:</TD><TD><input type=text name='feenonmember' value=<?=number_format($data['feenonmember'],2)?> width=6</td></tr>
<TR><TD align='right'>Registration Penalty:</TD><TD><input name='RegPenalty' value="<?=$data['RegPenalty']?>" width=20></td>
            <TD align='right'>Late Fee for Members:</TD><TD><input type=text name='latemember' value=<?=number_format($data['latemember'],2)?> width=6</td></tr>
<TR><TD align='right'>Quilt Admin user name:</TD><TD><input name='quiltadmin' value=<?=$data['quiltadmin']?> width=10></td>
            <TD align='right'>Late Fee for Non-Members:</TD><TD><input type=text name='latenonmember' value=<?=number_format($data['latenonmember'],2)?> width=6</td></tr>
<TR><TD align='right'>Technical Admin user name:</TD><TD><input name='techadmin' value=<?=$data['techadmin']?> width=10></td>
            <TD align='center'><input type=Submit name=func value='Save Changes'></td></tr></table>
<br>
</form><br><br>
<form action="<?=$_SERVER['SCRIPT_NAME']?>" method='post'> <input type=hidden name='state' value='Admin'>
<input  type=hidden name='func' value='show_info'><button>Return to Show Information</button>&nbsp;&nbsp;&nbsp;&nbsp;</form>

</DIV>
 <?  }
 
/***********************************************************
*
*  update_show_info - 
*    process/ implement changes requested above
*
************************************************************/
function  update_show($db)  {
   $ShowName=mysqli_real_escape_string($db,$_POST['ShowName']);
   
$query="";   
if ($_POST['MemberYear']<2000) {$_POST['MemberYear']=$_POST['ShowYear'];}
if ($_POST['oldyear']==$_POST['ShowYear']) { // update this entry....shotgun everything

$query=sprintf("update showdata set  ShowName='%s', ShowDates='%s', RegOpen='%s', RegClose='%s', RegPenalty='%s', feemember='%s', feenonmember='%s', latemember='%s', latenonmember='%s', quiltadmin='%s', techadmin='%s',QuiltLimit='%s', MemberLimit='%s', MemberYear='%s' where ShowYear='%s'",$ShowName, $_POST['ShowDates'], $_POST['RegOpen'], $_POST['RegClose'], $_POST['RegPenalty'], $_POST['feemember'], $_POST['feenonmember'], $_POST['latemember'], $_POST['latenonmember'], $_POST['quiltadmin'], $_POST['techadmin'], $_POST['QuiltLimit'], $_POST['MemberLimit'], $_POST['MemberYear'], $_POST['ShowYear']);
   } else { // Create new entry
          if ($dups=get_num_rows($db,showdata,"ShowYear=${_POST['ShowYear']}")>0) {?> <H2> There is already an entry for <?=$_POST['ShowYear']?>, Please Edit that entry.</H2>
         <br><br>  <script type="text/javascript"> 
              setTimeout(function() { document.location.href="admin.php?state=Admin"; }, 3000);  </script><? 
              return;
             } else { // write out this entry
$query=sprintf("INSERT INTO  showdata (active, ShowYear, ShowName, ShowDates, RegOpen, RegClose, RegPenalty, feemember, feenonmember, latemember, latenonmember, quiltadmin, techadmin,QuiltLimit, MemberLimit, MemberYear) VALUES ('0', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')",$_POST['ShowYear'], $ShowName, $_POST['ShowDates'], $_POST['RegOpen'], $_POST['RegClose'], $_POST['RegPenalty'], $_POST['feemember'], $_POST['feenonmember'], $_POST['latemember'], $_POST['latenonmember'], $_POST['quiltadmin'], $_POST['techadmin'], $_POST['QuiltLimit'], $_POST['MemberLimit'], $_POST['MemberYear']);
             
             } 
          }
// echo $query;
$result=mysqli_query($db,$query);
if (!@$result){ echo "Error writing Edit info out to showdata table: ". mysqli_error($db);}
?> <script type="text/javascript"> 
              setTimeout(function() { document.location.href="<?=$SERVER['SCRIPT_NAME']?>?state=Admin"; }, 3000);  </script> <?
}
/***********************************************************
*
* delete_show_info - 
*    delete a show year entry
*
************************************************************/

function delete_show($db,$year) {
if (get_num_rows($db,showdata,1)==1) { // Cannot delete last entry, need a template!!!!
 ?> <h2> You cannot delete the last entry in the show information table!</h2>
 <P> One entry in the table is needed as a template to create new entries.  Use this entry to create a new, current entry, then you can delete this entry.</P> <? } else {
    $result=mysqli_query("SELECT active from showdata where ShowYear=$year");
    if (!@$result) {echo "Error get info for ShowYear $year: " . mysqli_error($db);}
    $active=mysqli_fetch_row($result);
    if ($active[0] == true) { ?> <H2> Cannot delete active show year! </h2><P>Make another show year active before deleting this one.<? } else {
        $query="DELETE from showdata where ShowYear=$year\n\r";
//        echo $query;
        $result=mysqli_query($db,$query);
         if (!@$result) {echo "Error deleting row from showinfo table: ". mysqli_error($db);}
                   else {echo "\n\r Successfully deleted show Data for $year from showinfo table\n\r";}
       }
   }
 ?> <script type="text/javascript"> 
        setTimeout(function() { document.location.href="admin.php?state=Admin"; }, 3000);  
    </script> <?
}

/***********************************************************
*
* chg_year - 
*    Simply changes the active flag to select the desired
*     show year.  All are cleared then 1 set to avoid errors.
*
************************************************************/

function chg_year($db,$year){
$query1="Update showdata set active=0 where 1";
$query2="Update showdata set active=true where ShowYear=$year";
$result1=mysqli_query($db,$query1);
if ($result1) {$result2=mysqli_query($db,$query2);}
if (!@$result1 or !@$result2) {echo "Problem setting Active Show Year selection";}
        else { echo "Active Show Year selection successful!!";
               if (!is_dir("images/quilts$year")) {mkdir("images/quilts$year", 755); echo "Created image folder for $year";}
             }
    ?> <script type="text/javascript"> 
        setTimeout(function() { document.location.href="admin.php?state=Admin"; }, 3000);  
    </script> <?
}

/*    THIS SECTION HAS THE FUNCTIONS FOR MANAGING THE SHOW INFORMATION  */

/***********************************************************
*
* show_categories -
*     Display the list of categories and permit changes.
*
************************************************************/
function show_categories($db,$section)
{
$cquery="SELECT * FROM categories where 1";
$cresult=mysqli_query($db,$cquery);
if (!$cresult)   
    {echo "Error fetching Show Information category table: " . mysqli_error($db);} 
     else { while ($cdata=mysqli_fetch_assoc($cresult)) {
            $cats[$cdata['indx']]=$cdata['name'];
            $free[$cdata['indx']]=$cdata['free'];  
            $maxc[$cdata['indx']]=$cdata['maxentries'];
          $judged[$cdata['indx']]=$cdata['judged']; }
//     sort($categories);
    $keys=array_keys($cats);  
    ?>
<div align='center'><button type=button onclick="popUp('help_categories.html')" title='Get help on categories'> Help File</button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>';">Back</button></div>
<H2 align='center'>Quilt Show Categories</h2>    
     <table align='center' padding=5> 
     <form action=<?=$_SERVER['SCRIPT_NAME']?>  method=post>
           <input type=hidden name='state' value='<?=$section?>'>
           <input type=hidden name='oldfree' value='<?=$free?>' >  
           <input type=hidden name='oldcats' value='<?=$cats?>' >  
           <input type=hidden name='oldmaxc' value='<?=$maxc?>' >  
           <input type=hidden name='oldkey' value='<?=$keys?>' > 
     <tr><td align='center'>Index</td>
              <td align='center'>Category</td><td align='center'>Free?</td><td>Maximum Entries</td><td align='center'>Judged?</td></tr>  <?
     foreach ($keys as $key) {
          $category=$cats[$key]; $flag=$free[$key]; $maxcnt=$maxc[$key]; $judge=$judged[$key];
          ?><tr><td align='center'><?=$key?></td>
                <td><input type=text name=category[<?=$key?>] value='<?=$category?>' onclick="enable_chg('chgcat')" width=32></td>
                  <td align='center'><input type=radio name=fflag[<?=$key?>] value='no'  onclick="enable_chg('chgcat')" width=8 
                  <? if ($flag == 'no') {echo " checked";} ?> >No &nbsp;&nbsp;
                   <input type=radio name=fflag[<?=$key?>] value='yes'  onclick="enable_chg('chgcat')" width=8
                  <? if ($flag == 'yes') {echo " checked";} ?> >Yes</td>
                <td align='center'> <input type=text name=maxcount[<?=$key?>] value='<?=$maxcnt?>' onclick="enable_chg('chgcat')" size=4 > </td> 
                <td align='center'> <input type=radio name=jflag[<?=$key?>] value='No'  onclick="enable_chg('chgcat')" width=8 
                  <? if ($judge == 'No') {echo " checked";} ?> >No &nbsp;&nbsp;
                   <input type=radio name=jflag[<?=$key?>] value='Yes'  onclick="enable_chg('chgcat')" width=8
                  <? if ($judge == 'Yes') {echo " checked";} ?> >Yes </td> </tr> <?
          }
     ?> <TR><TD>New</TD><TD><input type=text name=newcat onclick="enable_chg('chgcat')" width=32</td>
            <td><input type=radio name=newflg value='no'  onclick="enable_chg('chgcat')" width=8 checked>No &nbsp;&nbsp;
                  <input type=radio name=newflg value='yes'  onclick="enable_chg('chgcat')" width=8>Yes</TD>
            <td> <input type=text name=newmax onclick="enable_chg('chgcat')" width=8> </td>  
             <td align='center'> <input type=radio name=newjflag value='No'  onclick="enable_chg('chgcat')" width=8 
                  >No &nbsp;&nbsp;
                   <input type=radio name=newjflag value='Yes'  onclick="enable_chg('chgcat')" width=8 checked
                   >Yes </td>   </TR>
     <TR><TD colspan=2 align='center'><input type=submit name='func' value='Update Categories' id='chgcat' disabled></form></td>
     <TD></TD></tr> </table>
 <? }
}

/***********************************************************
*
* update_categories - 
*    make any changes requested above in the database
*
************************************************************/

function update_categories($db,$section)
{

$cquery="SELECT * FROM categories where 1";
$cresult=mysqli_query($db,$cquery);
if (!$cresult)   
    {echo "Error fetching Show Information category table: " . mysqli_error($db);} 
     else { while ($cdata=mysqli_fetch_assoc($cresult)) {
            $cats[$cdata['indx']]=$cdata['name'];
            $free[$cdata['indx']]=$cdata['free']; 
            $maxc[$cdata['indx']]=$cdata['maxcount']; 
           $judged[$data['indx']]=$cdata['judged'];}
//     sort($categories);
    $keys=array_keys($cats);  }
    
$newcats=$_POST['category'];
$newfree=$_POST['fflag'];
$newmax=$_POST['maxcount'];
$newjudged=$_POST['jflag'];

?> <table> <? 
foreach ($keys as $key) {
   if ((($cats[$key]!=$newcats[$key]) and ($newcats[$key]!='')) or (($free[$key]!=$newfree[$key]) or ($maxc[$key]!=$newmax[$key]) or ($judged[$key]!=$newjudged[$key]) )) { 
      update_1cat($db,$key,$newcats[$key],$newfree[$key],$newmax[$key],$newjudged[$key]); }
    //  echo "$cats[$key] vs. $newcats[$key], $free[$key] vs. $newfree[$key] \n\r"; }
         // Update both category and free - easier than deciding which or both since can be done at once.....
    if (($key>2) and (empty($newcats[$key]))) { delete_1cat($db,$key);  }//Delete this key
    if (($key<=2) and  (empty($newcats[$key]))) { ?> <H2>Cannot Delete Entries 1 & 2 !!!</H2> <? }
    }
    if (!empty($_POST['newcat'])) {add_1cat($db,$_POST['newcat'],$_POST['newflg'],$_POST['newmax'],$_POST['newjflag']);} //Insert new category
?> <H2>Updated Categories</H2> 
<script type="text/javascript"> 
           setTimeout(function() { document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=cat_info"; }, 2000);
</script><?
 //show_categories($section);
}

function update_1cat($db,$key,$category,$free,$max,$judged){
// Update one line of category table - can only update one at a time....
$test=preg_replace('/\s+/','',$category);  
//echo "$category:'$test'\n\r";
if (strlen($test)>2)  {
$query="UPDATE categories SET name='$category', free='$free', maxentries='$max', judged='$judged' where indx=$key";
//echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error updating Category, $Key : " . mysqli_error($db);}
} else { echo "'$category' name is too short.";}
}

function delete_1cat($db,$key){
// Delete one line of category table - can only update one at a time....
$query="DELETE from  categories where indx=$key";
//echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error deleting Category, $key :  " . mysqli_error($db);}
}

function add_1cat($db,$category,$free,$max,$judged){
// Insert one line of category table - can only update one at a time....
$query="INSERT into categories (name, free, maxentries, judged) values ('$category', '$free', '$max', '$judged') ";
//echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error inserting Category, $category : " . mysqli_error($db);}
}

/*  THIS SECTION GIVES ACCESS TO THE SHOW ENTRANT INFORMATION          */

/***************************************************************************
*
*   show_entrants -
*    Display and Edit show Entrant information
*
*****************************************************************************/
function show_entrants($db,$section)
{
$all_fees=0;
$all_receipts=0;
$all_quilts=0;

$query="select * from entrants where 1 order by lname, fname";
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error Fetching Entrant list: " . mysqli_error($db);}
else { ?> 
<div align='center'><button type=button onclick="popUp('help_entrants.html')" title='Get help on Entrant list'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>';"> Back</button></div>
<br>
<table padding='8' align='center'> <tr><th align='center'> Name </th><th align='center'> Username</th><th align='center'>ID Number</th><th align='center'>Member?</th><th align='center'>E-mail</th><th align='center'>phone</th><th align='center'>Quilts Entered</th><th align='center'>Fees Due</th><th align='center'>Fees Paid</th></tr>
<?    while ($data=mysqli_fetch_assoc($result)) { 
$eid=$data['eid'];
$quilts=get_num_rows($db,'quilts',"eid=$eid");
$wquilts=get_num_rows($db,'quilts',"eid=$eid and withdrawn='yes'");
if ($quilts>0) {
           $Qquery="SELECT sum(fee) as total from quilts where eid=$eid and withdrawn='no'"; 
           $Qresult=mysqli_query($db,$Qquery);
           if (!@$Qresult) {echo "Error fetch total quilt fees due: " .  mysqli_error($db); }
           $feesdue=mysqli_fetch_assoc($Qresult);
           $total_fees=$feesdue['total']; 
           } else { $total_fees=0;
          } 
$fquery="Select sum(amount) as fee from receipts where eid='$eid'";
if (get_num_rows($db,'receipts',"eid=$eid") == 0) {$fees_paid=0.0;}
    else {$fresult=mysqli_query($db,$fquery);
          $feespaid=mysqli_fetch_assoc($fresult);  
          $fees_paid=$feespaid['fee'];} 
$all_fees+=$total_fees;
$all_receipts+=$fees_paid;
$all_quilts+=$quilts;

 if ($data['hphone'] > "") { $phone=$data['hphone'];}
     elseif ($data['wphone'] > "") { $phone=$data['wphone'];}
        else {$phone=$data['cphone'];}
 ?>          
    <tr><td align='left'> <form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> 
                 <input type=hidden name='state' value='<?=$section?>'>  
                 <input type=hidden name='func' value='edit_entrant'> 
                 <input type=hidden name='eid' value='<?=$data['eid']?>'> 
                 <button><?="${data['lname']}, ${data['fname']}"?></button></form> </td>
    <td align='center' title="<?=$data['password']?>"><?=$data['username']?></td>
    <td align='center'><?=$data['eid']?></td>
    <td align='center'><?=$data['member']?></td>
    <td align='left'><?=$data['email']?></td>
    <td align='left'><?=$phone?></td>
    <td align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                <input type=hidden name='state' value='<?=$section?>'>  
                 <input type=hidden name='func' value='show_equilts'> 
                 <input type=hidden name='eid' value='<?=$data['eid']?>'> 
                <button><?=$quilts-$wquilts?><? if ($wquilts>0) {echo "($wquilts)";}?></button></form></td>
     <td align='center'><?="$" . number_format($total_fees,2)?></td>    
    <td align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                <input type=hidden name='state' value='<?=$section?>'>  
                 <input type=hidden name='func' value='show_fees'>
                 <input type=hidden name='fullname' value='<?="${data['fname']} ${data['lname']}"?>' > 
                 <input type=hidden name='eid' value='<?=$data['eid']?>'> 
                <button style=<? if ($fees_paid<$total_fees) {echo '"color:red;"';} else  
                                 if ($fees_paid>$total_fees) {echo '"color:blue;"';} else {echo '"color:grey;"';}?>>
                        <?="$" . number_format($fees_paid,2)?></button></form></td></tr>
<?    } ?>
<tr><td colspan=5></td><th align='right'> Totals:</th><th align='center'><?=$all_quilts?></th><th align='center'><?="$" . number_format($all_fees,2)?></th>
                                                          <th align='center'><?="$" . number_format($all_receipts,2)?></th></tr>
</table>
<? 
  }
}
/***********************************************************
*
* edit entrant- 
*   Display all entrant info and permit editing
*
************************************************************/

function edit_entrant($db,$section,$eid) {
$query="SELECT * from entrants where eid=$eid";
$result=mysqli_query($db,$query);
if (!@$result) { echo 'Error returning entrant record for eid="$eid": ' . mysqli_error($db);}
  else {
     $data=mysqli_fetch_assoc($result); ?>
     <h2 align='center'> Entrant Record, eid=<?=$eid?></H2>
     <table cellspacing="10" align="center">  <? if ($_SESSION['access'] & _Admin) { ?> <form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> <? } ?>
                 <input type=hidden name='state' value='<?=$section?>'>  
                 <input type=hidden name='func' value='update_entrant'> 
                 <input type=hidden name='eid' value='<?=$eid?>'> 
     <tr> <td align='right'> Name: </td><td align='left'><?=$data['fname']?>   <?=$data['lname']?> </td>
          <td align='right'>username:  </td><td align='left'><?=$data['username']?> </td></tr>
     <tr> <td align='right'Address: </td><td align='left'><?=$data['addr1']?></td>
          <td align='right'>Home Phone:  </td><td align='left'><?=$data['hphone']?> </td></tr>
     <tr> <td align='right'> </td><td align='left'><? if ($data['addr2']=='') { ?>
                     <?=$data['city']?>, <?=$data['state']?> <?=$data['zip']?> <? } ?> </td>
          <td align='right'>Work Phone:  </td><td align='left'><?=$data['wphone']?> </td></tr>
      <tr> <td align='right'> </td><td align='left'> <? if ($data['addr2']!='') { ?> 
                  <?=$data['city']?>, <?=$data['state']?> <?=$data['zip']?> <? } ?> </td>
          <td align='right'>Cell Phone:  </td><td align='left'><?=$data['cphone']?>  </td></tr>
     <tr> <td align='right'>member:  </td><td align='left'><?=$data['member']?></td>
          <td align='right'>E-mail:  </td><td align='left'><?=$data['email']?> </td></tr>
<tr><th colspan=4 align='center'> Administrative Access</th></tr>
<tr><td>Registration</td>   <td><input type=checkbox name='register' value='yes' <? if ($data['access'] & _Registration) {echo " checked";} ?> ></td>
    <td>Intake</td>   <td><input type=checkbox name='intake' value='yes' <? if ($data['access'] & _Intake) {echo " checked";} ?>></td></tr>
<tr><td>Hanging</td>   <td><input type=checkbox name='hanging' value='yes' <? if ($data['access'] & _Hanging) {echo " checked";} ?>></td>
     <td>Judging</td>   <td><input type=checkbox name='judging' value='yes' <? if ($data['access'] & _Judging) {echo " checked";} ?>></td></tr>
<tr><td>Release</td>   <td><input type=checkbox name='release' value='yes' <? if ($data['access'] & _Release) {echo " checked";} ?>></td>
<td>Program</td> <td> <input type=checkbox name='program' value='yes' <? if ($data['access'] & _Program) {echo " checked";} ?>></td></TR>
    <TR><td>Show Admin</td>   <td><input type=checkbox name='admin' value='yes' <? if ($data['access'] & _Admin) {echo " checked";} ?>></td></tr>
<? if ($_SESSION['access'] & _Admin and $section=='Admin') { ?> <tr><td align='center' colspan=2><Button>Update Access</button></form></td> <? 
                                     } else {?> <tr><td align='center' colspan=2></td> <? } ?>
<td align='center' colspan=2><button type=button onclick="javascript:document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=entrants';">Back</button></td></tr>  
     </table> <?
 }
}

/***********************************************************
*
* update_entrant- 
*   make requested changes to entrant access privileges in database
*
************************************************************/

function update_entrant($db,$section) {
$access=0;
if ($_POST['register']=='yes') {$access+=_Registration;}
if ($_POST['intake']=='yes') {$access+=_Intake;}
if ($_POST['hanging']=='yes') {$access+=_Hanging;}
if ($_POST['judging']=='yes') {$access+=_Judging;}
if ($_POST['release']=='yes') {$access+=_Release;}
if ($_POST['program']=='yes') {$access+=_Program;}
if ($_POST['admin']=='yes') {$access+=_Admin;}
$query="UPDATE entrants set access='$access' where eid='${_POST['eid']}'";
//echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error updating access codes: ". mysqli_error($db);}
?> <script type="text/javascript"> 
         setTimeout(function () {document.location.href="admin.php?state=<?=$section?>&func=entrants"; },1000);
   </script> <?
}

/* Admin level constants to control access levels. For reference - these are 
          defined near the top of the page.
define('_Registration' , 1);
define('_Intake' , 2);
define('_Hanging' , 4);
define('_Judging' , 8);
define('_Release' , 16);
define('_Admin' , 32);   
define('_Program' , 64)   */


/*  THIS SECTION DOES THE MANIPULATIONS OF THE QUILT INFORMATION     */

/*********************************************************************
*
*   list_quilts -
*        list all of the quilts with form to select how viewed
*        and links to view individual entry or all entries from an entrant
*
**********************************************************************/

function list_quilts($db,$section,$sort)
{ // if ($sort=='') {$sort='name';}
if (empty($sort)) { if (@$_SESSION['savesort']) { $sort=$_SESSION['savesort']; } else { $sort='name'; } }
$_SESSION['savesort']=$sort;

?><div align='center'><button type=button onclick="popUp('help_quilts.html')" title='Get help on Quilt list'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>';"> Back</button>
<? if ($sort=='name'){ ?>
<A href="Alpha_list_pdf.php"><button type=button>Alphabetic List - pdf</button></a><? } ?> </div>
<form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>   <P class='ctext'>
        <input type=hidden name='state' value='<?=$section?>'>   <input type=hidden name='func' value='list_quilts'> 
         Sort Order: <input type=radio name='sort' value='name' <? if ($sort=='name'){echo 'checked';} ?> > Name/category 
                     <input type=radio name='sort' value='category' <? if ($sort=='category'){echo 'checked';} ?> > Category/name
                     <input type=radio name='sort' value='hang' <? if ($sort=='hang'){echo 'checked';} ?> > Category/width 
                     <input type=radio name='sort' value='index' <? if ($sort=='index'){echo 'checked';} ?> > Entry Order 
                     <input type=radio name='sort' value='gallery' <? if ($sort=='gallery'){echo 'checked';} ?> > Gallery 
                     <button>Resort List</button></p> </form>
<?
   switch ($sort){
   case 'gallery' : $order='gallery'; break;
   case 'category' : $order='category, lname, fname'; break;
   case 'hang' : $order='category, width, length'; break;
   case 'index': $order='idx DESC'; break;
   case 'name' :
   default     : $order='lname, fname, category';   
   } ?>
<H2 align='center'> Entered Quilts Summary </H2>
 <?   
$query="SELECT e.fname, e.lname, e.eid, e.member, q.idx, q.qname, q.category, q.withdrawn, q.width, q.length, q.gallery FROM quilts as q, entrants as e where q.eid=e.eid order by ". $order;
//echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error Fetching Quilt information: ". mysqli_error($db);}
?> 
<table align='center'>
<? 
switch ($sort){
   case 'gallery' : ?>
        <tr><th>Gallery</th> <th>Quilt Name</th><th>IDX</th><th>Submitted By</th><th>EID</th></tr>
<?             while ($data=mysqli_fetch_assoc($result)) { ?>
       <TR><td><?=$data['gallery']?></td>
           <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>" >
                <? if ($data['withdrawn']=='yes') {echo "<i>${data['qname']}<i>";} else { echo $data['qname'];}?></a></td>
           <td><?=$data['idx']?></td>
           <TD> <? $name="${data['lname']}, ${data['fname']}"; if ($data['member']=='yes') {echo $name;} else { echo "<i>$name</i>"; }?> </td>
           <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=edit_entrant&eid=<?=$data['eid']?>"><?=$data['eid']?></a></td></td>
                 </tr>
    <? };     break;
  
   case 'category' :  ?>
        <tr><th>Submitted by</th><th>EID</th><th>IDX</th><th>Quilt Name</th><th>Category</th></tr>
<?              while ($data=mysqli_fetch_assoc($result)) { ?>
        <TR><TD> <? $name="${data['lname']}, ${data['fname']}"; if ($data['member']=='yes') {echo $name;} else { echo "<i>$name</i>"; }?> </td>
            <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=edit_entrant&eid=<?=$data['eid']?>"><?=$data['eid']?></a></td></td>
            <td><?=$data['idx']?></td>
            <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>" >
               <? if ($data['withdrawn']=='yes') {echo "<i>${data['qname']}<i>";} else { echo $data['qname'];}?></a></td>
            <td><?=$data['category']?></td></tr>
    <? };     break;
    
   case 'hang' : ?>
       <tr><th>Category</th><th>Width</th><th>Length</th><th>Quilt Name</th><th>IDX</th><th>Submitted By</th><th>EID</th></tr>
<?             while ($data=mysqli_fetch_assoc($result)) { ?>
       <TR><td><?=$data['category']?></td>
           <td><?=$data['width']?></td>
           <td><?=$data['length']?></td>
           <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>" >
                <? if ($data['withdrawn']=='yes') {echo "<i>${data['qname']}<i>";} else { echo $data['qname'];}?></a></td>
           <td><?=$data['idx']?></td>
           <TD> <? $name="${data['lname']}, ${data['fname']}"; if ($data['member']=='yes') {echo $name;} else { echo "<i>$name</i>"; }?> </td>
           <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=edit_entrant&eid=<?=$data['eid']?>"><?=$data['eid']?></a></td></td>
          </tr>
    <? }; break; // end case
   
  
   case 'name'  :
   case 'index' :
   default      :  ?>
        <tr><th>Submitted by</th><th>EID</th><th>IDX</th><th>Quilt Name</th><th>Category</th></tr>
<?              while ($data=mysqli_fetch_assoc($result)) { ?>
        <TR><TD> <? $name="${data['lname']}, ${data['fname']}"; if ($data['member']=='yes') {echo $name;} else { echo "<i>$name</i>"; }?> </td>
            <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=edit_entrant&eid=<?=$data['eid']?>"><?=$data['eid']?></a></td></td>
            <td><?=$data['idx']?></td>
            <td><a href="<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>" >
               <? if ($data['withdrawn']=='yes') {echo "<i>${data['qname']}<i>";} else { echo $data['qname'];}?></a></td>
            <td><?=$data['category']?></td></tr>
    <? }; break; // end case
} //end Switch     
   ?> </table> 
<? }

/***********************************************************
*
* print_form- 
*   Display complete entry, suitable for printing without
*     header and footer information.  Maybe needs a PDF option
*     as well......
*
************************************************************/

function print_form($db,$section,$index)
{ global $ShowName, $ShowYear, $_COOKIE, $Guild, $Gld;

$query=sprintf("SELECT * from Combined_Tables WHERE idx=%s",$index);
$result=mysqli_query($db,$query);
if (!$result) { echo "Unable to ready quilt information from Combined Tables: ". mysqli_error($db); }
else { $Qdata=mysqli_fetch_assoc($result);} 
  if (!@$Qdata['design']) {
      if ($Qdata['kit']=='yes') { $Qdata['design']='Kit';}  
      if ($Qdata['adapt']=='yes') { $Qdata['design']='Adaptation';}  
      if ($Qdata['orig']=='yes') { $Qdata['design']='Original';}  
    }
?>

<H2 align='center'><?=$Guild?> <br> <i><?=$ShowName?></i> <BR><?=$ShowYear?> Quilt Show Entry Form</H2>

<table cellspacing="5%" align='center'>
<TR><TH align='right' width=200>Quilt Maker:<br>ID Number:</TH>
        <TD width=200> <?=$Qdata['fname']?> <?=$Qdata['lname']?><br><?=$Qdata['eid']?> </TD>
<TD rowspan='9'> <img src='images/quilts<?=$ShowYear?>/<?=$Qdata['picture']?>' width=320> </TD>
</TR>
<TR><TH align='right'>Address: </TH><TD> <?=$Qdata['addr1']?></TD> </TR>
<TR><TH align='right'></TH><TD><?=$Qdata['addr2']?></TD></TR>
<TR><TH align='right'></TH><TD><?=$Qdata['city']?>, <?=$Qdata['state']?> <?=$Qdata['zip']?>  </TD></TR>
<TR><TH align='right'>Phones: </TH><TD><?=$Qdata['hphone']?> (Home) </TD></TR>
 <TR><TH align='right'></TH><TD> <?=$Qdata['cphone']?> (Cell)</TD></TR>
<TR><TH align='right'></TH><TD> <?=$Qdata['wphone']?> (Work)</TD></TR>
<TR><TH align='right'>E-Mail: </TH><TD> <?=$Qdata['email']?></TD></TR>
<TR><TH align='right'>Are you a member of the <?=$Guild?>?</TH><TD>&nbsp;&nbsp;&nbsp;
        <?=$Qdata['member']?> </TD></TR></table>
<HR>
<? if ($Qdata['fee']>0) { ?>
<P align='center'>A $<?=number_format($Qdata['fee'],2)?> is required to complete the registration of this quilt.  See your quilts summary page for more information. 
<? }
 if ($Qdata['category']=='Non-Judged Display') {?>
<P align='center'>Please be aware that quilts entered in the 'Non-Judged Display' category will be hung
on a space-available basis only. <? }?>
<HR><table cellspacing="7" align='center'>
<TR><TH align='right'>Name of Quilt: </TH>
         <TD> <?=$Qdata['qname']?></TD>
    <TH align='right'>Predominant Color: </TH>
         <TD> <?=$Qdata['color']?></TD>
</TR>
<TR><TH align='right'>Quilt Size: </TH>
         <TD> Length:  <?=$Qdata['length']?><br>
              Width:  <?=$Qdata['width']?> </TD>
    <TH align='right'>Is the Quilt hand or machine quilted?</TH>
         <TD> <?= $Qdata['quilting']?> </TD>
</TR>
<TR> <TH align='right'>Quilt Design:</TH>
         <TD> <?= $Qdata['design']?> </TD>
     <TH align='right'>Who Quilted the quilt? </TH>
         <TD> <?=$Qdata['quilterfirst']." ".$Qdata['quilterlast']?></TD>
</TR>
<TR> <TH align='right'>Adaptation Source:</TH>
         <TD> <?= $Qdata['source']?></TD>
    <TH align='right'>Quilt Category:</TH>
         <TD> <?= $Qdata['category']?> </TD>     
</TR>
<TR> <TH align='right'>Entry Index Number:</TH>
         <TD><?=$Qdata['idx']?></TD>
    <TH align='right'>Is the Quilt Go-Texan eligible?</TH>
         <TD> <?= $Qdata['texan']?> </TD>   
</TR>

 
</table>
<P align='center'><font size="-1">Artist Statement: (This will appear on the quilt information card at the show.  <B>Please proofread it carefully.</B>)<br>
<?=$Qdata['stmt']?></font><BR>
<P><font size="-1">By submitting this form and entry, I agree to honor the rules of the show and to accept the decision of the judges as final.  I understand that <?=$Gld?> will take every precaution to safeguard the quilts during the show, but <?=$Gld?> is not responsible for loss or damage.</font>
<P align='center'>
<!--   I <?= $Qdata['disclaimer']?>. <BR><BR> -->
<P style="text-align:center;">
<A href="Entry-pdf.php?idx=<?=$index?>"><button type=button>PDF Copy</button></a>
<button type=button onclick="javascript:window.location.href='<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=mini_edit&idx=<?=$index?>';">'Mini'-edit</button>
<!-- button onClick="javascript:window.print();">Print Form</button -->
<button type=button onclick="javascript:window.location.href='<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=list_quilts&sort=<?=$_SESSION['savesort']?>';">Full Quilt list</button>
<button type=button onclick="javascript:window.location.href='<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=show_equilts&eid=<?=$Qdata['eid']?>';">This Entrant Quilt List</button></P>

<?php }

/****************************************************************
*
*   mini_edit Function
*       This is a mini editor for administrative purposes.  It
*       allows the registration administrator to edit the category,
*       design, and artist statement fields only.
*
*****************************************************************/

function mini_edit($db,$section,$index)
{ global $ShowYear, $categories, $Guild, $Gld;
$query="SELECT * from Combined_Tables where idx=$index";
// echo "index: ".$index.", query: ". $query . PHP_EOL;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error Fetching Quilt information: ".mysqli_error($db);}
$Qdata=mysqli_fetch_assoc($result); ?>



<table cellspacing="5%" align='center'>
<TR><TH align='right' width=200>Quilt Maker:<br>ID Number:</TH>
        <TD width=200> <?=$Qdata['fname']?> <?=$Qdata['lname']?><br><?=$Qdata['eid']?> </TD>
<TD rowspan='9'> <img src='images/quilts<?=$ShowYear?>/<?=$Qdata['picture']?>' width=320> </TD>
</TR>
<TR><TH align='right'>Address: </TH><TD> <?=$Qdata['addr1']?></TD> </TR>
<TR><TH align='right'></TH><TD><?=$Qdata['addr2']?></TD></TR>
<TR><TH align='right'></TH><TD><?=$Qdata['city']?>, <?=$Qdata['state']?> <?=$Qdata['zip']?>  </TD></TR>
<TR><TH align='right'>Phones: </TH><TD><?=$Qdata['hphone']?> (Home) </TD></TR>
 <TR><TH align='right'></TH><TD> <?=$Qdata['cphone']?> (Cell)</TD></TR>
<TR><TH align='right'></TH><TD> <?=$Qdata['wphone']?> (Work)</TD></TR>
<TR><TH align='right'>E-Mail: </TH><TD> <?=$Qdata['email']?></TD></TR>
<TR><TH align='right'>Are you a member of the <?=$Guild?>?</TH><TD>&nbsp;&nbsp;&nbsp;
        <?=$Qdata['member']?> </TD></TR></table>
<HR>
<table cellspacing="7" align='center'>
<TR><TH align='right'>Name of Quilt: </TH>
         <TD> <?=$Qdata['qname']?></TD>
    <TH align='right'>Predominant Color: </TH>
         <TD> <?=$Qdata['color']?></TD>
</TR>
<TR><TH align='right'>Quilt Size: </TH>
         <TD> Length:  <?=$Qdata['length']?><br>
              Width:  <?=$Qdata['width']?> </TD>
    <TH align='right'>Is the Quilt hand or machine quilted?</TH>
         <TD> <?=$Qdata['quilting']?> </TD>
</TR>
<TR> <TH align='right'>Is the Quilt Go-Texan eligible?</TH>
         <TD> <?= $Qdata['texan']?></TD>
     <TH align='right'>Who Quilted the quilt? </TH>
         <TD> <?=$Qdata['quilterfirst']." ".$Qdata['quilterlast']?></TD>
</TR>
<TR> <TH align='right'>Adaptation Source:</TH>
         <TD> <?= $Qdata['source']?></TD>
    <TH align='right'>Quilt Category:</TH>
         <TD> <?= $Qdata['category']?> </TD>     
</TR>
<TR> <TH align='right'>Entry Index Number:</TH>
         <TD><?=$Qdata['idx']?></TD><td></td>
        </TR>
</table>
<HR>  <form name='editForm' action="<?=$_SERVER['SCRIPT_NAME']?>" method=post > 
          <input type=hidden name='state' value='<?=$section?>' >
          <input type=hidden name='func' value='chg_mini_edit' >
          <input type=hidden name='idx' value='<?=$index?>' >

<table  cellspacing="5%" align='center'> 
<TR><TH align='right' width=35%>Category: </TH>
                   <TD> <select id='category' name='category' size=1> 
                        <option value=''>Choose One:</option>
 <?                       foreach ($categories as $category => $value ) {
 ?>                      <option<?= $Qdata['category']==$category ? ' selected' : '' ?>><?=$category ?> </option> <?  
                         }?>               
                  </select></TD>
<TR><TH align='right' id="kitname">Quilt Design:</TH>
         <TD> <input type=radio name='design' id='kit' value=Kit <?=$Qdata['design']=='Kit' ? ' checked' : ''?> >Kit or Block of the Month &nbsp; &nbsp; &nbsp; 
              <input type=radio name='design' id='original' value=Original <?=$Qdata['design']=='Original' ? ' checked' : '' ?> >Original Design<br>
              <input type=radio name='design' id='adapt' value=Adaptation <?=$Qdata['design']=='Adaptation' ? ' checked' : ''?> > Adaptation 
        </td></tr>
<TR><TH align='right' id="src">Source of Adaptation: </TH>
         <TD> <input type=text name=source size=64  value="<?=$$Qdata['source']?>"></TD></TR>
<TR><TH align='left'> Artist Statement: (Describe your entry and/or inspiration for this quilt.  This will appear on the quilt information card at the show. <B>Please proofread it carefully.</B>)</TH>
      <td  align='left'>
<textarea name=stmt rows=7 cols=65 onKeyDown="limitStmt(this.form.stmt,this.form.countdown,400);"  onKeyUp="limitStmt(this.form.stmt,this.form.countdown,400);"><?=$Qdata['stmt']?></textarea><BR><font size="1">(Maximum Characters: 400) You have <input readonly type="text" name="countdown" size=3 value=400 > characters left.</font></td></tr></table>
<DIV align='center'><button>Save Changes</button></form> 
                    <button type=button onclick="javascript:window.location.href='<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$index?>';">  Back Without Saving </button>
</DIV>
<?

}

function chg_mini_edit($db,$section)
{
//   echo "Made it to chg_mini_edit....".PHP_EOL;
$idx=$_POST['idx'];
$stmt=mysqli_real_escape_string($db,$_POST['stmt']);       
$source=mysqli_real_escape_string($db,$_POST['source']);
$kit='no';
$adapt='no';
$orig='no';

switch ($_POST['design']) 
{
  case 'kit': $kit='yes'; break;
  case 'adapt': $adapt='yes'; break;
  case 'original': $orig='yes';
}
$query=sprintf("UPDATE quilts SET stmt='$stmt', design='%s', source='$source',category='%s', kit='$kit', adapt='$adapt', orig='$orig' where idx=$idx",$_POST['design'],$_POST['category']);
$result=mysqli_query($db,$query);
if (!@$result) {echo "Failed to write updates out to database: ".mysqli_error($db);}
?> <H2> Updated information written to database</H2>
<script type="text/javascript"> 
      setTimeout(function() { document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$idx?>"; },2000);    
   </script>
<? }
/***********************************************************
*
* show_equilts- 
*   Display all of one entrants quilts, including fee info.
*
************************************************************/

function show_equilts($db,$section,$eid)
{global $maxcount, $cat_list;
  $query1=sprintf("SELECT fname, lname, email, addr2 from entrants where eid='%s'",$eid);
  $result1=mysqli_query($db,$query1);
  if (!$result1) {echo "Error fetching user info from entrants table: " . mysqli_error($db);} 
       else {$data=mysqli_fetch_row($result1);
             $fname=$data[0]; $lname=$data[1]; $email=$data[2]; $addr2=$data[3];}
//echo "Address Line 2=(".$addr2.")";
$fullname=$fname . " ".$lname;
  $rcpts=0;
  $query3=sprintf("SELECT sum(amount) as rcpts from receipts where eid=%s",$eid);
  $result3=mysqli_query($db,$query3);
  if (!$result3) {echo "Error fetching user receipts information: " . mysqli_error($db);}
                  else { $data=mysqli_fetch_array($result3); $rcpts+=$data[0]; }

 $badcount=check_category_entries($db,$eid);
 
  $query2="SELECT idx, qname, category, fee, picture, withdrawn, entered from quilts where eid=$eid order by category";
  $result2=mysqli_query($db,$query2);
  $quilts=mysqli_num_rows($result2);
  $query3="SELECT idx from quilts where eid=$eid and withdrawn='no'";
  $result3=mysqli_query($db,$query3);
  $entered=mysqli_num_rows($result3);
?>
<div align='center'><button type=button onclick="popUp('help_show.html')" title='Get help on User Shown Quilt list'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=entrants';"> Back</button>
</div>
  <H1 align='center'>Quilt Registration information for <?=$fname." ". $lname?>  (ID Number <?=$_SESSION['eid']?>)</H1>
<? switch ($entered) {
case 0 : ?> <h2 align='center'><?=$fullname?> does not currently have any quilts entered in this year's show</H2><? break;
case 1 : ?> <h2 align='center'><?=$fullname?> currently has 1 quilt entered in this year's show:</H2><? break;
default :  ?> <h2 align='center'><?=$fullname?> currently has <?=$entered?> quilts entered in this year's show:</H2>
<?  } ?>

<table align='center'><TR> 
    <td width=50px></td> <td width=150px></td> <td width=200px></td> 
          <td width=150px></td> <td width=50px></td>  </TR>
          
<TR><TH align='center'>Index</TH><TH align='center'>Date Entered</TH><TD align='center'><b>Quilt Name</b><br><i> (click to view or print)</i></TD>
<TH align='center'>Category</TH>
<TH>Fee Due</TH></TR>

 <? $total_fee=0;  
 while($data=mysqli_fetch_assoc($result2)) {  if ($data['withdrawn']=='no') {$total_fee+=$data['fee'];} 
 //   This puts the option buttons in the first column of the table  ?>
 

 <TD align='center'> <?=$data['idx']?></TD>
 <TD align='center'> <?=$data['entered']?></TD>
 <? if ($data['withdrawn']=='no') { ?> <TD  style="text-align:center;"> 
 <A href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>"><?=$data['qname']?></a><? 
 } else { ?> <TD style="text-align:center; text-decoration:line-through;"> <A href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=print&idx=<?=$data['idx']?>"><?=$data['qname']?></a></TD><? } ?>
  
  <? if (in_array($data['category'],$cat_list)) { ?> <TD style="color:red;text-align:center"> <? } 
     else { ?> <TD style="color:block;text-align:center"> <? } echo $data['category']; ?>  </TD>
 
 <? if ($data['withdrawn']=='no') { ?> <TD  style="text-align:center;"> <? } else { ?>
                                       <TD style="text-align:center; text-decoration:line-through;"> <? } 
                                       echo "$".number_format($data['fee'],2) ?> </TD>
 </TR> <? } ?>
 
 <TR><TD colspan=4><HR></TD></TR>
 <tr><TD rowspan=3 align='center'></td><TH align='right'>Total Fees:</TH> <td>  </TD> <TH align='center'><?="$".number_format($total_fee,2)?></TH></tr>
 
<tr><TH align='right'>Total payments received:</TH> <td>  </TD> <TD style="text-align:center; color:red;"><?="$".number_format($rcpts,2)?></TD></TR>
 
<tr><TH  align='right'>Total Fees Due:</TH> <td>  </TD> <TH align='center'><?="$".number_format($total_fee-$rcpts,2)?></TH></TR>
 
 <TR><TD colspan=5 align='right'>

 </td></tr></table>

<? }

 /************************************************************************************
 *
 *    check_category()
 *      This counts the number of quilts in each category to advise if too many are entered in a category.
 *      This is purely advisory, nothing is done to actually limit the number of entries.  That will be done
 *      later by the registration administrator.
 *
 ****************************************************************************************/
 
 function check_category_entries($db,$eid)
 {  global $cat_list, $maxcount;
 $i=0;
 $cat_list=array();
 $query="SELECT DISTINCT category from quilts where eid=$eid";
 // echo $query;
 $result=mysqli_query($db,$query);
 if (!@$result) {echo "Error fetching list of distinct categories: " . mysqli_error($db); }
 while ($row=mysqli_fetch_assoc($result)) {
       $category=$row['category'];
       if ($maxcount[$category]>0){
       $count=get_num_rows($db,"quilts","category='$category' and eid=$eid and withdrawn='no'");
 //      echo $count . " in ". $category . PHP_EOL;
 if ($count>$maxcount[$category]) {$cat_list[$i++]=$category;}}
}
return ($i); 
 }
 
/*  THIS SECTION HANDLES THE FEES INFORMATION AND THE RECEIPTS TABLE   */

/***********************************************************
*
* show fees- 
*   Display all of an entrant's fees, with option to add a
*      new payment or edit existing payments
*
************************************************************/

function show_fees($db,$section,$eid)
{
$fullname=$_POST['fullname'];
$query="SELECT * from receipts where eid=$eid";
$result=mysqli_query($db,$query);
if (!@$result) {echo "Problem fetch receipt data: ".mysqli_error($db);}
?>
<div align='center'>
<button type=button onclick="popUp('help_fees.html')" title='Get help on Fee Payments'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=entrants';"> Back</button>
</div>
<h2 align='center'>Fee Payment information for <?=$fullname?> (Entrant ID# <?=$eid?>) </H2> <?
if (mysqli_num_rows($result)==0) { ?> <H3 align='center'> No payments recorded yet. </H3> <? }
     else { $total=0; ?>  
             <table align='center'><TR><TH>Date</TH><TH>Check #</TH><TH>Amount</TH><TH></TR> <?
      while ($data=mysqli_fetch_assoc($result)) { $total+=$data['amount']; ?> 
               <td align='left'><?=$data['date']?></td>
               <td align='center'><?=$data['check']?></td>
               <td align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                       <input type=hidden name='state' value='<?=$section?>'>  
                       <input type=hidden name='func' value='edit_payment'> 
                       <input type=hidden name='eid' value='<?=$eid?>'>
                       <input type=hidden name='indx' value='<?=$data['indx']?>'>
                       <input type=hidden name='fullname' value='<?=$fullname?>'>               
               <button type=submit><?="$".number_format($data['amount'],2)?></button></form></td></tr>
             <? } ?> 
     <td></td><th>Total Paid:</th><th><?="$".number_format($total,2)?></th></tr></table>
    <? } ?>  
 <DIV align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
    <input type=hidden name='state' value='<?=$section?>'>  
    <input type=hidden name='func' value='add_payment'> 
    <input type=hidden name='eid' value='<?=$eid?>'>
 
 <? $now=getdate(time());
 $today=$now['year'] ."-" . $now['mon'] . "-" . $now['mday']; ?>               
    Date <i>(year-mo-dy)</i>: <input type=text name=date value='<?=$today?>'size=12>
    Check #: <input type=text name=checkno size=8>
    Amount: <input type=text name=amount size=8>
    <button type=submit>Add Payment</button></form></DIV>
<? }

/***********************************************************
*
* add_payment
*   Add an entry to the receipts table.
*
************************************************************/

function add_payment($db,$section)
{
$payment=$_POST['amount'];
$checkno=$_POST['checkno'];
$date=$_POST['date'];
$eid=$_POST['eid'];
if (($payment=='') or ($checkno=='') or (date=='')) {?> <H2> Payment information is incomplete </H2>
      setTimeout(function() { document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=show_fees&eid=<?=$eid?>"; }, 2000); 
   <? } else { 
   $query="INSERT INTO `receipts` (`date`, `eid`, `amount`, `check`) values ('$date',$eid,$payment,$checkno)";
//echo $query;
   $result=mysqli_query($db,$query);
   if (!@$result) {echo "Error inserting payment record: " . mysqli_error($db);}
   }
?> <script type="text/javascript"> 
      setTimeout(function() { document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=show_fees&eid=<?=$eid?>"; }, 1000);    
   </script> <?
}

/***********************************************************
*
* edit payment
*   make changes to a payment.  Setting payment amount to 
*   zero with delete the entry in the receipts table.
*
************************************************************/

function edit_payment($db,$section)
{
$fullname=$_POST['fullname'];
$eid=$_POST['eid'];
$query="SELECT * from receipts where eid=$eid";
$result=mysqli_query($db,$query);
if (!@$result) {echo "Problem fetching receipt data: ".mysqli_error($db);}
?> <div align='center'>
<button type=button onclick="popUp('help_fees.html')" title='Get help on Fee Payments'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>&func=show_fees&eid=<?=$eid?>';"> Back</button>
</div>
<h2 align='center'>Fee Payment information for <?=$fullname?> (Entrant ID# <?=eid?>) </H2> <?
if (mysqli_num_rows($result)==0) { ?> <H3 align='center'> No payments recorded yet. </H3> <? }
     else { $total=0; ?>  
     <form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                       <input type=hidden name='state' value='<?=$section?>'>  
                       <input type=hidden name='func' value='chg_payment'> 
                       <input type=hidden name='eid' value='<?=$eid?>'>
                        
             <table align='center'><TR><TH>Date</TH><TH>Check #</TH><TH>Amount</TH><TH> <th></th></TR><?
      while ($data=mysqli_fetch_assoc($result)) { $total+=$data['amount']; 
               if ($_POST['indx']==$data['indx']) { // edit this one
                    ?> 
                       <td>   <input type=hidden name='indx' value="<?=$data['indx']?>">
                          <input type=hidden name='fullname' value="<?=$fullname?>">
                          <input type=text name=date value='<?=$data['date']?>' size=12></td>
                       <td> <input type=text name=check value='<?=$data['check']?>' size=8></td>
                       <td> <input type=text name=amount value='<?=$data['amount']?>' size=8> </td>
                       <td> <button type=submit>Update Record</button></td></tr> <?
            } else {  // Just display other info
               ?> <td align='left'><?=$data['date']?></td>
                  <td align='center'><?=$data['check']?></td>
                  <td align='center'><?="$".number_format($data['amount'],2)?></td><td></td></tr>
             <? } 
         }    ?> 
     <td></td><th>Total Paid:</th><th><?="$".number_format($total,2)?></th></tr></table></form>
    <? 
}

}

/***********************************************************
*
* chg_payment- 
*   Execute the changes requested above, writing to the DB
*
************************************************************/

function chg_payment($db,$section)
{$eid=$_POST['eid'];
if ($_POST['amount']==0) {  $query="DELETE from `receipts` where `indx`=${_POST['indx']}";} 
    else { $query="UPDATE receipts set `date`='${_POST['date']}', `check`=${_POST['check']}, `amount`=${_POST['amount']} where `indx`=${_POST['indx']}";}
//echo $query;
$result=mysqli_query($db,$query);
   if (!@$result) {echo "Error updating payment information: " . mysqli_error($db);}
   
?>  <script type="text/javascript"> 
              setTimeout(function() { document.location.href="admin.php?state=<?=$section?>&func=show_fees&eid=<?=$eid?>"; }, 500); 
    </script> <?
}

/***********************************************************
*
* list_fees- 
*   Display all entrant fees, adjust order 
*
************************************************************/
function list_fees($db,$section,$fsort)
{ if (empty($fsort)) {$fsort='date';}  ?>
<div align='center'><button type=button onclick="popUp('help_fee_table.html')" title='Get help on fees list'> Help </button>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>';"> Back</button>  
 

<form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>   <P class='ctext'>
        <input type=hidden name='state' value='<?=$section?>'>   <input type=hidden name='func' value='list_fees'> 
         Sort Order: <input type=radio name='fsort' value='date' <? if ($fsort=='date'){echo 'checked';} ?> > Date
                     <input type=radio name='fsort' value='name' <? if ($fsort=='name'){echo 'checked';} ?> > Name
                     <input type=radio name='fsort' value='rdate' <? if ($fsort=='rdate'){echo 'checked';} ?> > Date, reverse
                     <input type=radio name='fsort' value='rname' <? if ($fsort=='rname'){echo 'checked';} ?> > Name, reverse 
                     <button type=submit>Resort List</button></p> </form>

<? switch ($fsort) {
case 'name'  : $sort="e.lname, e.fname, r.date"; break;
case 'rname' : $sort="e.lname DESC, e.fname DESC, r.date DESC"; break;
case 'date'  : $sort="r.date, e.lname, e.fname"; break;
case 'rdate' :
   default   : $sort="r.date DESC, e.lname DESC, e.fname DESC"; 
}

$query="SELECT e.fname, e.lname, e.eid, r.indx, r.date, r.check, r.amount, r.eid from entrants as e, receipts as r where e.eid=r.eid order by  " . $sort;
// echo $query;
$result=mysqli_query($db,$query);
if (!@$result) {echo "Problem fetching fee payment information: ". mysqli_error($db); } 
$total_fees=0;?>

<table cellpadding="5" cellspacing="5" align="'center'"> <tr> <TH>Name</TH> <TH>EID/Index</TH> <TH>Date</TH> <TH>Check Number</TH> <TH>Amount</TH>  <tr>

   <? while ($data=mysqli_fetch_assoc($result)) {
      $fname=$data['lname'] . ", " . $data['fname'];
      $pdate=mysql2php($data['date']); 
      $total_fees+=$data['amount']; 
    ?>
    <tr><td align='left'><?=$fname?></td>
        <td align='center'><?=$data['eid']."/".$data['indx']?></td>
        <td align='left'><?=date('M j, Y',$pdate)?> </td>
        <td align='center'><?=$data['check']?> </td>
        <td align='center'><?="$".number_format($data['amount'],2)?> </td> </tr>
<? } ?> <tr><td colspan=2></td> <TH colspan=2 align='right'>Total Fees Paid:</td><TH align='center'> <?="$".number_format($total_fees,2)?></TH></tr></table> 
<form action="Fees_Paid_pdf.php" method=post><button type=submit>Write this list to a PDF file</button><input type=hidden name=fsort value='<?=$fsort?>'> </form> </div><?
 
}

/************************************************************************
*
*      update_gallery
*           This function takes an uploaded CSV file with index/gallery# information, moves
*           it to the local directory, tests for columns named idx and gallery, and update the
*           database with gallery numbers.  Only gallery numbers get changed, so it is a 'safe'
*           bulk operation on the database.  Warnings for records not updated and for invalid
*           input information.  Could test for swapped idx/gallery columns, but why???  This exits
*           to a hanging guide.
*
***************************************************************************/
function update_gallery($db,$section)
{
if (move_uploaded_file($_FILES["CSVfile"]["tmp_name"], "GalleryInfo.csv")) {
echo "Successfully moved". basename( $_FILES["fileToUpload"]["name"]). " to GalleryInfo.csv";}

$fp=fopen("GalleryInfo.csv","r");
$row=fgetcsv($fp,1024);
if ($row[0]=="idx" and $row[1]=="gallery") { echo "Valid update information.";
             while ($row=fgetcsv($fp,1024)) { $id=$row[0]; $gal=$row[1];
                  $query="UPDATE `quilts` SET `gallery`=$row[1] WHERE `idx`=$row[0]";
                  $result=mysqli_query($db,$query);
                  if (!@$result) {echo "Problem updating idx $row[0] gallery to $row[1]" . mysqli_error($db); }
               }
          ?> <script type="text/javascript" >
                  setTimeout(function () {document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=Hang&func=list_quilts&sort=gallery";},2000);
            </script> <?
         } else { 
         ?>  <h3> "This file does not appear to contain valid update information.  Column 1 should be index values and column 2 should be gallery numbers."</H3> 
              <script type="text/javascript" >
                 setTimeout(function () {document.location.href="<?=$_SERVER['SCRIPT_NAME']?>$state=Hang";} , 5000);
              </script> <? }

}

/*******************************************************************************
*
*   split_traditional_pieced()
*         Since Pieced is normally a large category, and 4 quilts per
*         entrant have been allowed, it is normally split by size into 2 categories-
*         Pieced, s\Small and Pieced, Large.  This displays the
*         category with width and area information an provides for choosing a width
*         or an area to split the category.  It will then split it, redisplay, and
*         provide an option to undo and repeat.
*
*********************************************************************************/
function split_traditional_pieced($db,$section)
{ $count_tp=get_num_rows($db,'quilts',"category='Pieced' and Withdrawn='no'");
  $count_tps=get_num_rows($db,'quilts',"category='Pieced, Small' and Withdrawn='no'");
  $count_tpl=get_num_rows($db,'quilts',"category='Pieced, Large' and Withdrawn='no'");
//  echo $count_tp . ", " . $count_tps  . ", " . $count_tpl;
$query="SELECT fname, lname, qname, category, width, length FROM Combined_Tables WHERE substr(category,1,6) = 'Pieced'  and Withdrawn='no' ORDER BY width, width*length";
$result=mysqli_query($db,$query);
if (!@$result) {echo "Error fetching Pieced Category: ".mysqli_error($db);} 
$half=(int)(($count_tp+$count_tps+$count_tpl)/2); $i=0; 
//echo $half;
?> <table cellspacing="5" align="center"><tr><th align='center'>Name</th><th align='center'>Quilt</th><th align='center'>Category</th><th align='center'>Width</th><th align='center'>Area</th></tr>
<? while($data=mysqli_fetch_assoc($result)) { $name=$data['fname'] ."  " .$data['lname'];  $area=$data['width']*$data['length']; 
    if ($i==$half-1) {$Mwidth=$data['width']; $Marea=$area; }
    if ($i==$half) { ?> <tr><td colspan=5><hr></td></tr> <? 
            $Mwidth+=$data['width']; $Marea+=$area; $Mwidth=$Mwidth/2; $Marea=$Marea/2;} $i+=1; ?>
  <tr><td align='left'><?=$name?></td> <td align='left'><?=$data['qname']?></td><td align='right'><?=$data['category']?></td>
        <td align='center'> <?=$data['width']?></td><td align='center'><?=$area?></td>
<? } ?> </table>

<div align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
<input type=hidden name='func' value='do_split'> <input type=hidden name='state' value='Register'>
<input type=radio name='option' value='width' checked> Select by width >= <input type=text name=width value='<?=$Mwidth?>' ><br>
<input type=radio name='option' value='area'> Select by area >= <input type=text name=area  value='<?=$Marea?>'><br>
<? if ($count_tp==0) { ?>  <input type=radio name='option' value='reset'> Recombine Pieced (undo split)<br> 
                     <button type=submit>(Un)Split Pieced</button>
    <?} else { ?>   <button type=submit>Split Pieced</button> <? } ?> </form>&nbsp;&nbsp;&nbsp;<br>
<button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=<?=$section?>';"> Back</button> </div>
<?
}

function do_split($db,$section)
{
if ($_POST['option']=='reset') {$category='Pieced';} else {$category='Pieced, Small';}
$query1="UPDATE quilts set category='$category' where substr(category,1,6) = 'Pieced'";

if (!mysqli_query($db,$query1)){echo "Problem resetting categories: ".mysqli_error($db);}
switch ($_POST['option']) {
  case 'width' : $test="width>=${_POST['width']}"; break;
  case 'area' :  $test="width*length>=${_POST['area']}"; break;
  case 'reset' :
  default :
  }
if ($_POST['option']!='reset') { $query2="UPDATE quilts SET category='Pieced, Large' WHERE substr(category,1,6) = 'Pieced' and ".$test;
if (!mysqli_query($db,$query2)) {echo "Problem resetting categories: ".mysqli_error($db);} }

split_traditional_pieced($db,$section);
}

/**********************************************************************
*   
*   4partcards-
*         This is just a small 'interface' routine to generate the text
*          paragraph on the claim check portion of the 4 part cards.  This
*          info may change up until the last minute when these are printed,
*          so the specifics are filled in at the request for PDF rather
*          than residing in the database.
*
***********************************************************************/
function fourpartcards()
{
   $date=$_POST['date'];
   $hours=$_POST['hours'];
   $contact=$_POST['contact'];
   $phone=$_POST['phone'];
$claim="This quilt may be picked up at the Brazos Center on Saturday evening, $date, after the take-down and inventory of quilts is complete.  This should be between $hours PM.  For the security of the quilts, this receipt MUST be presented Saturday evening in order to claim your quilt.  If this receipt is lost, your quilt may be claimed by contacting $contact  ($phone) Sunday. "     
?> <H2 align='center'>Request PDF for 4 Part Cards</h2>
<P> This is the information that will display on the claim check portion of the 4 part cards:
<P><?=$claim?></P>
<DIV align='center'><button type=button onclick="document.location.href='<?$_SERVER['SCRIPT_NAME']?>?state=Intake';">This is NOT correct - Go Back</button>
<form action="4Part_Cards_pdf.php" method=post><button type=submit>This correct - Generate PDF file</button><input type=hidden name=statement value='<?=$claim?>'> </form></div>
<?  /* only exit option here seems to be the 'Not Correct - go back' button.  I don't see a way to force this action after 
      the generate pdf button is pressed..... */
  
} ?> 
   
 
  </div> <!-- end content --> 
<? if ($_REQUEST['func']!='print') { ?>
<div id="footer">
<P> All material &copy; 2015, 2016, 2017, 2019, 2021 Steven K. Silber, All Rights Reserved.</p>
    </div>
<? } ?> 
</div>   <!-- end page -->      
</body>
</html>
 
 
                  
                 