<?                       
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
require('FPDF18/fpdf.php');
require_once('utilities.php');
$db=opendb_RO();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */

 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates']; 
       $ShowAdmin=$sdata['quiltadmin']; }  
         
    /* from $ShowAdmin, get email, address, & name from Entrants table  */   
       $query2="Select fname, lname, addr1, city, state, zip, email, hphone from entrants where username='$ShowAdmin'";
       $result2=mysqli_query($db,$query2);
       if (!@$result2) {"Error fetching Quilt Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result2);
       if ($count==1) {
            $admin=mysqli_fetch_assoc($result2);
            $ShowAdminName=$admin['fname'] ." " . $admin['lname'];
            $ShowAdminEmail=$admin['email'];
            $ShowAdminPhone=$admin['hphone'];
            $ShowAdminAddr=$admin['addr1'];
            $ShowAdminCity=$admin['city'].", ". $admin['state']." ".  $admin['zip'];}

$eid=$_REQUEST['eid'];  //echo $eid;

$Equery="Select fname, lname, addr1, addr2, city, state, zip, member, email, hphone from entrants where eid='$eid'" ;
$Eresult=mysqli_query($db,$Equery); if (!@$Eresult) {echo "Error fetching entrant data: ". mysqli_error($db);}
$Edata=mysqli_fetch_assoc($Eresult);
// echo $Equery;
$Qquery="select idx, qname, fee, category from quilts where eid='$eid' and withdrawn='no'";
$Qresult=mysqli_query($db,$Qquery);
$count=mysqli_num_rows($Qresult);
//echo $Qquery;
$Fquery="select sum(amount) as rcvd from receipts where eid='$eid'" ;
$Fresult=mysqli_query($db,$Fquery);
$Fdata=mysqli_fetch_assoc($Fresult);
$rcpts= 0.0-$Fdata['rcvd'];
//echo $repts;
/* <h2> User Data</H2>
<P> From: <?=$Edata['fname']?> <?=$Edata['lname']?>,<?=$Edata['addr1']?>, <?=$Edata['addr2']?>, <?=$Edata['city']?>, <?=$Edata['state']?>  <?=$Edata['zip']?>
<P> <?=$count?> quilts are actively entered.
<P><?=money_format('%i',$rcpts)?> has been already paid.
*/
$today=date('M j, Y',time());
$pdf= new FPDF('P','mm','Letter');
$pdf->SetFont('times','',16);
$pdf->AddPage();
$width=$pdf->GetPageWidth();
$offset=($width-160)/2;

if (isset($Banner) && (file_exists($Banner))) { $pdf->Image("$Banner"); }
                else { $pdf->Cell(0,9,$Guild,0,1,'C');  }   
$pdf->Cell(0,9,$ShowYear ." Quilt Show Registration",0,1,'C');
$pdf->SetFont('','I',14);
$pdf->Cell(0,8,$ShowName,0,1,'C');
$pdf->SetFont('','',12);
$pdf->Cell(0,7,'Registration Fee Invoice',0,1,'C');
$pdf->Cell(0,7,$today,0,1,'C');
$pdf->Cell(0,1,'',1,1,'C');
// Entrant Output Here.....
$w=array(35,90,0);
$pdf->Cell($w[0],7,'Entrant:',0,0,'R');
   $pdf->Cell($w[1],7,$Edata['fname'] ."  ". $Edata['lname'],0,0,'L');
    $pdf->Cell($w[2],7,'ID Number: '.$eid,0,0,'L'); $pdf->Ln();
$pdf->Cell($w[0],7,' ',0,0,'R');
   $pdf->Cell($w[1],7,$Edata['addr1'],0,0,'L');
    $pdf->Cell($w[2],7,'Guild Member: '.$Edata['member'],0,0,'L'); $pdf->Ln();   
$pdf->Cell($w[0],7,' ',0,0,'R');
if (strlen($Edata['addr2'])>2)
      { $pdf->Cell($w[1],7,$Edata['addr2'],0,0,'L');}
      else { $pdf->Cell($w[1],7,$Edata['city'].", ".$Edata['state']." ".$Edata['zip'],0,0,'L');}
    $pdf->Cell($w[2],7,'Home Phone: '.$Edata['hphone'],0,0,'L'); $pdf->Ln();   
$pdf->Cell($w[0],7,' ',0,0,'R');
if (strlen($Edata['addr2'])>2) 
      {  $pdf->Cell($w[1],7,$Edata['city'].", ".$Edata['state']." ".$Edata['zip'],0,0,'L');}
      else $pdf->Cell($w[1],7,' ',0,0,'L');
    $pdf->Cell($w[2],7,'E-Mail: '.$Edata['email'],0,0,'L'); $pdf->Ln();   
$pdf->Cell(0,1,'',1,1,'C');
//  Quilt List Output Here....
$w=array(35,65,55,0);
$pdf->SetFont('','B');
$pdf->Cell(0,7,$count . ' Quilts Entered',0,1,'C');
$pdf->Cell($w[0],7,'Index',0,0,'C');
  $pdf->Cell($w[1],7,'Quilt Name',0,0,'L');  $indent=$pdf->GetX();
    $pdf->Cell($w[2],7,'Category',0,0,'L');
     $pdf->Cell($w[3],7,'Fee',0,0,'C');$pdf->Ln();
$pdf->SetFont('','');
$totalfee=0.0; 
while($Qdata=mysqli_fetch_assoc($Qresult)) 
   { 
    $pdf->Cell($w[0],7,$Qdata['idx'],0,0,'C');
      $pdf->Cell($w[1],7,$Qdata['qname'],0,0,'L');
        $pdf->Cell($w[2],7,$Qdata['category'],0,0,'L');
         $pdf->Cell($w[3],7,"$".number_format($Qdata['fee'],2),0,0,'C');$pdf->Ln();
   $totalfee+=$Qdata['fee']; }
 $pdf->Cell(0,0,'',1,1,'C');  
 $pdf->SetX($indent);
  $pdf->Cell($w[2],7,'Total Fees',0,0,'L');
     $pdf->Cell($w[3],7,"$".number_format($totalfee,2),0,0,'C');$pdf->Ln();
 $pdf->SetX($indent);
  $pdf->Cell($w[2],7,'Payments Received',0,0,'L');
$pdf->SetTextColor(255,0,0);
      $pdf->Cell($w[3],7,"$".number_format($rcpts,2),0,0,'C');$pdf->Ln();
$pdf->SetTextColor(0,0,0);
 $pdf->SetX($indent);
$pdf->SetFont('','B');
   $pdf->Cell($w[2],7,'Total Fees Due',0,0,'L');
      $pdf->Cell($w[3],7,"$".number_format($totalfee+$rcpts,2),0,0,'C');$pdf->Ln();
$pdf->SetFont('','');
$pdf->Cell(0,1,'',1,0,'C');$pdf->Ln(7);
$w=array(35,110,40);
$pdf->Cell($w[0],10,'Date___________','LTR',0,'L');
  $pdf->Cell($w[1],7,'Please Remit your payment, along with a copy',0,0,'C');
    $pdf->SetFont('','B');  $pdf->Cell($w[2],7,$ShowAdminName,0,0,'L');  $pdf->SetFont('',''); $pdf->Ln();
$pdf->Cell($w[0],10,'Amount:________','LR',0,'L');
  $pdf->Cell($w[1],7,'of this invoice, to the Registration Administrator:',0,0,'C');
    $pdf->SetFont('','B');  $pdf->Cell($w[2],7,$ShowAdminAddr,0,0,'L'); $pdf->SetFont('',''); $pdf->Ln();
$pdf->Cell($w[0],10,'Check #________','LBR',0,'L');
  $pdf->Cell($w[1],7,"Please Make your Check payable to " . $Gld,0,0,'C');
    $pdf->SetFont('','B');  $pdf->Cell($w[2],7,$ShowAdminCity,0,0,'L'); $pdf->SetFont('',''); $pdf->Ln();
   $pdf->Cell($w[0],10,''); $pdf->Cell($w[1],7,'and note your ID number('. $eid.') on the memo line.',0,1,'C');
   
$filename="Fee_Invoice_". $eid .".pdf"; //echo $filename;
$pdf->Output('D',$filename);  //- develop/debug, output to file....
 
// $pdfString=$pdf->Output('S','temp.pdf'); // Production - email it.
exit;


?>
