<?php session_start(); /* CAUTION!!!!  This command must begin in column 1, line 1
                      / of the file, otherwise it fails - not even a leading space!!!! */
                      
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
?> 
<!DOCTYPE html>
<html>
<head>
     <TITLE>Quilt Show Registration</TITLE>
      <link type="image/x-icon" href="/images/favicon.ico" rel="icon">
      <link type="image/x-icon" href="/images/favicon.ico" rel="shortcut icon">
   <link rel="stylesheet" type="text/css" href="./QuiltShow.css">
   <!-- Cache control inhibits caching the page, forces reload from server every time the page is accessed. 
        This guarantees refreshing SESSION variables and database information access - avoids stale data. -->
   <meta http-equiv="cache-control" content="no-cache, must-revalidate, post-check=0, pre-check=0">
     <meta http-equiv="expires" content="Sat, 31 Oct 2030 00:00:00 GMT">
     <meta http-equiv="pragma" content="no-cache">
   
   
   <SCRIPT LANGUAGE="JavaScript">
   
   function popUp(URL) {
<!-- Idea by:  Nic Wolfe -->
<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, 'help', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=500');");
}
</script>

</head>

<body>

<? require_once('utilities.php');
 $db=opendb();  /* Open the information database - it will have 3 tables, showinfo, users, quilts) - and do error checking */
 
 $squery="SELECT * FROM showdata where  active is true";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       $ShowRegOpen=mysql2php($sdata['RegOpen']);
       $ShowRegClose=mysql2php($sdata['RegClose']);
       $ShowQuiltLimit=$sdata['QuiltLimit'];
       $ShowMemberLimit=$sdata['MemberLimit'];
       $ShowMemberYear=$sdata['MemberYear'];
       $ShowRegPenalty=mysql2php($sdata['RegPenalty']);         
       $ShowAdmin=$sdata['quiltadmin']; 
       $TechAdmin=$sdata['techadmin'];  
    /* from $ShowAdmin, get email, address, & name from Entrants table  */   
       $ShowQuiltCount=get_num_rows($db,"quilts","withdrawn='no'");

       $query2="Select fname, lname, addr1, city, state, zip, email, hphone from entrants where username='$ShowAdmin'";
       $result2=mysqli_query($db,$query2);
       if (!@$result2) {"Error fetching Quilt Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result2);
       if ($count==1) {
            $admin=mysqli_fetch_assoc($result2);
            $ShowAdminName=$admin['fname'] ." " . $admin['lname'];
            $ShowAdminEmail=$admin['email'];
            $ShowAdminPhone=$admin['hphone'];
            $ShowAdminAddr=$admin['addr1'];
            $ShowAdminCity=$admin['city'].", ". $admin['state']." ".  $admin['zip'];}
        else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
    
        $query3="Select fname, lname, email, hphone from entrants where username='$TechAdmin'";
       $result3=mysqli_query($db,$query3);
       if (!@$result3) {"Error fetching Tech Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result3);
       if ($count==1) {
            $tadmin=mysqli_fetch_assoc($result3);
            $TechAdminName=$tadmin['fname'] ." " . $admin['lname'];
            $TechAdminEmail=$tadmin['email'];
            $TechAdminPhone=$tadmin['hphone'];}
         else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
       }
   
//if (@$_POST['Submit']=='Login') { $_SESSION['user_id']=$_POST['userid']; $_GET['state']='logged';}
/* here we will check password against database to verify valid login */
?>

<DIV id="page">

   <div id="header">  <? if (isset($Banner) && (file_exists($Banner))) { ?> <img src="<?=$Banner?>">
            <? } else {?> <H1 align='center'> <font size=+5> <?=$Guild?> </font> </H1> <? } ?>
       
     </DIV>

   <DIV id="navigate" width="100%">
  <table width=800px align=center><tr>
 
 <?  if (!@$_SESSION['user_id']) 
           {
           /* no one is logged in... */ ?>       
          <td><a href="createID.php" title='Create Login ID'>Create Login ID</a></td> 
          <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=help" title='Help'>Help</a></td>
          <td><a href="user.php" title='Entrant Pages'>User Pages</a> </td>  
          <td><a href="admin.php" title='Admin Pages'>Admin Pages</a></td>
          <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=logout" title='User Logout'>Log Off</a> </td>  
                              
          <? }
      else { /* user is logged in */ ?>
           <td>Logged in as <?=$_SESSION['user_id']?> </td>
          <td><a href="user.php"title='User Page'>User Pages</a></td> 
          <td><a href="user.php?state=EditProfile" title='Edit Profile'>Edit Profile</a></td>
          <td><a href="user.php?state=AddQuilt" title='Enter a Quilt'>Enter Quilt</a></td>
           <? if ($_SESSION['access']>0) 
                   {?> <td><a href="admin.php" title='Admin Pages'>Admin Pages</a></td> 
                 <? } ?>
          <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=help" title='Help'>Help</a></td>
          <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=logout" title='Logout'>Logout</a></td>
 
           <? } ?> 
  </tr></table>           
   </DIV>
 
   <DIV id="content">
   <? switch (@$_REQUEST['state']) {
      
       case 'master':
                     master();
                     break;
      case 'logged' :
                     userpage();
                     break;  
      case 'login' : login($db);
                    break;                       
      case 'logout' :
                    unset($_SESSION['user_id']); unset($_SESSION['eid']); 
                    $state="Home";
       ?>           <script type="text/javascript">  document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=home";
                    </script>   <?
                        // not just call to  welcome() function to force reload of header/menu information    
                    break;
      case   'Reset Password' :
                    resetpw($db);
                    break;
      case 'help': help(); break;
      case 'home'   :
      default: 
                     welcome();
                     break;
      } 
      
  
// dummy function until link to separate page....   
  function master()
  {
     ?> <H1 align='center'>Login as Administrative User</H1> 
     <P>This is a dummy place holder function.  The next step is a new file with all of the master functions and the necessary navigation tools to access and use them.  When that is written and working, it will be linked into this menu item, just like the user pages are already.  The admin page will support:
     <UL><LI>Modifying Show parameters: Name, year, dates, etc.;
     <LI>Categories and any information about them;
     <LI>List of Entrants;
     <LI>List of Quilts;
     <LI>Maintaining Payments file;
     <li>eventually, all of the sheets & info necessary for the show;
     </UL>
     <?
  }
  
function help()
{ 
 global $ShowYear, $ShowAdminName, $ShowAdminAddr, $ShowAdminCity, $ShowAdminZip, $ShowAdminEmail, $ShowAdminPhone, $TechAdminName, $TechAdminEmail,$TechAdminPhone; 
?> <h1 align='center'>Your <?=$ShowYear?> Quilt Show Registration Adminstrators </H1>
 <table><tr><td> Quilt Administrator: <pre><b><font size="+1"> 
   <?=$ShowAdminName?>
   
   <?=$ShowAdminAddr?>
   
   <?=$ShowAdminCity?></font></b>
   </pre></td>
 <td>  Email to <?=$ShowAdminEmail?>  or phone: <?=$ShowAdminPhone?> with any issues or problems regarding the entry of quilts through this database, including quilt entry rules, categories, original design vs. adaptation design, etc.  as well as any issues with program operation, system error messages, etc.  All other quilt show questions should be addressed to the Show Chairman.
 </td></tr>
 <tr><td> Technical Administrator: <pre><b><font size="+1"> 
 <?=$TechAdminName?>
 
 <?=$TechAdminEmail?>
 
 <?=$TechAdminPhone?></font></b>   
 </pre></td>
 <!-- td>
 If you have technical problems or questions regarding the quilt registration process, system error messages, or problems with the registration process not working properly, please contact the technical administrator.  She/He has 
 access to the database as well as the webpage code and can most readily answer your questions regarding registration process problems.  All other quilt show questions should be addressed to the Show Chairman.</div>
</td--></tr></table><? }    
   
/**************************************************************************************
*
*    Main WELCOME page - Summary information, login, create ID, and rest password links.
*   
***************************************************************************************/
 
  function welcome()
  { global $Rules_URL, $Categories_URL, $GoTexan_URL, $ShowYear, $ShowName, $ShowRegOpen, $ShowRegClose,$ShowQuiltLimit, $ShowQuiltCount, $Guild, $Gld;
  
   ?> 
 <h1 align='center'> <?=$ShowYear?> Quilt Show Registration</h1>
 <h2 align='center'><i><?=$ShowName?></i></H2>

   <P>  Welcome to the quilt registration page for the <?=$ShowYear?> <?=$Guild ?> Quilt show.   Quilt Registrations for this show open on <strong><?=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegOpen)?></strong> and continue through <strong><?=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegClose)?></strong>.
   <? if ($ShowQuiltLimit>0) { ?> 
  Quilt Registration is limited to <b><?=$ShowQuiltLimit?></b> quilts.  There are currently<b> <?=$ShowQuiltCount?> </b>
  quilts entered in the show.  You may want to review the <B><A href="javascript:popUp('<?=$Rules_URL?>')"  title=' <? echo $Gld?> Show Rules'>complete rules</A></B>, <B><A href="javascript:popUp('<?=$Categories_URL?>')" title=' <? echo $Gld?> Show Categories'>category descriptions</A></B> and the <B><A href="javascript:popUp('<?=$GoTexan_URL?>')" title="Go-Texan Show Rules">Go-Texan rules</A></B> before entering your quilts.  (These are PDF files that open in a new pop-up window.) 
   <? } ?>
   <P> You will need a 
   <u>username</u> and <u>password</u> for the system before you can enter your quilts.   
   Click the <em>Create ID</em> button below, and you can choose a username and enter your information.  This system will email you a temporary password.  Use that temporary password to login (below) and use <i>Edit Profile</i> to verify your information is correct and change your password to one you prefer.  This profile information will be associated with all of your quilt entries.  Once logged in, you may:
   <UL><LI>Edit your profile information.  This is your personal information that will be attached to all of your quilt entries;
   <LI>Enter one or more quilts in the show;
   <LI>See a summary of the quilts you have entered in the show;
   <LI>Edit the information for any of the quilts you have entered;
   <li>Withdraw quilts from the show (reversible);
   <li>Delete quilts from the database (permanent);
   <li>See how much is due for your quilt registrations;
   <LI>Download a fee payment invoice to enclose with your fee payment;
   </ul>
<hr size="4" width="80%" noshade style="color:#5555ff;">
 <P class='ctext'><b>Login Here</b></P>
   <form action=<?=$_SERVER['SCRIPT_NAME']?> method="post">
   <input type=hidden name='state' value='login'>
   <P class='ctext'>Username: <input type=text width=16 name=userid maxlength=16 autocapitalize=off>&nbsp;&nbsp;&nbsp;Password: <input type=password width=16 name=password>
   <P class='ctext' title="Check this for access to include administration pages">Administrative Access <input type=checkbox name='admin' value='yes'>&nbsp;&nbsp;&nbsp; <input type=submit name='Submit' value='Login'>&nbsp;&nbsp;&nbsp;<input type=reset value=Reset>
   </form>
<hr size="4" width="80%" noshade style="color:#5555ff;">
 <table align=center><th colspan=3>
If you have forgotten your password, enter your username, and your password will be reset and <br>
emailed to the email address  stored in the database, probably the one with which you registered.  <br>
This will be the  same password that you originally received when you created your login ID.<br></th></tr>
<tr><TD align='right'><form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
                 Username:&nbsp;</td><td align='left'> <input type=text width=16 name=userid maxlength=16></td>
                 <TD  align='left'>  <input type=submit name='state' value='Reset Password' onclick="return confirm('Are you sure you want to reset this password?')"></form></td></tr></table>
<hr size="4" width="80%" noshade style="color:#5555ff;">
  
<table align='center'><tr><TH>If you have not already done so, You can create a login account here:</th>
  <td> <button onclick=document.location.href="createID.php">Create ID</button></td></tr></table>
 <hr size="4" width="80%" noshade style="color:#5555ff;">
   <?
  } 
  
/**************************************************************************************
*
*         Main login function -
*             moved from old version of user.php
*             ALL logins should happen on this page.
*
**************************************************************************************/
function login($db)
{  
//    echo ("In login routine, ${_SESSION['user_id']},  "); 
  if (checkpassword($db,$_POST['userid'],$_POST['password'])) 
       {  $_SESSION['user_id']=$_POST['userid'] ;
       // $v1=$_SESSION['user_id']; $v2=$_SESSION['eid'];
       // echo ("session vars: $v1, $v2 \n");
          $query1=sprintf("SELECT eid, fname, lname, member, access FROM entrants WHERE username='%s'",$_SESSION['user_id']);
          $result1=mysqli_query($db,$query1);
          if (!$result1) {echo "Error reading user information from entrant table: " . mysqli_error($db);}
          if (mysqli_num_rows($result1)==1) {
             $data=mysqli_fetch_row($result1); 
             $_SESSION['eid']=$data[0]; 
             $_SESSION['submitter']= $data[1] ."  " . $data[2];
             $_SESSION['member']=$data[3];
             $_SESSION['access']=$data[4];
             $_SESSION['firstname']=$data[1];
             $_SESSION['lastname']=$data[2];
             
             ?> <H2> Login successful</H2>
                <p>You have logged in as <?=$_SESSION['submitter']?>, user id <?=$_SESSION['eid']?>. <? 
             if ($_POST['admin']=='yes' and $_SESSION['access']>0) 
                    {?> <P> You are logged in with Administrative privileges.  Go to either <button onclick=document.location.href="admin.php">admin pages</button>  
                      or  <button onclick=document.location.href="user.php">user pages</button><? }
             if ($_POST['admin']=='yes' and $_SESSION['access']==0) 
                    { ?> <P> Administrative Access Denied - this permission mode is not set for this account.  You may either continue 
                             to <button onclick=document.location.href="user.php">user pages</button>
                              or <button onclick=document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=login">return to login</button><? }
             if ($_POST['admin']!='yes') 
                    { ?> <P> Continuing on to User Pages ..... 
                    <script type="text/javascript">
                     setTimeout(function() {document.location.href="user.php";},2000);
                    </script>  <? }
             } else {
              ?> <H2>Error identifying user login record - please contact the administrator</H2> <?             
             }
       } else { ?> 
          <H2> Login Failed </H2>
          <p> Please re-enter your login information:
          <form action=<?=$_SERVER['SCRIPT_NAME']?> method="post">
          <input type=hidden name='state' value='login'>
           <P class='ctext'>Username: <input type=text width=16 name=userid>&nbsp;&nbsp;&nbsp;
              Password: <input type=password width=16 name=password>
           <P class='ctext'>Administrative Access <input type=checkbox name='admin' value='yes'>&nbsp;&nbsp;&nbsp; 
            <input type=submit name='Submit' value='Login'>&nbsp;&nbsp;&nbsp;<input type=reset value=Reset>
           </form> <?
        }
}  

/**************************************************************************************
*
*   reset user password -
*        - look up username to get name, email address, and street address;
*        - Generate password using soundex, same as in createid routine;
*        - update password in database;
*        - email password and username to email address from database;
*
**************************************************************************************/
function resetpw($db)
{ global $TechAdminEmail;
$username=$_POST['userid'];
$query="SELECT addr1, email from entrants where username='$username'";
// echo $query;
$result=mysqli_query($db,$query);
if (!@$result) 
      { echo "Error reading user information from entrants table: " . mysqli_error($db); }
      else { $_data=mysqli_fetch_assoc($result);
      $count=mysqli_num_rows($result);
      if ($count == 1){
          $temp_password=soundex($username) . soundex($_data['addr1']) . soundex($_data['email']);
          //echo "Query: $query     ";   
//          echo "Username: $username, Address: ${_data['addr1']}, Email: ${_data['email']}, TempPW= $temp_password";
          $query2="UPDATE entrants SET password='$temp_password' where username='$username'";
          $result2=mysqli_query($db,$query2);
          if (!@$result2) 
                { echo "Error writing new password back to entrants table: " . msqli_error($db); }
                  else { 
                      $destination=$_data['email'];
                      $subject="<?=$Gld?> Account Password Reset" ;          
                      $message=
"Your ?=$Gld?> Quilt show entry account password has been successfully reset. A temporary password has been generated for your username, $username.  You may use this password ($temp_password) to login on your account immediately.  You may change this password by clicking on the 'Edit Profile' tab after you login to your account.";
   $eol=PHP_EOL;        
$header="From:  " . $TechAdminEmail . $eol;
$header.="Reply-To: " . $TechAdminEmail . $eol;

mail($destination,$subject,$message,$header);
?> <P> Congratulations!   Your login password has been successfully reset in the registration database.  A
temporary password has been sent by email to <?=$_POST['email']?> - you may change this with the Edit Profile tab when you
login to the system.<P>If you do not see this email very soon, please check your spam and junk folders - it may be there.
<form action="user.php?state=login"> <input type='SUBMIT' name='Submit' value='Continue'></form> <? 
              }
        } else { ?>
        <P style="color:red;text-align:center;font-size:125%;"> <b>ERROR:  Username <?=$username?> was not found in the database.</b></p> <?
        welcome(); }  
    }
}

 ?>
 
           </div>
</div>

<div id="footer">
<P> All material &copy; 2015, 2016, 2017, 2019, 2021 Steven K. Silber, All Rights Reserved.</p>
    </div>
    
</div>
</body>
</html>