<?php session_start();

/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  

/* updates
       7/12/21 
             Updated array references from array[key] to array['key'] to eliminate deprecated messages;
*/?>

<!DOCTYPE html>
<html>
<head>
  <TITLE>Quilt Show</TITLE>
   <link type="image/x-icon" href="/images/favicon.ico" rel="icon">
   <link type="image/x-icon" href="/images/favicon.ico" rel="shortcut icon">
<link rel="stylesheet" type="text/css" href="./QuiltShow.css">
<meta http-equiv="cache-control" content="no-cache, must-revalidate, post-check=0, pre-check=0">
  <meta http-equiv="expires" content="Sat, 31 Oct 2014 00:00:00 GMT">
  <meta http-equiv="pragma" content="no-cache">

<?php 
// define('FPDF_FONTPATH','BBQG/FPDF18/font');
require_once('FPDF18/fpdf.php');
require_once('utilities.php');

/**************************************************************************************
*
*     These are all of the Java scripts for the page:
*        popUp is a short script to open a URL in a new popup window - help screens;
*
*        goBack isn't used right now, it is a tool for creating a back button on a page;
*
*        check_adapt is somewhat longer - it provides a meta radio button function for
*             the kit, adaptation, and original design radio button inputs, allowing only 
*             one set of those buttons to be active at any one time.  This does not 
*             seem to  work on at least some iOS systems.
*
*        check_category limit kit quilts to either kit/Block of the Month or Non-Judged
              categories.
*
*        limit_stmt is used to limit the size of the artist's statement.  The actual 
*             limit is included in the function call, so different instances could have 
*             different limits.
*
*        test_size is used to test miniature quilt entries to be sure they qualify.  If too
*             large, the miniature category is disabled.
*
***************************************************************************************/ ?>

<SCRIPT LANGUAGE="JavaScript">

function popUp(URL) {
<!-- Idea by:  Nic Wolfe -->
<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, 'help', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=500');");
}

function goBack() {
    window.history.back()
}

function getRadioValue(theRadioGroup)
{
    var elements = document.getElementsByName(theRadioGroup);
    for (var i = 0, l = elements.length; i < l; i++)
    {
        if (elements[i].checked)
        {
            return elements[i].value;
        }
    }
}

function check_adapt() {
//   Perform lockout function between kits, adaptations, and  original design quilts
//
// N.B. - Document is DOM standard prefix;
//      - RegForm is name on the form;
//      - kit is the radio button name;
//      - element 0 is first radio button, 1 is second....



var source=document.getElementById('RegForm').source;

var designv=getRadioValue('design');

// alert("Landed in check_adapt function...");
// alert("Landed in Check original.  Design set to "+designv);

var kits=document.getElementById("meta-kit").title;

if (designv == 'Adaptation') {  // adaptation, disable kit and original design, enable source
                           source.disabled=false; document.getElementById('src').style.color='#000000'; }
                     else {source.disabled=true; source.value=''; document.getElementById('src').style.color='gray'; }

if (designv == 'Kit') { document.getElementById('category').value=kits;
                      } 
                 else { if(document.getElementById('category').value == kits) { document.getElementById('category').value="Choose One:"; }
                      }
} // end function check_adapt

function check_category(){

// var e = document.getElementById("category");
var kits=document.getElementById("meta-kit").title;
var nonjudged=document.getElementById("meta-nonjudged").title;

var categoryv = document.getElementById("category").options[document.getElementById("category").selectedIndex].text;   
 
   designv=getRadioValue('design');
   
 if (designv=='Kit' &&  categoryv!=kits && categoryv!=nonjudged)  {
     document.getElementById('category').value=kits;
     alert("Kits may only be entered in the '"+kits+"' or '"+nonjudged+"' categories."); }
 if (document.getElementById('category').value == kits) {document.getElementsByName('design')[0].checked=true; document.getElementsByName('design')[1].checked=false; document.getElementsByName('design')[2].checked=false;}
}   

function limitStmt(stmt,limitCount,limitNum) {
// Limit artist's statement to about 400 characters (specified in call)
if (stmt.value.length > limitNum) {
     stmt.value = stmt.value.substring(0,limitNum); }
 else {limitCount.value = limitNum - stmt.value.length}
 }

function test_size() {

var length=Number(document.getElementById("length").value);   
var width=Number(document.getElementById("width").value);  
var cat=document.getElementById("category").value.toLowerCase();
//  alert("we are in test_size. length is "+length+", width is "+width); 
var op = document.getElementById("category").getElementsByTagName("option");
for (var i = 0; i < op.length; i++) {
  // lowercase comparison for case-insensitivity
  if (op[i].value.toLowerCase() == "miniature") { var index=i;}
    }
   if (length+width > 48) { op[index].disabled = true; 
                            if (cat=="miniature") {document.getElementById("category").value=""} } 
                     else { op[index].disabled = false;}
}

function set_events() {
   
var touchEvent = 'ontouchstart' in window ? 'touchstart' : 'click';
// Apparently click does work in ios now - problem was DOM access to radio button values.

   document.getElementById('kit').addEventListener('click',check_adapt);
   document.getElementById('adapt').addEventListener('click',check_adapt);
   document.getElementById('original').addEventListener('click',check_adapt);
   document.getElementById('length').addEventListener('change',test_size);
   document.getElementById('width').addEventListener('change',test_size);
   document.getElementById('category').addEventListener('change',check_category);
   
check_adapt();
limitStmt(document.RegForm.stmt,document.RegForm.countdown,400);
// alert("Set event handlers to " + touchEvent) ;
}

</script>
<? /***********************************************************************************************
*
*     End of Javascript code
*
**************************************************************************************************/?>

</head>

<body onload="set_events();">

<DIV id="page">

<?  /************************************************************************************************
*
*          Some initialization here.  Open the database, and get any Session variable necessary.  If a
*             user is not logged in, but we have username password, verify and set Session variables.
*
******************************************************************************************************/

$db=opendb();

if (!@$_SESSION['user_id'] and @$_POST['userid']) { /* not logged in yet, but have for info */ 
  if (checkpassword($_POST['userid'],$_POST['password'])) { $_SESSION['user_id']=$_POST['userid'] ;}
}
// $v1=$_SESSION['user_id']; $v2=$_SESSION['eid'];
// echo ("session vars: $v1, $v2 \n");
if (!@$_SESSION['eid']) {   $query1=sprintf("SELECT eid, fname, lname, member FROM entrants WHERE username='%s'",$_SESSION['user_id']);
  $result1=mysqli_query($db,$query1);
  $data=mysqli_fetch_row($result1); 
  $_SESSION['eid']=$data[0]; 
  $_SESSION['submitter']= $data[1] ."  " . $data[2];
  $_SESSION['member']=$data[3];
  $_SESSION['firstname']=$data[1];
  $_SESSION['lastname']=$data[2];
 
}
  
if ($_SESSION['user_id']) {$logged="Logged in as " . $_SESSION['user_id'];} else {$logged="Not logged in";} 

$img_file='';
$procfunc='';
$temp_idx=0;
$fee=0;
$orig_img_file='';
$cat_list=array();

/**************************************************************************************************
*
*    Here are a couple of database lookups to get basic information about the show.  This is data
*       that could change year to year, and by looking it up in the database, values don't need to
*       be changed everywhere they occur in the code.
*
*      The show data lookup has basic show dates and information  The ShowYear is the unique identifier.
*      
*      The categories table from the database is simply loaded into an associative array.  The names are used
*       to populate the registration form category pull down options.  The free field identifies those
*        categories that are not charged a entrance fee.
*
*******************************************************************************************************/

$squery="SELECT * FROM showdata where active!=0 ";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
       $ShowName=$sdata['ShowName'];
       $ShowDates=$sdata['ShowDates'];
       $ShowRegOpen=mysql2php($sdata['RegOpen']);
       $ShowRegClose=mysql2php($sdata['RegClose']);
       $ShowRegPenalty=mysql2php($sdata['RegPenalty']);         
       $ShowQuiltLimit=$sdata['QuiltLimit'];
       $ShowMemberLimit=$sdata['MemberLimit'];
       $ShowMemberYear=$sdata['MemberYear'];
       $ShowAdmin=$sdata['quiltadmin'];  
       $TechAdmin=$sdata['techadmin'];  
 
 $ShowQuiltCount=get_num_rows($db,"quilts","withdrawn='no'");
 
    /* from $ShowAdmin, get email, address, & name from Entrants table  */   
       $query2="Select fname, lname, addr1, city, state, zip, email, hphone from entrants where username='$ShowAdmin'";
       $result2=mysqli_query($db,$query2);
       if (!@$result2) {"Error fetching Quilt Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result2);
       if ($count==1) {
            $admin=mysqli_fetch_assoc($result2);
            $ShowAdminName=$admin['fname'] ." " . $admin['lname'];
            $ShowAdminEmail=$admin['email'];
            $ShowAdminPhone=$admin['hphone'];
            $ShowAdminAddr=$admin['addr1'];
            $ShowAdminCity=$admin['city'].", ". $admin['state']." ".  $admin['zip'];}
         else { ?> <H2>Problem fetching Quilt Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
    
        $query3="Select fname, lname, email, hphone from entrants where username='$TechAdmin'";
       $result3=mysqli_query($db,$query3);
       if (!@$result3) {"Error fetching Tech Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result3);
       if ($count==1) {
            $tadmin=mysqli_fetch_assoc($result3);
            $TechAdminName=$tadmin['fname'] ." " . $admin['lname'];
            $TechAdminEmail=$tadmin['email'];
            $TechAdminPhone=$tadmin['hphone'];}
         else { ?> <H2>Problem fetching Technical Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
      }
 
/* get categories into array */
$cquery="SELECT * FROM categories where 1 order by name";
$cresult=mysqli_query($db,$cquery);
  if (!$cresult) {echo "Error fetching Show Information category table: " . mysqli_error($db);} 
else { while ($cdata=mysqli_fetch_assoc($cresult)) {//echo $cdata['name'], $data['free'], $cdata['indx'];
     $categories[$cdata['name']]=$cdata['free'];
     $maxcount[$cdata['name']]=$cdata['maxentries'];
     if ($cdata['indx']==1) {$NonJudged=$cdata['name'];}
     if ($cdata['indx']==2) {$Kits=$cdata['name'];}
 }}

// if Registration is closed, reopen database with read only account
if (time()>$ShowRegClose) {  mysqli_close($db); $db=opendb_RO();}


//  This is a dummy HTML construction used to pass PHP variable names through the title field to Javascript
//   which can fetch them through the DOM data structure.  
?>
<span id=meta-nonjudged title='<?=$NonJudged?>'> </span>
<span id=meta-kit title='<?=$Kits?>'> </span>
<?

/**********************************************************************************************************
*
*         All the basics are loaded now.  Here we start formatting the page and populating the menus.
*              No header or menu is output if the call function is to print the form, this way the printed
*              page is cluttered with the header and menu.
*
*************************************************************************************************************/              

if (@$_REQUEST['state']!='print') {
?>
   <div id="header"><? if (isset($Banner) && (file_exists($Banner))) { ?> <img src="<?=$Banner?>">
               <? } else {?> <H1 align='center'> <font size=+5> <?=$Guild?> </font> </H1> <? } ?>
   
   
   
   </DIV>
   <DIV id="navigate" width="100%">
          <table width=800px align=center><tr>
            <td><?=$logged?> </td>
            <td><a href="index.php?state=home" title='main page'>Home</a></td>
            <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=home" title='user page'>Quilts Info</a></td>
            <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=EditProfile" title='profile'>Edit Profile</a></td>
            <td><a href="<?=$_SERVER['SCRIPT_NAME']?>?state=AddQuilt" title='enterquilt'>Enter Quilt</a></td>
            <td><a href="index.php?state=logout" title='Logout'>Logout</a></td>
                <? if (isset($UserVideo) && (file_exists($UserVideo))) { ?> 
            <TD><A HREF="<?=$UserVideo?>" title="Help Video" target='new'>Help Video</a></td> <? } ?>
          </tr>
<? if (time()>$ShowRegClose) { ?>
         <tr><td colspan=6 align='center'><h3>Registrations are closed.  Database is open for Read Only access.  You may not add, delete, or modify any information in the database.  Contact the Registration Administrator if changes are required.</H3> </td></tr>
<? } ?> </table>
 
   </DIV>
<? } ?>

   <DIV id="content">

<?php 

/***********************************************************************************************************
*
*     This is the Switch statement that directs menu selections to specific routines.  As options are added
*          to the menus, addition cases may get added here.
*
************************************************************************************************************/
 
switch (@$_REQUEST['state']) {
case     'EditProfile' :
                 EditProfile($db,$_SESSION['user_id'],$_SESSION['eid']); 
                 break;
case     'AddQuilt' :
                 AddQuilt(); 
                 break;
case     'ProcQuilt' :
                 ProcQuilt($db);
                 break;
case     'SaveEdit' :
                 SaveEdit($db,$_SESSION['user_id'],$_SESSION['eid']);
                 break;
case     'print'   :
                 print_form($db,$_REQUEST['entryNO']);
                 break;
case     'toggle'  :
                 change_withdraw($db,$_REQUEST['idx'],$_REQUEST['value']); 
                 break;
case     'delete'  :
                 delete_entry($db,$_REQUEST['idx']);
                 break;
case     'edit'  :
                 edit_quilt_entry($db,$_REQUEST['idx']);
                 break;
case     'SaveQedit' :
                 save_quilt_edit($db,$_REQUEST['idx']);
                 break;
case     'info' :
                 phpinfo();
                 break;                  
case     'coupon' :
                 pdf_coupon();
                 break;    
case    'recalc' : Re_Calc_Fees($db,$_REQUEST['EID']);
case     'Home' : 
default         :  if (!@$_SESSION['user_id'])  { // if not logged, go to login on index page......
                 ?>  <h2 align='center'> You must be logged in before you can access this page </H2>
                  <script type="text/javascript">
                      setTimeout(function () {document.location.href="index.php";},3000); </script>  <? 
                 } else {             
                    show_user($db); }
}   /* page 'ends' here, with the end of the case statement.  Everything is in PHP functions that are called
         either by the case statement or other functions called indirectly by other functions. */
             


/***************************************************************************************************
*
*    Function Show User -
*        Shows information on user's entered quilts.  Username, # of quilts entered,
*        Name, category, & fees for each quilt  
*     Option buttons to edit a quilt
*                        delete a quilt from the database
*                        withdraw a quilt
*                        add back a withdrawn quilt
*
****************************************************************************************************/
                        
function show_user($db)
{ global $ShowAdminName, $ShowAdminAddr, $ShowAdminCity, $cat_list, $maxcount, $Gld;

  $query1=sprintf("SELECT fname, lname, email, eid, addr2 from entrants where username='%s'",$_SESSION['user_id']);
  $result1=mysqli_query($db,$query1);
  if (!$result1) {echo "Error fetching user info from entrants table: " . mysqli_error($db);} 
       else {$data=mysqli_fetch_row($result1);
             $fname=$data[0]; $lname=$data[1]; $email=$data[2]; $eid=$data[3]; $addr2=$data[4];}
//echo "Address Line 2=(".$addr2.")";
  $rcpts=0;
  $query3=sprintf("SELECT amount from receipts where eid=%s",$eid);
  $result3=mysqli_query($db,$query3);
  if (!$result3) {echo "Error fetching user receipts information: " . mysqli_error($db);}
                  else { while ($data=mysqli_fetch_array($result3)) {$rcpts+=$data[0];} }
 
  $bad_count=check_category_entries($db,$eid);

  $query2="SELECT idx, qname, category, fee, picture, withdrawn from quilts where eid=$eid order by category";
  $result2=mysqli_query($db,$query2);
  $quilts=mysqli_num_rows($result2);
  $query3="SELECT idx from quilts where eid=$eid and withdrawn='no'";
  $result3=mysqli_query($db,$query3);
  $entered=mysqli_num_rows($result3);
?>
  <H1>Quilt Registration information for <?=$fname." ". $lname?>  (ID Number <?=$_SESSION['eid']?>)</H1>
<? switch ($entered) {
case 0 : ?> <h2>You do not currently have any quilts entered in this year's show</H2><? break;
case 1 : ?> <h2>You currently have 1 quilt entered in this year's show:</H2><? break;
default :  ?> <h2>You currently have <?=$entered?> quilts entered in this year's show:</H2>
<?  } ?>

<table align='center'><TR> 
   <td width=32px></td>  <td width=32px></td>  <td width=32px></td>  <td width=75px></td>  <td width=325px></td> 
          <td width=150px></td> <td width=50px></td>  </TR>
          
<TR><TH align='center' colspan=3 title='Edit Entry, Mark as Withdrawn (reversible), Delete Entry (permanent)'>Options<BR>E&nbsp;&nbsp;&nbsp;&nbsp; W&nbsp;&nbsp;&nbsp;&nbsp; D</TH><TH align='center'>Index</TH><TD align='center'><b>Quilt Name</b><i> (click to view or print)</i></TD>
<TH align='center'>Category</TH>
<TH>Fee Due</TH></TR>

 <? $total_fee=0;  
 while($data=mysqli_fetch_assoc($result2)) {  if ($data['withdrawn']=='no') {$total_fee+=$data['fee'];} 
 //   This puts the option buttons in the first column of the table  ?>
 
 <tr><td align='center'> <!-- Edit entry button here -->
<form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
       <input type='hidden' name='state' value='edit'>   <input type=hidden name=idx value=<?=$data['idx']?> >
       <button title='Edit Entry' class='options'> <img src='images/Edit.png' width=16></button> </form><!-- Edit entry --></td>

<td align='center'> <!-- Withdraw/Unwithdraw buttons here -->
<form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post> 
       <input type='hidden' name='state' value='toggle'>   <input type=hidden name=idx value=<?=$data['idx']?> >
<? if ($data['withdrawn']=='no') { ?>  
     <input type='hidden' name='value' value='yes'>
     <button title='Withdraw Entry' class='options'> <img src='images/Withdraw.png' width=16></button> 
<? } else {   ?>
     <input type='hidden' name='value' value='no'>
      <button title='Mark This Entry Not Withdrawn' class='options'> <img src='images/AddBack.png' width=16></button> 
 <? } ?>  </form> </td>

<td align='center'>  <!-- Delete button here -->
<form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post>
       <input type='hidden' name='state' value='delete'>   <input type=hidden name=idx value=<?=$data['idx']?> > 
       <button title='Delete Entry' class='options' onclick="return confirm('Are you sure you want to permanently delete entry <?=$data['idx']?>?')"> <img src='images/Delete.png' width=16></button> </form><!-- Delete entry --></td>

 <TD align='center'> <?=$data['idx']?></TD>
 
 <? if ($data['withdrawn']=='no') { ?> <TD  style="text-align:center;"> 
 <A href="<?=$_SERVER['SCRIPT_NAME']?>?state=print&entryNO=<?=$data['idx']?>"><?=$data['qname']?></a><? 
 } else { ?> <TD style="text-align:center; text-decoration:line-through;"> <?=$data['qname']?></TD><? } ?>
  
 <? if (in_array($data['category'],$cat_list)) { ?> <TD style="color:red;text-align:center"> <? } 
     else { ?> <TD style="color:block;text-align:center"> <? } echo $data['category']; ?> </TD>
 
 <? if ($data['withdrawn']=='no') { ?> <TD  style="text-align:center;"> <? } else { ?>
                                       <TD style="text-align:center; text-decoration:line-through;"> <? } 
                                       echo "$".number_format($data['fee'],2) ?> </TD>
 </TR> <? } ?>
 
 <TR><TD colspan=7><HR></TD></TR>
 <tr><td colspan=4></td><td align='center'><form action="<?=$_SERVER['SCRIPT_NAME']?>?state=recalc&EID=<?=$eid?>" method=post><button type=submit title='Recalculate Entry Fees'>Recalculate Entry Fees</button></td><td colspan=2></td></tr>
 <tr><TD colspan=4 rowspan=3 align='center'><a href="fee_coupon_pdf.php?eid=<?=$eid?>"> 
       <button type=button title='This button will download a PDF copy of your Registration Fee Invoice to your computer.'> Click Here for Fee Invoice - PDF</button></a><br>Please print and enclose a copy of this Fee Invoice  with your fee payment. </td><TH align='right'>Total Fees:</TH> <td>  </TD> <TH align='center'><?="$".number_format($total_fee,2)?></TH></tr>
 
<tr><TH align='right'>Total payments received:</TH> <td>  </TD> <TD style="text-align:center; color:red;"><?="$".number_format($rcpts,2)?></TD></TR>
 
<tr><TH  align='right'>Total Fees Due:</TH> <td>  </TD> <TH align='center'><?="$".number_format($total_fee-$rcpts,2)?></TH></TR>
 
 <TR><TD colspan=5 align='right'>
 Quilt registrations are not complete until the registration 
 fees are received.&nbsp;&nbsp;&nbsp;  <br>Your check for the registration fees, <b>payable to <?=$Gld?></b>, should be mailed to:<br>   
 Please note your entrant ID number <b>(<?=$_SESSION['eid']?>)</b> on the memo line of the check.&nbsp;&nbsp;&nbsp;</td>
<td colspan=2 align='left'> <pre>
 <font size="+1" face="san-serif"><b>
 <?=$ShowAdminName."\n"?>
 <?=$ShowAdminAddr."\n"?>
 <?=$ShowAdminCity?></b></font>
 </td></tr>
<? if ($bad_count>0) { ?> <tr><th colspan=7 style="color:red;"> <? if($bad_count==1) { ?> 1 category has <? } else { echo $badcount; ?> categories have<? } ?> too many entries.  (<? foreach ($cat_list as $cat) { $max=$maxcount[$cat]; ?> 
   <?=$cat?> is limited to <?=$max?> entries. <? } ?> )  
   See the show rules for complete limit rules.  Any categories with a problem are shown in red above.</th></tr>
<? } ?></table>
<P style="text-align:center;"> <b>Options Key: </b><img src='images/Edit.png' width=16> - Edit this Quilt Entry&nbsp;&nbsp; 
<img src='images/Delete.png' width=16> - <b>PERMANENTLY</b> Delete this Quilt Entry from the Database<br>
<img src='images/Withdraw.png' width=16> - Withdraw this entry from the show, but leave it in the Database&nbsp;&nbsp;
<img src='images/AddBack.png' width=16> - Add Back a previously withdrawn entry
<? }
 
 /************************************************************************************
 *
 *    check_category()
 *      This counts the number of quilts in each category to advise if too many are entered in a category.
 *      This is purely advisory, nothing is done to actually limit the number of entries.  That will be done
 *      later by the registration administrator.
 *
 ****************************************************************************************/
 
 function check_category_entries($db,$eid)
 {  global $cat_list, $maxcount;
 $i=0;
 $cat_list=array();
 $query="SELECT DISTINCT category from quilts where eid=$eid";
 // echo $query;
 $result=mysqli_query($db,$query);
 if (!@$result) {echo "Error fetching list of distinct categories: " . mysqli_error($db); }
 while ($row=mysqli_fetch_assoc($result)) {
       $category=$row['category'];
       if ($maxcount[$category]>0){
       $count=get_num_rows($db,"quilts","category='$category' and eid=$eid and withdrawn='no'");
 //      echo $count . " in ". $category . PHP_EOL;
 if ($count>$maxcount[$category]) {$cat_list[$i++]=$category;}}
}
return ($i); 
 }
/************************************************************************************************************
*
* function change_withdraw()
*
*    Simple function to change the withdraw flag on an entry.  The value was tested when the icon was displayed,
*    so it is not necessary to fetch and toggle value here.  New value is passed from the original call along with
*    the necessary quilt idx value.  This also sends email note to the quilt administrator regarding the change.
*
*************************************************************************************************************/
function change_withdraw($db,$idx,$value) 
{ global $ShowAdminEmail, $ShowQuiltCount, $ShowQuiltLimit, $Gld;
if (check_owner($db,$idx)) 
     { if (($ShowQuiltCount>=$ShowQuiltLimit) and ($value=='no') and ($ShowQuiltLimit>0)) { ?>
     <P> Entry cannot be Un-Withdrawn - Maximum number of quilt entries for the show (<?=$ShowQuiltLimit?>) has been reached.</p>
     <? } else {
     $query="UPDATE quilts SET withdrawn='$value' WHERE idx=$idx";
     $result=mysqli_query($db,$query);
      if (!$result) 
           { echo "Problem Changing Withdrawn value for quilt number $idx: ". mysqli_error($db); }
      else {
           $Destination=$ShowAdminEmail;
           $Subject=$Gld . " Show Entry: Withdrawn updated";
           $Content=$Gld . "Show Entry # $idx has been edited.  Withdrawn was set to $value.";
           mail($Destination,$Subject,$Content);      
           }?> 
       <script type="text/javascript"> setTimeout( function () {document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=Home";},2000) </script>
<?   }}
}

/************************************************************************************************************
*
* function delete_entry()
*
*************************************************************************************************************/


function delete_entry($db,$idx)
{  global $ShowAdminEmail, $Gld, $Guild;
/* need an are you sure dialog... */
if (check_owner($db,$idx)) {
$query="DELETE FROM quilts  WHERE idx=$idx";
$result=mysqli_query($db,$query);
if (!$result) { echo "Problem Deleting quilt number $idx: ". mysqli_error($db); }
              else {
              $eid=$_SESSION['eid'] ." (" . $_SESSION['user_id'].")";
              $Destination=$ShowAdminEmail;
              $Subject=$Gld . " Show Entry: deleted";
              $Content=$Gld . " Show Entry # $idx has been deleted from the database by entrant # $eid.";
              mail($Destination,$Subject,$Content);
              }
 /* this little javascript forces a reload of the page to refresh the quilt list display. */ ?>
<script type="text/javascript"> setTimeout( function () {document.location.href="<?=$_SERVER['SCRIPT_NAME']?>?state=Home";},2000) </script>
<? }
}


/************************************************************************************************************
*
*  Function check_owner
*
*        This should not be necessary - it verifies that the logged in user 'owns' the quilt entry to be modified.
*        Users should be able to see only their own quilts, but if someone plays with the URL, it may be possible 
*        for them to get into someone else's quilt entry.  This is a quick check to prevent that from happening.
*
**************************************************************************************************************/

function check_owner($db,$idx)
{ 
  $query="SELECT eid from quilts where idx=$idx";
  $result=mysqli_query($db,$query);
  if (!@$result) { echo "Problem fetching Entrant identity for quilt number $idx: ". mysqli_error($db); }
            else { $Qeid=mysqli_fetch_row($result)[0];
                   $Ueid=$_SESSION['eid'];
                  if ($Qeid!=$_SESSION['eid']) { ?>
                      <h2 align='center'>It appears that you do not own this quilt entry, and therefore cannot modify it!!</H2>
                      <P  class="ctext"> Index Number: <?=$idx ?> &nbsp;&nbsp;&nbsp;Entrant ID Number: <?=$Qeid ?> &nbsp;&nbsp;&nbsp; 
                         Your ID Number:  <?=$Ueid ?> 
                      <P>You should not be able to get this error.  Please try logging out and logging back in and repeating this operation.  
                         If this problem persists, please pass this information along to the quilt registration administrator.  <BR>Thank You.              <? }
          return $Qeid==$_SESSION['eid']; }
}
/*********************************************************************************************************
*
*    This is a function to allow the user to edit his profile, including the password.  Only the 'eid' value 
*    cannot be changed - this is unique to each user.
*
**********************************************************************************************************/

function EditProfile($db,$user,$id)
{ global $ShowYear, $ShowMemberYear, $Guild;
if (!@$_SESSION['eid']) { ?> <P> You must log in before editing your profile.<script type="text/javascript">
                  document.location.href="index.php"; </script>  <? 
 return;}

$query="SELECT * FROM entrants WHERE eid=$id";
$result=mysqli_query($db,$query);
if (!$result) {echo "Error fetching user info from entrants table: " . mysqli_error($db);}
$data=mysqli_fetch_assoc($result);
?>
   <H2>Edit Your Profile</H2>
<P>User profile information for username <B><?=$data['username']?></B>, User ID number <B><?=$data['eid']?></B>.<br>
  <form action="<?=$_SERVER['SCRIPT_NAME']?>" METHOD=POST enctype="multipart/form-data">
<table cellspacing="5%">

<TR><TH>Profile Information:</TH>
   
    <TD align='right'> First Name </TD><TD> <input type=text name=fname size=32 value=<?=$data['fname']?>> </TD></TR>
<TR><TD></TD>
      <TD align='right'>Last Name</TD><TD> <input type=text name=lname size=32 value=<?=$data['lname']?>> </TD>
<TR><TH>Address: </TH> <TD align='right'>line 1</TD>
         <TD> <input type=text name=addr1 size=32 value="<?=$data['addr1']?>"> </TD> </TR>
<TR><TH></TH><TD align='right'>line 2</TD>
         <TD><input type=text name=addr2 size=32 value="<?=$data['addr2']?>"> </TD></TR>
<TR><TH></TH>
       <TD align='right'>City:</TD><TD> <input type=text name=city size=16 value=<?=$data['city']?>> 
       State: <input type=text name=st size=2 value=<?=$data['state']?>> 
       Zipcode: <input type=text name=zip size=5 value=<?=$data['zip']?>>  </TD></TR>
<TR><TH>Phones: </TH>
   <TD align='right'> Home: </TD><TD> <input type=text name=hphone size=12 value='<?=$data['hphone']?>'> </TD></TR>
 <TR><TH></TH><TD align='right'>
               Cell:</TD><TD> <input type=text name=cphone size=12 value='<?=$data['cphone']?>'> </TD></TR>
<TR><TH></TH><TD align='right'>
               Work:</TD><TD> <input type=text name=wphone size=12 value='<?=$data['wphone']?>'> </TD></TR>
<TR><TH>E-Mail: </TH><TD></TD>
         <TD> <input type=text name=email size=32 value=<?=$data['email']?>></TD></TR>
<TR><TH colspan=2>
<? if ($ShowMemberYear==$ShowYear) { ?> 
             Are you a member of the<BR><?=$Guild?>?          
   <? } else { ?>
             Were you a member of the <br> <?=$Guild?>  in <?=$ShowMemberYear?>?
   <? } ?></TD><TD>
        <input type=radio name=member <? if ($data['member']=='yes') echo 'checked' ?> value='yes'>Yes &nbsp; &nbsp; &nbsp; 
              <input type=radio name=member  <? if ($data['member']!='yes') echo 'checked' ?> value='no'>No</TD></TR>

<TR><TH>Old Password:</th><td><input type=password name=password size=32</TD>
<TD rowspan=3>To change your password, enter your current<br> password in the 'Old Password' box, and your new password<br> in the 'New Password' and 'Verify Password' boxes.<BR>Your new password must be at least 6 characters long.</TD></tr>
<TR><TH>New Password:</th><td><input type=password name=pass1 size=32</TD></tr>
<TR><TH>Verify Password:</th><td><input type=password name=pass2 size=32</TD></tr>
 </table>  
   <input type='SUBMIT' name='state' value='SaveEdit'>&nbsp; &nbsp;
   <input type='RESET' value='Cancel'>  
     </form>
<? }

/******************************************************************************************************
*
*     This function simply writes the profile information back out to the database.  It goes through and
*         counts the fields to be updated, reports the fields to be updated, and constructs a custom
*        SQL statement to update only those fields.  Testing is done on a password change, requiring that
*       the password be at least 6 characters long, that the original password matches the DB, and that
*       the verification copy matches the requested change. If no changes are necessary, nothing is written out.
*
*     If a password change was requested but not completed, diagnostic messages are printed as explanation.
*
*******************************************************************************************************/
function SaveEdit($db,$user,$id)
{
$query="SELECT * FROM entrants WHERE eid=$id";
$result=mysqli_query($db,$query);
if (!$result) {echo "Error fetching user info from entrants table: " . mysqli_error($db);} else {
$data=mysqli_fetch_assoc($result);
/* ?>  <P> Password info:<br>Database password: "<?=$data['password']?>" Form Password: "<?=$_POST[password]?>" <br>
 New Pass1: "<?=$_POST['pass1']?>"  New Pass2: "<?=$_POST['pass2']?>"  <? */
$i=0; 
$pwchange=0; /* prohibit password change unless matches are OK */
if ( $_POST['fname'] != $data['fname']) {$field[$i]='fname'; $change[$i++]='First Name';}
if ( $_POST['lname'] != $data['lname']) {$field[$i]='lname'; $change[$i++]='Last Name';}
if ( $_POST['addr1'] != $data['addr1']) {$field[$i]='addr1'; $change[$i++]='Address Line 1';}
if ( $_POST['addr2'] != $data['addr2']) {$field[$i]='addr2'; $change[$i++]='Address Line 2';}
if ( $_POST['city'] != $data['city']) {$field[$i]='city'; $change[$i++]='City';}
if ( $_POST['st'] != $data['state']) {$field[$i]='state'; $change[$i++]='State';}
if ( $_POST['zip'] != $data['zip']) {$field[$i]='zip'; $change[$i++]='Zip Code';}
if ( $_POST['hphone'] != $data['hphone']) {$field[$i]='hphone'; $change[$i++]='Home Phone';}
if ( $_POST['cphone'] != $data['cphone']) {$field[$i]='cphone'; $change[$i++]='Cell Phone';}
if ( $_POST['wphone'] != $data['wphone']) {$field[$i]='wphone'; $change[$i++]='Work Phone';}
if ( $_POST['email'] != $data['email']) {$field[$i]='email'; $change[$i++]='Email Address';}
if ( $_POST['member'] != $data['member']) {$field[$i]='member'; $change[$i++]='Membership status';}
if ( $_POST['password'] == $data['password'] and  $_POST['pass1']== $_POST['pass2'] and strlen($_POST['pass1'])>5) {$field[$i]='password'; $change[$i++]='Password'; $pwchange=1;}
if ($i==0) { ?> <P> There are no data fields to be updated. <? }
if ($i==1) { ?> <P> There is 1 data field being updated: <?=$change[0]?> . <? 
  $var=$field[0]; if ($var=='password') {$val=$_POST['pass1'];} else {$val=$_POST[$var];}
  $query2="UPDATE entrants set $var='$val'  WHERE eid=$id"; }
if ($i>1) { ?>  <P>There are <?=$i?> data fields being updated: <? echo $change[0];
     $var=$field[0]; $val=$_POST[$var];$query2="UPDATE entrants set $var='$val'";
  for ($j=1;$j<$i;$j++) { 
  $var=$field[$j]; if ($var=='password') {$val=$_POST['pass1'];} else {$val=$_POST[$var];}  $query2 .= ", $var='$val'";
  echo ", $change[$j]";}  $query2.="  WHERE eid=$id"; ?> . <? }
if ( $_POST['member'] != $data['member']) {$_SESSION['member']=$_POST['member'];
$ReCalcFees=1; }

if (($_POST[password]!='') and  ($_POST[password]!=$data['password'])) { ?> <P> Supplied password does not match database password, user password was not changed.  <? }
if (($_POST[password]!='') and  ($_POST[pass1]!=$_POST['pass2'])) { ?> <P> New password and verification password do not match, user password was not changed. <? }
if (($_POST[password]!='') and  (strlen($_POST[pass1]) <6)) { ?> <P> New password is too short, it must be at least 6 characters long. <? }
if ($pwchange==1) {$password=$_POST['pass1']; } else { $password=$data['password'];}

if ($i>0) {

$result2=mysqli_query($db,$query2);

  if (!$result2) {echo "Query 3: error entering data into database: " . mysqli_error($db);
  } else {          
      ?> <P>   Your account profile  has been successfully updated and all changes are effective immediately.  
             <? if ($pwchange) { ?> Your password was changed as part of this update - the new password is effective immediately as well, but it is not necessary to login again. <? } 
if ( $_POST['member'] != $data['member']) {
      $_SESSION['member']=$_POST['member']; 
      Re_Calc_Fees($db,$id); }         
         } 
} else { ?> <P> There were no changes to be made to your profile. <?   } 

}   /* end of 1st if $result else clause */

} /* end of SaveEdit function */ 

/*******************************************************************************************************
*
*      AddQuilt function
*
*          This is the heart of the package and probably the only code fragment left from the old, simple
*          version of the package.  Open up a form to enter information on a new quilt.  This is
*          the initial entry point for entering a quilt, does the date checking to insure that we may enter
*          a quilt, provides some instuctions, and then calls  the do_form to actually display the form.
*          The do_form function is factored out separately since it is also called to redisplay the form
*           after a refresh or incomplete submit call.
*
**********************************************************************************************************/

 function AddQuilt()
{ global $Rules_URL, $Categories_URL, $GoTexan_URL, $img_file, $temp_idx, $ShowRegOpen, $ShowRegClose, $ShowRegPenalty, $ShowAdminName, $ShowQuiltCount, $ShowQuiltLimit, $ShowMemberLimit, $Guild, $Gld;
 
if (!@$_SESSION['eid']) { ?> <P> You must login before entering a quilt. <script type="text/javascript">
                  document.location.href="index.php"; </script>  <? 
 return;} 

$temp_idx=uniqid();
//echo $temp_idx;
?><H1 align='center'>Instructions and notes</H1>
<P>Please be sure to review the <B><A href="javascript:popUp('<?=$Rules_URL?>')" title="<?=$Gld?> Show Rules">complete rules</A></B> for the <?=$ShowYear?> <?=$Guild?> show.  You may also want to review the <B><A href="javascript:popUp('<?=$Categories_URL?>')" title="<?=$Gld?> Show Categories">category descriptions</A></B> and the <B><A href="javascript:popUp('<?=$GoTexan_URL?>')" title="Go-Texan Show Rules">Go-Texan rules</A></B> before entering your quilts.  (These are PDF files that open in a new pop-up window.) 
<UL><LI>The quilt entry form must be filled out completely.  If it is incomplete, the form will be redisplayed with a notation regarding the missing item(s).</li><br>
<LI>A picture of your quilt must be uploaded with the form.  The maximum sized used is 480x360 pixels.  If your image is larger than that, it will be reduced to save space.  Uploads are limited in size - if your image is too large, it will terminate the upload and clear your registration form.  Check your image size and resolution before starting the registration process.  Uploaded image formats are limited to JPG, GIF, and PNG.</li><br>
<LI>Your quilt picture <strong>must</strong> be of at least the completed top, not a work in progress.  It doesn't have to be quilted yet, but must be at least the complete top.</li><br>
<LI>Acceptance of the liability disclaimer at the bottom is required for quilt entry.</li><br>
<LI>There is a 'Refresh' button on the form so that you can update the picture and let the system test all of the information before pressing the 'Submit' button.</li><br>
<LI>Once the quilt entry is submitted and accepted, the data is entered into a database. You can then access that entry from your user page and edit to make changes or withdraw the quilt from the show.</li><br>
<LI>There is a button for printing a copy of your registration once it is entered in the database.  That page will include your database index number - you can refer to this number if you need to contact the Registration Administrator (<?=$ShowAdminName?>) regarding the entry.</li>
</UL>
Thank You.
<HR>
<?
$now=time();
?> <!-- Check on date/time info.  This will get removed in production version.<br>
Time right now is <?=date('M j, Y H:i',$now)?> <BR>
Registrations Open on <?=date('M j, Y @ H:i',$ShowRegOpen)?><br>
Registrations Close on <?=date('M j, Y @ H:i',$ShowRegClose)?><br>
Late Registration Penalty after <?=date('M j, Y @ H:i',$ShowRegPenalty)?><br><br> -->

<? if ($now<$ShowRegOpen){ ?> 
           <P class="ctext"> <b>Quilt registrations will not open until <?=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegOpen)?>.</b></P> 
           
<?} else { if ($now>$ShowRegClose) { ?> 
          <P class="ctext"> <b>Quilt registrations closed on <?=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegClose)?>.</b></P>
          
<? } else { if (($ShowQuiltCount>=$ShowQuiltLimit)and($ShowQuiltLimit>0)) { ?> 
          <P class="ctext"> <b>The quilt limit for this show (<?=$ShowQuiltLimit?>) has been reached.  No more quilts may be entered, unless some are withdrawn.</b></P>

<? } else { //echo "Member Limit: ${ShowMemberLimit}, Member Status: ${_SESSION['member']}";
             if  (($ShowMemberLimit==1) and ($_SESSION['member']=='no') ) { ?>            
          <P><B>This Show is limited to entries from members of the Guild.  Please see the rules above.</B></P>
<? } else { ?>          
          <P class="ctext"><B>All entries are due before  <?=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegClose)?>.</B> 

<? $img_file="images/no-photo-available-icon.jpg"; /* default to no photo to start. */
do_form('new'); }}}} ?>

<?php
}

/***********************************************************************************************************
*
*         ProcQuilt Function
*              Once a quilt entry is submitted, the data supplied must be tested and verified before it is
*              added to the database.  This function is just a series of calls to specific test functions.
*              If all of those succeed, then the quilt information is written out to the database.
*
************************************************************************************************************/

function ProcQuilt($db)
{ global $procfunc, $temp_idx, $img_file, $entry_date, $fee;
 /* Process input information -
     - Check for complete info;
     - Check image and resize as necessary - get temporary file name;
     - If incomplete, redisplay form and try again;
     - If complete:
          - write out quilt entry to database;
          - get entry idx and rename quilt picture as Quilt_eid_idx.jpg;
          - Display accepted message, or go back to user summary showing list of quilts;
  */
$procfunc=$_POST['procfunc'];
$temp_idx=$_POST['temp_idx'];
$entry_date=time();
// echo "membership is ${_SESSION['member']}<BR>";

clearslashes();
if (!$idx=check_unique($db)){
   if (!$img_file=check_image()) {
           show_bad_image(); 
           unset($img_file);
           unset($_FILES['picture']['name']); }
   if ($_POST['length']+$_POST['width']>48 and $_POST['category']=='Miniature') { $_POST['category']=''; ?><h2> "Length Plus Width must be less than 48" for a Miniature quilt</H2> <?}
   if (!$incomplete=check_input() and $procfunc !='Refresh Form')  {
       // update database & display 
       $fee=calc_fee($db,$_POST['category'],$entry_date);
      write_db($db);
      show_user($db);
 //     $idx=check_unique($db);
 //      print_form($db);
 //      send_mail();
    } else {
     // incomplete input 
     redisplay_form('renew');}
} else {
  // Not Unique  
  show_not_unique($idx);}}

/***************************************************************************************************
//------------------------------- Form Processing Routines -----------------------------------------
***************************************************************************************************/

function clearslashes()
{   /* Put escape sequences around slashes to avoid generating errors in SQL statements  */

$_POST['qname']=stripcslashes($_POST['qname']);
$_POST['source']=stripcslashes($_POST['source']);
$_POST['stmt']=stripcslashes($_POST['stmt']);
}

function check_unique($db)
{      /* Attempt to verify that this is a unique quilt entry  - difficult, but makes a simple attempt.  */

$query=sprintf("SELECT idx from quilts where eid='%s' and qname='%s'",$_SESSION['eid'],mysqli_real_escape_string($db,$_POST['qname']));
// echo $query;
$result=mysqli_query($db,$query);
$count=mysqli_num_rows($result);
if ($count>0) {
   $data=mysqli_fetch_assoc($result);
   $idx=$data['idx'];
   return $idx;}
else {return false;}
}

function check_input()
{ global $incompletions, $number_incomplete, $img_file;
/*  Check all of the input fields and make sure they have data - cannot check quality of data, only that it is filled in.  */

$number_incomplete=0;

if (!@$_POST['qname']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Quilt Name";}
if (!@$_POST['width'] or !@$_POST['length']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Quilt Size";}
if (!@$_POST['color']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Quilt Color";}
if (!$_POST['design']=='Adaptation' and !@$_POST['source']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Adaptation Source";}
if (!@$_POST['quilterfirst']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Quilter firstname";}
if (!@$_POST['quilterlast']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Quilter lastname";}
if (!@$_POST['makerfirst']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Maker firstname";}
if (!@$_POST['makerlast']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Maker lastname";}

if (!@$_POST['category']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Category";}
if (!@$_POST['stmt']) {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Artist Statement";}
if (!@$img_file) {
  if ($number_incomplete++ >0) {$incompletions.=", ";}
  $incompletions.="Quilt Picture";}
if ($_POST['disclaimer']!='agree') {
   if ($number_incomplete++ >0) {$incompletions.=", ";}
   $incompletions.="Acceptance of Disclaimer";}
return $number_incomplete; }


function check_image()
{ global $ShowYear, $temp_idx;
/* Check the uploaded image - verify type and resize if necessary.  */
if ($_FILES['picture']['error']) {return 0;}

if (@$_POST['img_file'] and !$_FILES['picture']['tmp_name']) {
        return $_POST['img_file'];} else {$src=$_FILES['picture']['tmp_name'];}
// echo "processing new image";
$img_info=getimagesize($src);
//echo "$src, $img_info[0], $img_info[1], $img_info[2], $img_info[3].";
if ( $img_info[2]==IMAGETYPE_GIF or $img_info[2]==IMAGETYPE_PNG or 
$img_info[2]==IMAGETYPE_JPEG or $img_info[2]==IMAGETYPE_JPEG2000 ) {

$dest="images/quilts".$ShowYear."/" . $_SESSION['eid'] ."_". $temp_idx . ".jpg";

// echo $dest;
$height=$img_info[1];
$width=$img_info[0];
if ($img_info[2]==IMAGETYPE_GIF) {$simage=imagecreatefromgif($src);}
if ($img_info[2]==IMAGETYPE_JPEG) {$simage=imagecreatefromjpeg($src);}
if ($img_info[2]==IMAGETYPE_PNG) {$simage=imagecreatefrompng($src);}

if ($height+$width>480+360) { //rescale
if ($width > $height) {
  $s1=480/$width;
  $s2=360/$height;
  if ($s2>$s1) {$s1=$s2;} }
else
{ $s1=360/$width;
  $s2=480/$height;
  if ($s2>$s1) {$s1=$s2;}  }

//echo "Rescaling by $s1";
$sheight=$s1*$height; 
$swidth=$s1*$width;
$dimage=imagecreatetruecolor($swidth,$sheight);
imagecopyresized($dimage,$simage,0,0,0,0,$swidth,$sheight,$width,$height);
imagejpeg($dimage,$dest);
}
else {//$dimage=createimagetruecolor($width,$height);
//imagecopy($dimage,$simage,0,0,0,0,$height,$width);
imagejpeg($simage,$dest);}

return $dest;}

else { 
$gfile=$_FILES['picture']['name'];
$gfilet=image_type_to_mime_type($img_info[2]);
echo "Image Type Code Found for $gfile was $gfilet.  Only GIF, JPEG (JPG) and PNG images can be used.";
return 0; }
}

function show_bad_image()
{
// "Bad image upload - dialog here";
?> <H1>Image Upload Problem</H1> <?php
$Upsize=ini_get('upload_max_filesize');
$Upbytes=trim($Upsize);
$last=strtolower($Upbytes[strlen($Upbytes)-1]);
switch ($last) {
     case 'g':
        $Upbytes *=1024;  
     case 'm':
        $Upbytes *=1024;  
     case 'k':
        $Upbytes *=1024;  
}
switch ($_FILES['picture']['error']) {
case 1: 
case 2: ?>
<P>There was a problem uploading your image.  The server limits
upload file size to less than <?=$Upsize?> (<?=$Upbytes?> bytes).  The goal is to 
have image sizes on the order of 480 x 3600 pixels, which should
require 50-75 Kbytes or less.  Try reducing the size of your picture
and resubmitting your entry.
<?php 
break;
case 3: ?>
<P>The file upload of your picture was incomplete.  This probably
indicates a network problem of some sort.  Try resubmitting your
entry.
<?php
break;
 case 4: ?>
<P>No file was uploaded.  Did you specify a valid file name on your
entry form? <BR><HR>
<?php }
}

function show_not_unique($idx)
{ global $ShowYear, $ShowAdminName, $ShowAdminEmail; ?>
<H1 align='center'>Duplicate Entry</H1>
<P>It appears that this quilt has already been entered in the <?=$ShowYear?>
 Quilt Show.  If there are changes necessary, or you believe that you
received this message in error, please contact <a href=email:<?=$ShowAdminEmail?>><?=$ShowAdminName?></a> and reference
<B>Entry Index Number <?=$idx?></B>.  This entry should be listed on your list of entered quilts.  You
may either edit that entry or delete it from your summary page.
<?php
}

function Re_Calc_Fees($db,$eid)
{
$query=sprintf("select category, fee, idx, entered from quilts where eid=$eid");
$result=mysqli_query($db,$query);
if (!$result) {echo "Error fetching entered quilts information: " . mysqli_error($db);}
                  else { while ($data=mysqli_fetch_array($result)) {
                     $newfee=calc_fee($db,$data[0],$data[3]);
                     $eidx=$data[2];
                     if ($newfee!=$data[1])  {
                        $query2=sprintf("update quilts SET fee=$newfee WHERE idx=$eidx");  
                        $result2=mysqli_query($db,$query2); 
                        }
                  } 
              }
}


function calc_fee($db,$category,$entry_date) 
{ global  $categories, $ShowRegPenalty ;
$member=$_SESSION['member'];
//echo "Calculating Registration fee, for entry date $entry_date and category $category.  
//<BR>Membership is ${_SESSION['member']},  Category code is ${categories[$category]}<BR>";
//  echo "Registration Penalty date $ShowRegPenalty<BR>";
$FeeQuery="Select feemember, feenonmember, latemember, latenonmember from showdata where active=1";  
$FeeResult=mysqli_query($db,$FeeQuery);
$FeeData=mysqli_fetch_assoc($FeeResult);
// echo "$category, $categories[$category],$member\n\r";
//$entered=strftime('%A, %B %e, %Y at %l:%M %P',$entry_date);
//$late=strftime('%A, %B %e, %Y at %l:%M %P',$ShowRegPenalty); echo "Entered: $entered, Late: $late". PHP_EOL;
  if ($entry_date>$ShowRegPenalty) {if ($_SESSION['member']=='yes') {$fee=$FeeData['latemember'];} else {$fee=$FeeData['latenonmember'];}
  } else {if ($_SESSION['member']=='yes') {$fee=$FeeData['feemember'];} else {$fee=$FeeData['feenonmember'];}}
  if ($categories[$category]=='yes') {$fee=0;}
//  echo " Fee is $fee";
return $fee;}

/***************************************************************************************************
//---------------------------End of Processing Routines --------------------------------------------
****************************************************************************************************
*
*      Redisplay_form  simply redisplays the form if there are problems or missing information.  It
*               provides a list of problems at the top of the form to guide the user.
*
****************************************************************************************************/

function redisplay_form($mode)
{global $number_incomplete, $incompletions ;

if($number_incomplete>0){
?> <H1 align='center'>Incomplete Entry Form</H1>
<P>Your quilt entry form is missing information in  <?=$number_incomplete?>  
different field(s).  Information needs to be added in these areas: <B> <?=$incompletions?></B>.  Please complete the form and resubmit the entry.
<BR><HR>
<? } do_form($mode); } 


/**************************************************************************************************
*
*             do_form does the actual form display.  This is what the user sees on the screen.
*                 The redisplay_form function above essentially falls into this routine with just the
*                 missing information listing added.  This is mostly HTML, rather than PHP!!!
*
****************************************************************************************************/

function do_form($func)
{global $Categories_URL, $GoTexan_URL, $Rules_URL, $categories, $img_file, $temp_idx, $status, $ShowYear, $ShowName, $ShowRegOpen, $ShowRegClose, $ShowDates, $entry_date, $Kits, $NonJudged, $Guild, $Gld;
$submitter=$_SESSION['submitter'];

 ?>

<H1 align='center'><?=$Guild?><br> <i><?=$ShowName?></i> <BR><?=$ShowYear?> Quilt Show Entry Form</H1>

<?PHP  if ($func=='new' or $func=='renew') { ?> 
<h3 align='center'>Submitting quilt entry as <?=$submitter?>.<br>  If this is not right, please logout and then login with the correct username.</h3>

<form action="<?=$_SERVER['SCRIPT_NAME']?>" METHOD=POST enctype="multipart/form-data" name='RegForm' id='RegForm'>
<input type='hidden' name='state' value='ProcQuilt'>
<? if($img_file) { ?> <input type='hidden' name='img_file' value='<?=$img_file?>'> 
<input type='hidden' name='temp_idx' value='<?=$temp_idx?>'> <? }
 } else { ?>
 
<h3 align='center'>Editing quilt entry Number <?=$_POST['idx']?>,&nbsp;&nbsp; <i><?=$_POST['qname']?></i></h3>

<form action="<?=$_SERVER['SCRIPT_NAME']?>" METHOD=POST enctype="multipart/form-data" name='RegForm' id='RegForm'>
<input type='hidden' name='state' value='SaveQedit'> <input type='hidden' name='entered' value='$entry_date'>
<?php if($img_file) { ?> <input type='hidden' name='img_file' value='<?=$img_file?>'> <?php } ?>
<input type='hidden' name='idx' value='<?=$_POST['idx']?>' >
<input type='hidden' name='temp_idx' value='<?=$temp_idx?>'>
<? } $IDX=$_POST['idx'];?>

<? // Initialize kit/adaptation/original design if necessary....
if (!@$_POST['kit']) {$_POST['kit']='no';}
if (!@$_POST['adapt']) {$_POST['adapt']='no';}
if (!@$_POST['orig']) {$_POST['orig']='no';}
if (!@$_POST['makerfirst']) {$_POST['makerfirst']=$_SESSION['firstname'];}
if (!@$_POST['makerlast']) {$_POST['makerlast']=$_SESSION['lastname'];}
if (!@$_POST['quilterfirst']) {$_POST['quilterfirst']=$_SESSION['firstname'];}
if (!@$_POST['quilterlast']) {$_POST['quilterlast']=$_SESSION['lastname'];}
if (!@$_POST['quilting']) {$_POST['quilting']='machine';}  
if (!@$_POST['texan']) {$_POST['texan']='no';}  
?>
<table cellspacing="5%">

<TR><TH align='right' width=35%>Name of Quilt: </TH>
         <TD> <input type=text name=qname size=48 value="<?=$_POST['qname']?>" maxlength=48></TD><TD rowspan='9'> <?php if ($img_file) {?> <img src='<?=$img_file?>'> <?php } ?> </TD></TR>
<TR><TH align='right'>Quilt Size: </TH>
         <TD> Length:<input type=text name=length size=3 value="<?=$_POST['length']?>" id="length">&nbsp; &nbsp; &nbsp; 
              Width: <input type=text name=width size=3 value="<?=$_POST['width']?>" id="width"></TD></TR>
<TR><TH align='right'>Predominant Color: </TH>
         <TD> <input type=text name=color size=16 value="<?=$_POST['color']?>"></TD>
</TR>

<tr><th colspan=3><hr width=80%></th></tr>

<TR><TH align='right' id="kitname">Quilt Design:</TH>
         <TD> <input type=radio name='design' id='kit' value=Kit <?=$_POST['design']=='Kit' ? ' checked' : ''?> >Kit or Block of the Month &nbsp; &nbsp; &nbsp; 
              <input type=radio name='design' id='original' value=Original <?=$_POST['design']=='Original' ? ' checked' : '' ?> >Original Design<br>
                            <input type=radio name='design' id='adapt' value=Adaptation <?=$_POST['design']=='Adaptation' ? ' checked' : ''?> >Adaptation of book or pattern 
</td></tr>
<TR><TH align='right' id="src">Source of Adaptation: </TH>
         <TD> <input type=text name=source size=64  value="<?=$_POST['source']?>"></TD></TR>


<tr><td></td><td><A href="javascript:popUp('originalDesign.html')" title="Kit refers to a packaged kit with no design decisions involved; An Adapation is the use of existing patterns with fabric decisions involved.  Original design uses no existing patterns or fabric choices.  These are all mutually exclusive.">Mouse over or click for help with Kits/ Adaptations, and Original Design questions.</td></tr>
<tr><th colspan=3><hr width=80%></th></tr>

<TR><TH align='right'>Who Made the quilt? </TH>
         <TD> First Name: <input type=text name='makerfirst' size=16 value="<?=$_POST['makerfirst']?>">
              Last Name: <input type=text name='makerlast' size=16 value="<?=$_POST['makerlast']?>"></TD></TR>
         <TR><TH align='right'>Who Quilted the quilt? </TH>
         <TD> First Name: <input type=text name='quilterfirst' size=16 value="<?=$_POST['quilterfirst']?>">
              Last Name: <input type=text name='quilterlast' size=16 value="<?=$_POST['quilterlast']?>"></TD></TR>
<TR><TH align='right'>Is the Quilt hand or machine quilted?</TH>
  <TD> <input type=radio name=quilting value=hand<?= $_POST['quilting']=='hand' ? ' checked' : '' ?>>Hand &nbsp; &nbsp; &nbsp; 
       <input type=radio name=quilting value=machine<?= $_POST['quilting']=='machine' ? ' checked' : '' ?>>Machine</TD></TR>

         
<TR><TH align='right'><A href="javascript:popUp('<?=$Categories_URL?>')" title="Click for Help">Quilt Category:</a> </TH>
         <TD> <select id='category' name='category' size=1> 
                <option value=''>Choose One:</option>
 <?      foreach ($categories as $category => $value ) {
 ?>             <option<?= $_POST['category']==$category ? ' selected' : '' ?>><?=$category ?>
                     <? if ($_POST['category']=='Miniature') { echo "id='mini'";} ?> </option> <?  
      }?>               
          </select></TD></TR>
 
 
          
<TR><TH align='right'>Is the Quilt <a href="javascript:popUp('<?=$GoTexan_URL?>')" title='Click for requirements'>Go-Texan eligible</a>?</TH>
      <TD> <input type=radio name='texan' value=yes<?= $_POST['texan']=='yes' ? ' checked' : '' ?>>Yes &nbsp; &nbsp; &nbsp; 
              <input type=radio name='texan' value=no<?= $_POST['texan']=='no' ? ' checked' : '' ?> >No</TD></TR>
<TR><TH align='right'><br>Quilt Picture for Upload:<BR>Photo must be of at least the completed top <BR>-- it doesn't have to be quilted yet.<BR><font size=-1>(Please, no larger than 480x360 pixels<BR>JPG, GIF, and PNG format only.)</font></TH>
      <TD> <input type='file' name='picture' size=20 value="<?=$_FILES['picture']['name']?>"></TD></TR>


<TR><TH align='left'> Artist Statement: (Describe your entry and/or inspiration for this quilt.  This will appear on the quilt information card at the show. <B>Please proofread it carefully.</B>)</TH>
      <td colspan=2 align='left'>
<textarea name=stmt rows=7 cols=65 onKeyDown="limitStmt(this.form.stmt,this.form.countdown,400);"  onKeyUp="limitStmt(this.form.stmt,this.form.countdown,400);"><?=$_POST['stmt']?></textarea><BR><font size="1">(Maximum Characters: 400) You have <input readonly type="text" name="countdown" size=3 value=400 > characters left.</font></td></tr>
</table>

<!--  Add popup wind with show rules linked to this disclaimer.... --> 
<P>By submitting this form and entry, I agree to honor the rules of the show and to accept the decision of the judges as final.  I understand that <?=$Gld?> will take every precaution to safeguard the quilts during the show, but <?=$Gld?> is not responsible for loss or damage.
<P align='center'>

<div align='center'>   <input type=radio name=disclaimer value=agree<?= $_POST['disclaimer']=='agree' ? ' checked' : '' ?>>I Agree &nbsp; &nbsp; &nbsp; &nbsp;  &nbsp; &nbsp;  
   <input type=radio name=disclaimer value=disagree<?= $_POST['disclaimer']=='disagree' ? ' checked' : '' ?> >I Do Not Agree<BR><BR>
   
<? if ($func=='edit') { ?> <input type='SUBMIT' name='procfunc' value='Save Edits'> 
                           &nbsp;&nbsp;&nbsp;<input type='SUBMIT' name='procfunc' value='Refresh Form'></form>
           
<? } else {   
       if ($func=='new') {?>  <input type='SUBMIT' name='procfunc' value='Submit Entry'>
        <? }	else  {  ?>  <input type='SUBMIT' name='procfunc' value='Re-Submit Entry'>
             <? } ?> &nbsp;&nbsp;&nbsp;<input type='SUBMIT' name='procfunc' value='Refresh Form'> 
             <BR><HR>  <input type='RESET' value='Reset Form'></form><BR><HR><? } 
// echo "Image file: $img_file, temp index=$temp_idx"; 
  if ($func=='edit') { ?><BR><HR> 
  <table align='center'><TR><TD><form method=POST action=<?=$_SERVER['SCRIPT_NAME']?>>
                         <input type=hidden name=state value=edit> 
                         <input type=hidden name=idx value=<?=$IDX?>>
                          <button>Reset All Form Values</button> </form></td>
           <TD><form method=POST action=<?=$_SERVER['SCRIPT_NAME']?>>
                         <input type=hidden name=state value=home><button>Back to Quilt Summary</button></form></td></tr></table><BR><HR> <? } ?>
</div>


<?php
} 

/************************************************************************************************************
*
*   function print_form
*            This is the quilt registration simply displayed, not setup for editing.  This can be used to
*            view the entry information and optional print it.  When this is called, the header and footer
*            information are skipped, giving a clean print out.
* 
*************************************************************************************************************/

function print_form($db,$index)
{ global $ShowName, $ShowYear, $Guild, $Gld;

$query=sprintf("SELECT * from Combined_Tables WHERE idx=%s",$index);
$result=mysqli_query($db,$query);
if (!$result) { echo "Unable to ready quilt information from Combined Tables: ". mysqli_error($db); }
else { $Qdata=mysqli_fetch_assoc($result);} 
  if (!@$Qdata['design']) {
      if ($Qdata['kit']=='yes') { $Qdata['design']='Kit';}  
      if ($Qdata['adapt']=='yes') { $Qdata['design']='Adaptation';}  
      if ($Qdata['orig']=='yes') { $Qdata['design']='Original';}  
    }
?>

<H2 align='center'><?=$Guild?> <br> <i><?=$ShowName?></i> <BR><?=$ShowYear?> Quilt Show Entry Form</H2>

<table cellspacing="5%" align='center'>
<TR><TH align='right' width=200>Shown By:<br>ID Number:</TH>
        <TD width=200> <?=$Qdata['fname']?> <?=$Qdata['lname']?><br><?=$Qdata['eid']?> </TD>
<TD rowspan='9'> <img src='images/quilts<?=$ShowYear?>/<?=$Qdata['picture']?>' width=320> </TD>
</TR>
<TR><TH align='right'>Address: </TH><TD> <?=$Qdata['addr1']?></TD> </TR>
<TR><TH align='right'></TH><TD><?=$Qdata['addr2']?></TD></TR>
<TR><TH align='right'></TH><TD><?=$Qdata['city']?>, <?=$Qdata['state']?> <?=$Qdata['zip']?>  </TD></TR>
<TR><TH align='right'>Phones: </TH><TD><?=$Qdata['hphone']?> (Home) </TD></TR>
 <TR><TH align='right'></TH><TD> <?=$Qdata['cphone']?> (Cell)</TD></TR>
<TR><TH align='right'></TH><TD> <?=$Qdata['wphone']?> (Work)</TD></TR>
<TR><TH align='right'>E-Mail: </TH><TD> <?=$Qdata['email']?></TD></TR>
<TR><TH align='right'>Are you a member of the <?=$Guild?>?</TH><TD>&nbsp;&nbsp;&nbsp;
        <?=$Qdata['member']?> </TD></TR></table>
<HR>
<? if ($Qdata['fee']>0) { ?>
<P align='center'>A $<?="$".number_format($Qdata['fee'],2)?> is required to complete the registration of this quilt.  See your quilts summary page for more information. 
<? }
 if ($Qdata['category']=='Non-Judged Display') {?>
<P align='center'>Please be aware that quilts entered in the 'Non-Judged Display' category will be hung
on a space-available basis only. <? }?>
<HR><table cellspacing="7">
<TR><TH align='right'>Name of Quilt: </TH>
         <TD> <?=$Qdata['qname']?></TD>
    <TH align='right'>Predominant Color: </TH>
         <TD> <?=$Qdata['color']?></TD>
</TR>
<TR><TH align='right'>Quilt Size: </TH>
         <TD> Length:  <?=$Qdata['length']?></TD>
    <TH align='right'>Who Made the Quilt?</TH>
         <TD> <?= $Qdata['makerfirst']." ".$Qdata['makerlast']?> </td>
</TR>
<TR><TH align='right'></TH>
         <TD> Width:  <?=$Qdata['width']?></TD>
    <TH align='right'>Who Quilted the Quilt?</TH>
         <TD> <?= $Qdata['quilterfirst']." ".$Qdata['quilterlast']?> </td>
</TR>
<TR> <TH align='right'>Quilt Design:</TH>
         <TD> <?= $Qdata['design']?> </TD>
     <TH align='right'>Is the Quilt hand or machine quilted? </TH>
         <TD> <?=$Qdata['quilting']?></TD>
</TR>
<TR> <TH align='right'>Adaptation Source:</TH>
         <TD> <?= $Qdata['source']?></TD>
    <TH align='right'>Quilt Category:</TH>
         <TD> <?= $Qdata['category']?> </TD>     
</TR>
<TR> <TH align='right'>Entry Index Number:</TH>
         <TD><?=$Qdata['idx']?></TD>
    <TH align='right'>Is the Quilt Go-Texan eligible?</TH>
         <TD> <?= $Qdata['texan']?> </TD>   
</TR>

 
</table>
<P align='center'><font size="-1">Artist Statement: (This will appear on the quilt information card at the show.  <B>Please proofread it carefully.</B>)<br>
<?=$Qdata['stmt']?></font><BR>
<P><font size="-1">By submitting this form and entry, I agree to honor the rules of the show and to accept the decision of the judges as final.  I understand that <?=$Gld?> will take every precaution to safeguard the quilts during the show, but <?=$Gld?> is not responsible for loss or damage.</font>
<P align='center'>
<!--   I <?= $Qdata['disclaimer']?>. <BR><BR> -->
<A href="Entry-pdf.php?idx=<?=$index?>"><button type=button>PDF Copy</button></a>
<P style="text-align:center;"> <!-- button onClick="javascript:window.print();">Print Form</button -->
<!-- button type=button onclick="javascript:window.history.back()">Back</button -->
<button type=button onclick="javascript:window.location.href='<?=$_SERVER['SCRIPT_NAME']?>'">Quilt Summary</button></P>

<?php }

/*****************************************************************************************************************
*
*   Edit quilt entry -
*
*      Here we simply fetch the current quilt data, copy it to the _POST array, and call the same do_form that was used for the
*      initial quilt entry.  The flag 'edit' is passed, and the do_form adjusts the form action call and the form buttons accordingly
*
******************************************************************************************************************/


function edit_quilt_entry($db,$idx)
{ global $img_file, $ShowYear, $orig_img_file, $temp_idx, $entry_date;

$query="SELECT * from quilts WHERE idx=$idx"; //look up data, copy to _POST? redo form with different action
$result=mysqli_query($db,$query);
if (!$result) { echo "Error returning Quilt information from Quilts table: " . mysqli_error($db);} 
else {
if (check_owner($db,$idx)) {
  $_DATA=mysqli_fetch_assoc($result);
  $_POST=$_DATA;
  if (!@$_POST['design']) {
      if ($_POST['kit']=='yes') { $_POST['design']='Kit';}  
      if ($_POST['adapt']=='yes') { $_POST['design']='Adaptation';}  
      if ($_POST['orig']=='yes') { $_POST['design']='Original';}  
    }
  $img_file="images/quilts$ShowYear/${_DATA['picture']}";
  $orig_img_file=$image_file;
  $temp_idx=uniqid();
 // $entered=$_DATA['entered'];
  $entry_date=mysql2php($_DATA['entered']);
//  echo "Date Entered:  $entered, $entry_date";
  do_form('edit');}
}
}

/*******************************************************************************************************************
*
*     save quilt data
*            This is very similar to the procfunc for new entries.  It processes the edited data and either redisplays
*            the form (refresh) or updates the database if save is selected.  Refresh will cause a new picture to be
*            shown if a new picture was uploaded for the entry.
*
**********************************************************************************************************************/

function save_quilt_edit($db,$idx)
{ global $img_file, $orig_img_file, $fee,  $temp_idx;
/*  if procfunc=Refresh Form - update picture, check fields,
                save Edits - update database with new info. */
// echo "Save Quilt Edit, procfunc=${_REQUEST['procfunc']}\n\r"; 
$temp_idx=$_POST['temp_idx'];
$entry_date=$_POST['entered'];              
clearslashes(); 

$pic=$_FILES['picture']['name'];
// echo "Image info: 1-$img_file   2-$pic  3-$orig_img_file  4-${_REQUEST['img_file']}\n\r";

if (@$_FILES['picture']['tmp_name']) { if (!$img_file=check_image() ) {
    echo "Bad image file..... ";
           show_bad_image(); 
           $img_file=$orig_img_file;
           unset($_FILES['picture']['name']); }  }
       else {$img_file=$_POST['img_file'];}
   
// echo "Image info: 1-$img_file   2-$pic  3-$orig_img_file  4-${_REQUEST['img_file']}\n\r";
  if (!$incomplete=check_input() and $procfunc !='Refresh Form')  {
       // update database & display 
       $fee=calc_fee($db,$_POST['category'],$entry_date);
//echo "New fee is $fee\n\r";
      update_db($db,$idx);
      show_user($db); } else {
 //     $idx=check_unique($db);
 //      print_form($db);
 //      send_mail();
   // } else {
     // incomplete input 
     redisplay_form('edit');} /*
*/
}
/******************************************************************************************************************
*
*     function update_db()-
*              This is where all of the edited quilt registration information is updated to the database.
*              This can only update an existing entry.  Only those values changed are actually updated to the database. 
*
******************************************************************************************************************/
function update_db($db,$idx)
{ global $fee, $ShowYear, $img_file, $ShowAdminEmail;
$_REQUEST['fee']=$fee;
$stmt=mysqli_real_escape_string($db,$_POST['stmt']);       $_POST['stmt']=$stmt;
$qname=mysqli_real_escape_string($db,$_POST['qname']);     $_POST['qname']=$qname;
$source=mysqli_real_escape_string($db,$_POST['source']);   $_POST['source']=$source;
$_POST['kit']='no';
$_POST['adapt']='no';
$_POST['orig']='no';

switch ($_POST['design']) 
{
  case 'Kit': $_POST['kit']='yes'; break;
  case 'Adaption': $_POST['adapt']='yes'; break;
  case 'Original': $_POST['orig']='yes';
}

$count=0;
//$img_file=$_POST['img_file'];

$fields=array('qname','width','length','color','kit','design','adapt','source','orig','quilting','quilterfirst','quilterlast','makerfirst','makerlast','category','texan','stmt','fee');
// do comparison between _DATA and _POST arrays, construct query statement.
// Image name stays the same, so img_file != orig_img_file, copy img_file to orig_img_file
//     Don't need to update in DB
//  ?? Maybe send admin email that edit has occurred??


$query1="SELECT * from quilts WHERE idx=$idx"; //look up data, copy to _POST? redo form with different action
$result1=mysqli_query($db,$query1);
if (!$result1) { echo "Error returning Quilt information from Quilts table: " . mysqli_error($db);} 
else {
  $_DATA=mysqli_fetch_assoc($result1);}
$query2="UPDATE quilts SET ";  $punc=" ";
foreach ($fields as $field)  {
$v1=$_REQUEST[$field]; $v2=$_DATA[$field];
if ($v1!=$v2){ $query2.="$punc $field='$v1'"; $punc=", "; $count+=1;} 
  }  $query2.="  where idx=$idx";
//echo "$count updates: $query2";
if ($count>0) {
$result2=mysqli_query($db,$query2);
if (!@$result2) {echo "Error updating edit information for quilt id $idx: " . mysqli_error($db); }}
$img_name="images/quilts${ShowYear}/${_DATA['picture']}";
//echo "Image file: $img_file, Name: $img_name";
if ($img_file != $img_name) 
      {rename("$img_file","images/quilts${ShowYear}/${_DATA['picture']}");}
$Destination=$ShowAdminEmail;
$Subject=$Gld . " Show Entry: edited";
$Content=$Gld . " Show Entry # $idx has been edited.  $count fields in the entry were changed ( $query2 ).";
mail($Destination,$Subject,$Content);
}

/******************************************************************************************************************
*
*     function write_db()-
*              This is where all of the quilt registration information is actually written out to the database.
*              It is called from the ProcQuilt routine that did the validation of the entry information. 
*
******************************************************************************************************************/

function write_db($db)
{ global $img_file, $entry_date, $ShowYear, $fee, $ShowAdminEmail, $Gld;

$stmt=mysqli_real_escape_string($db,$_POST['stmt']);
$qname=mysqli_real_escape_string($db,$_POST['qname']);
$source=mysqli_real_escape_string($db,$_POST['source']);
$eid=$_SESSION['eid'];
if (!@$entry_date) {$entered=php2mysql(time());} else {$entered=php2mysql($entry_date);}

//$dest=mysqli_real_escape_string($db,$img_file);
$_POST['kit']='no';
$_POST['adapt']='no';
$_POST['orig']='no';

switch ($_POST['design']) 
{
  case 'Kit': $_POST['kit']='yes'; break;
  case 'Adaptation': $_POST['adapt']='yes'; break;
  case 'Original': $_POST['orig']='yes';
}

$query=sprintf("INSERT INTO quilts (eid, qname, width, length, color, kit, adapt, source, orig, design, quilting, quilterfirst, quilterlast, makerfirst, makerlast, category, texan, stmt, picture, fee, entered) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')",$eid, $qname, $_POST['width'], $_POST['length'], $_POST['color'], $_POST['kit'], $_POST['adapt'], $source, $_POST['orig'], $_POST['design'], $_POST['quilting'], $_POST['quilterfirst'],$_POST['quilterlast'],$_POST['makerfirst'],$_POST['makerlast'],$_POST['category'],$_POST['texan'], $stmt, $img_file, $fee, $entered);
// echo "Mysql Query String: $query";
$result=mysqli_query($db,$query);
if (!$result) {echo "Error entering data into database: " . mysqli_error($db);}
else { 
$query2=sprintf("Select idx from quilts where picture='%s'",$img_file);
$result2=mysqli_query($db,$query2);
if (!$result2) {echo "Error reading data back from database: " . mysqli_error($db);}
else {$data=mysqli_fetch_array($result2); $idx=$data[0];  }
$newname="quilt_".$eid."_".$idx.".jpg";
$query3=sprintf("Update quilts SET picture='%s' where idx=%s",$newname, $idx);
// echo $query3." --- ". $newname." --- ".$idx."\n\r";
$result3=mysqli_query($db,$query3);
if (!$result3) {echo "Error writing new file name to database: " . mysqli_error($db);}
  else {  rename("$img_file","images/quilts{$ShowYear}/$newname");}
}

$Destination=$ShowAdminEmail;
$Subject=$Gld . " Show Entry: New Entry added";
$Content=$Gld . " Show Entry # $idx (entrant # $eid) has been added to the database. ";
mail($Destination,$Subject,$Content);}


 ?>
      </div>


<? if (@$_REQUEST['state']!='print') { /* skip footer if printing form.... */ ?>
<div id="footer">
<P> All material  &copy; 2015, 2016, 2017, 2019, 2021 Steven K. Silber, All Rights Reserved.</p>
    </div>
 <? } ?>   
</div>      
</body>
</html>
