<? 
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  


/*  These are variable definitions for pointers to various Rules 'PopUp' files used in the registration form,
     Name constants for the Guild name (full and abbreviation), a page header graphic if desired, and the location
     of the video help files.
     
     These may need to be adjusted for each show.  They are gathered here in one place for convenience.   
     These are all URLs - either local or remote.  You can use either a path name relative to the program 
     folder (location of the index.php file, or a full URL, which could be on a different host.
     The Variable names cannot change... */
     
$Rules_URL="PDF/Rules.pdf";
$Categories_URL="PDF/Categories.pdf";
$GoTexan_URL="PDF/GoTexanRules.pdf";

/* $GoTexan_URL="http://remote_server.com/Guild/files/rules/gotexan.pdf";   
            would also work, provided the file and directory are present on the named host.  */

/* System variables to define the banner image and help video files.  Should be in registration images folder.  */
$Banner="images/BBQG.jpg";
$Guild="Your Organization Quilt Guild";
$Gld="YOQG";

$CreateVideo="Videos/Create-ID.mp4";
$UserVideo="Videos/Enter-Quilt.mp4";
$AdminVideo="Videos/Show-Admin.mp4";

/***************************************************************************************
*
*      here we open the database for access.  It will be automatically closed when the
*         browser leaves the page.  This is where the username & password for the database
*         are entered.   This needs to be updated anytime the passwords, name, or location
*         of the database changes.
*   Username/password for opendb() should have broad read/write permissions.
*   Username/password for opendb_RO() should be restricted to read only permissions - this is
*       used to 'lock' the database in the user routines to prevent entries and changes after the
*       registrations have closed.  Admin access will still be able to change info.
*
* Parameters:  mysqli_connect(hostname,username,password,database);
*
****************************************************************************************/
 function opendb()
{  $ldb=mysqli_connect('localhost','ab14804_dbadmin','data_admin','ab14804_QuiltShow');   //read/write account
if (mysqli_connect_error()) {
   die ('Could not connect: ' . mysqli_connect_error()); }

return  $ldb; }

 function opendb_RO()
{  $ldb=mysqli_connect('localhost','ab14804_bbqg','data_user','ab14804_QuiltShow');  // readonly account
if (mysqli_connect_error())  {
   die ('Could not connect: ' . mysqli_connect_error()); }
  
return  $ldb; } 

/*  End of User changeable content.  Do not change anything below this line unless
*   You know exactly what you are doing and why.  These are utility routines used by
*   numerous files in this package.  An error here will break many parts of the package. */

/* THESE ARE SOME UTILITY ROUTINES FOR FREQUENTLY CALLED OPERATIONS */
/**********************************************************************
*
*    A little Quick routine to get the number of rows from a table
*       This snippet gets used so often, it is worth putting in a
*        separate function.  First arg is table to count, second
*        arg is search condition.  Digit 1 (true) will get everything.
*
***********************************************************************/
function get_num_rows($db,$table,$condition) {
$query="select * from ".$table." where ".$condition; //echo "get_num_rows query: $query".PHP_EOL;
$result=mysqli_query($db,$query);
if ($result) { return mysqli_num_rows($result); }
   else { return 0;}
}

/********************************************************************
*
*       A couple quickies to interconvert MySQL data format and PHP datetime
*            php2mysql() is probably not needed or used, but just in case.....
*
*********************************************************************/

function mysql2php($sqldate)
{
  list($date,$time) = explode(' ',$sqldate);
 list($hr,$min,$sec) =explode(':',$time);
 list($yr,$mo,$dy) = explode('-',$date);
// echo $hr,$min,$sec,$mo,$dy,$yr;
 return mktime($hr,$min,$sec,$mo,$dy,$yr);
}
 
 function php2mysql($phptime)
{ return strftime("%Y-%m-%d %H:%M:%S",$phptime);
}

/***********************************************************************************
*
*       Just a quicky to fetch the user's password from the database.  It is compared to the value
*             supplied by the user and a true/false flag returned to the calling routine.
*
************************************************************************************/
 function checkpassword($db,$user,$pass)
{
//   echo "Checking username ($user) against password ($pass)\n";
$query=sprintf("Select password from entrants where username='%s'",$user);
$result=mysqli_query($db,$query);
if (!$result) {echo "Error fetching password from entrants table: " . mysqli_error($db);} 
else { $data=mysqli_fetch_row($result); }
return $pass==$data[0]; 
}


 ?>